/*	Compiler: ECL 12.7.1                                          */
/*	Source: EXT:PROFILE;PROFILE.LISP                              */
#include <ecl/ecl-cmp.h>
#include "ext/profile.eclh"
/*	function definition for GET-BYTES-CONSED                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1get_bytes_consed(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BYTES           */
	V2= ecl_make_unsigned_integer(GC_get_total_bytes());
	if(!(ecl_number_compare(V2,V1)<0)){
	goto L3;}
	T0= ecl_minus(ecl_symbol_value(VV[2]),V1);
	value0=ecl_plus(T0,V2); cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=ecl_minus(V2,V1); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAKE-PROFILE-INFO                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2make_profile_info(cl_narg narg, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L2make_profile_infokeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[5]==ECL_NIL){
	V1= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V1= keyvars[0];}
	if(keyvars[6]==ECL_NIL){
	V2= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V2= keyvars[1];}
	if(keyvars[7]==ECL_NIL){
	V3= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V3= keyvars[2];}
	if(keyvars[8]==ECL_NIL){
	V4= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V4= keyvars[3];}
	if(keyvars[9]==ECL_NIL){
	V5= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V5= keyvars[4];}
	}
	if((cl_functionp(V5)                      /*  FUNCTIONP       */)!=ECL_NIL){
	goto L8;}
	si_structure_type_error(4,V5,ECL_SYM("FUNCTION",396),VV[6],VV[8]) /*  STRUCTURE-TYPE-ERROR */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((cl_functionp(V4)                      /*  FUNCTIONP       */)!=ECL_NIL){
	goto L12;}
	si_structure_type_error(4,V4,ECL_SYM("FUNCTION",396),VV[6],VV[9]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((cl_functionp(V3)                      /*  FUNCTIONP       */)!=ECL_NIL){
	goto L16;}
	si_structure_type_error(4,V3,ECL_SYM("FUNCTION",396),VV[6],VV[10]) /*  STRUCTURE-TYPE-ERROR */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((cl_functionp(V2)                      /*  FUNCTIONP       */)!=ECL_NIL){
	goto L20;}
	si_structure_type_error(4,V2,ECL_SYM("FUNCTION",396),VV[6],VV[11]) /*  STRUCTURE-TYPE-ERROR */;
	goto L18;
L20:;
	goto L18;
L18:;
	value0=si_make_structure(6,VV[12],V1,V2,V3,V4,V5) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for MAKE-OVERHEAD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3make_overhead(cl_narg narg, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L3make_overheadkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	if(keyvars[3]==ECL_NIL){
	V1= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V1= keyvars[0];}
	if(keyvars[4]==ECL_NIL){
	V2= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V2= keyvars[1];}
	if(keyvars[5]==ECL_NIL){
	V3= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V3= keyvars[2];}
	}
	if(ECL_SINGLE_FLOAT_P(V3)){
	goto L6;}
	si_structure_type_error(4,V3,ECL_SYM("SINGLE-FLOAT",778),VV[18],VV[20]) /*  STRUCTURE-TYPE-ERROR */;
	goto L4;
L6:;
	goto L4;
L4:;
	if(ECL_SINGLE_FLOAT_P(V2)){
	goto L10;}
	si_structure_type_error(4,V2,ECL_SYM("SINGLE-FLOAT",778),VV[18],VV[21]) /*  STRUCTURE-TYPE-ERROR */;
	goto L8;
L10:;
	goto L8;
L8:;
	if(ECL_SINGLE_FLOAT_P(V1)){
	goto L14;}
	si_structure_type_error(4,V1,ECL_SYM("SINGLE-FLOAT",778),VV[18],VV[22]) /*  STRUCTURE-TYPE-ERROR */;
	goto L12;
L14:;
	goto L12;
L12:;
	value0=si_make_structure(4,VV[23],V1,V2,V3) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for PROFILE-ENCAPSULATION-LAMBDAS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7profile_encapsulation_lambdas(cl_object volatile V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = ECL_NIL;
	CLV0=env0=CONS(V1,env0);                  /*  ENCAPSULATED-FUN */
	{volatile cl_object env1 = env0;
	{cl_object V2;
	V2= ecl_make_fixnum(0);
	V2= ecl_make_fixnum(0);
	T1= ecl_make_bool(ecl_number_compare(V2,ecl_make_fixnum(0))>=0);
	goto L3;
	T1= ECL_NIL;
	goto L3;
	}
L3:;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	T0= ecl_make_fixnum(0);
	CLV1=env1=CONS(T0,env1);                  /*  COUNT           */
	{cl_object V2;
	V2= ecl_make_fixnum(0);
	V2= ecl_make_fixnum(0);
	T1= ecl_make_bool(ecl_number_compare(V2,ecl_make_fixnum(0))>=0);
	goto L12;
	T1= ECL_NIL;
	goto L12;
	}
L12:;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	T0= ecl_make_fixnum(0);
	CLV2=env1=CONS(T0,env1);                  /*  TICKS           */
	{cl_object V2;
	V2= ecl_make_fixnum(0);
	V2= ecl_make_fixnum(0);
	T1= ecl_make_bool(ecl_number_compare(V2,ecl_make_fixnum(0))>=0);
	goto L21;
	T1= ECL_NIL;
	goto L21;
	}
L21:;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	T0= ecl_make_fixnum(0);
	CLV3=env1=CONS(T0,env1);                  /*  CONSING         */
	{cl_object V2;
	V2= ecl_make_fixnum(0);
	V2= ecl_make_fixnum(0);
	T1= ecl_make_bool(ecl_number_compare(V2,ecl_make_fixnum(0))>=0);
	goto L30;
	T1= ECL_NIL;
	goto L30;
	}
L30:;
	if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	T0= ecl_make_fixnum(0);
	CLV4=env1=CONS(T0,env1);                  /*  PROFILES        */
	T0= ecl_make_cclosure_va((cl_objectfn)LC4__g44,env1,Cblock);
	T1= ecl_make_cclosure_va((cl_objectfn)LC5__g74,env1,Cblock);
	T2= ecl_make_cclosure_va((cl_objectfn)LC6__g75,env1,Cblock);
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	closure G44                                                   */
/*	optimize speed 3, debug 1, space 1, safety 3                  */
static cl_object LC4__g44(volatile cl_narg narg, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object volatile env0 = cl_env_copy->function->cclosure.env;
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=_ecl_cdr(CLV4);
	CLV2=_ecl_cdr(CLV3);
	CLV1=_ecl_cdr(CLV2);
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	{
	volatile cl_object V1;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	ecl_va_end(args);
	if(!(ecl_boundp(cl_env_copy,VV[17]))){
	goto L3;}
	L14unprofile_all()                        /*  UNPROFILE-ALL   */;
	cl_error(4,_ecl_static_4,ecl_symbol_value(VV[17]),ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV0)) /*  ERROR */;
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V2;
	T0= ECL_CONS_CAR(CLV1);
	V2= ecl_plus(T0,ecl_make_fixnum(1));
	{cl_object V3;
	V3= ecl_make_fixnum(0);
	V3= V2;
	T0= ecl_make_bool(ecl_number_compare(V3,ecl_make_fixnum(0))>=0);
	goto L10;
	T0= ECL_NIL;
	goto L10;
	}
L10:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],V2);
	ECL_CONS_CAR(CLV1)= V2;
	}
	{volatile cl_object V2;                   /*  LET2503         */
	volatile cl_object V3;                    /*  LET2504         */
	volatile cl_object V4;                    /*  LET2505         */
	volatile cl_object V5;                    /*  LET2506         */
	volatile cl_object V6;                    /*  LET2507         */
	volatile cl_object V7;                    /*  DTICKS          */
	volatile cl_object V8;                    /*  DCONSING        */
	volatile cl_object V9;                    /*  INNER-ENCLOSED-PROFILES */
	V2= ecl_symbol_value(VV[14]);
	V3= ecl_symbol_value(VV[15]);
	V4= ecl_symbol_value(VV[16]);
	V5= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V6= L1get_bytes_consed(ecl_make_fixnum(0)) /*  GET-BYTES-CONSED */;
	V7= ecl_make_fixnum(0);
	V8= ecl_make_fixnum(0);
	V9= ecl_make_fixnum(0);
	{
	volatile bool unwinding = FALSE;
	cl_index V10=ECL_STACK_INDEX(cl_env_copy),V11;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	cl_set(VV[14],ecl_make_fixnum(0));
	cl_set(VV[16],ecl_make_fixnum(0));
	cl_set(VV[15],ecl_make_fixnum(0));
	cl_env_copy->values[0]=cl_apply(2,ECL_CONS_CAR(CLV0),V1) /*  APPLY */;
	}
	ecl_frs_pop(cl_env_copy);
	V11=ecl_stack_push_values(cl_env_copy);
	T0= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V7= ecl_minus(T0,V5);
	V8= L1get_bytes_consed(V6)                /*  GET-BYTES-CONSED */;
	V9= ecl_symbol_value(VV[16]);
	{cl_object V12;                           /*  NET-DTICKS      */
	V12= ecl_minus(V7,ecl_symbol_value(VV[14]));
	{cl_object V13;
	T0= ECL_CONS_CAR(CLV2);
	V13= ecl_plus(T0,V12);
	{cl_object V14;
	V14= ecl_make_fixnum(0);
	if(!(ECL_FIXNUMP(V13)||ECL_BIGNUMP(V13))){
	goto L47;}
	V14= V13;
	T0= ecl_make_bool(ecl_number_compare(V14,ecl_make_fixnum(0))>=0);
	goto L44;
L47:;
	T0= ECL_NIL;
	goto L44;
	}
L44:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],V13);
	ECL_CONS_CAR(CLV2)= V13;
	}
	}
	{cl_object V12;                           /*  NET-DCONSING    */
	V12= ecl_minus(V8,ecl_symbol_value(VV[15]));
	{cl_object V13;
	T0= ECL_CONS_CAR(CLV3);
	V13= ecl_plus(T0,V12);
	{cl_object V14;
	V14= ecl_make_fixnum(0);
	if(!(ECL_FIXNUMP(V13)||ECL_BIGNUMP(V13))){
	goto L59;}
	V14= V13;
	T0= ecl_make_bool(ecl_number_compare(V14,ecl_make_fixnum(0))>=0);
	goto L56;
L59:;
	T0= ECL_NIL;
	goto L56;
	}
L56:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],V13);
	ECL_CONS_CAR(CLV3)= V13;
	}
	}
	{cl_object V12;
	T0= ECL_CONS_CAR(CLV4);
	V12= ecl_plus(T0,V9);
	{cl_object V13;
	V13= ecl_make_fixnum(0);
	if(!(ECL_FIXNUMP(V12)||ECL_BIGNUMP(V12))){
	goto L70;}
	V13= V12;
	T0= ecl_make_bool(ecl_number_compare(V13,ecl_make_fixnum(0))>=0);
	goto L67;
L70:;
	T0= ECL_NIL;
	goto L67;
	}
L67:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],V12);
	ECL_CONS_CAR(CLV4)= V12;
	}
	cl_set(VV[14],ecl_plus(V2,V7));
	ecl_symbol_value(VV[14]);
	cl_set(VV[15],ecl_plus(V3,V8));
	ecl_symbol_value(VV[15]);
	T0= ecl_plus(V4,V9);
	cl_set(VV[16],ecl_plus(T0,ecl_make_fixnum(1)));
	ecl_symbol_value(VV[16]);
	ecl_stack_pop_values(cl_env_copy,V11);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V10);
	return cl_env_copy->values[0];}
	}
}}}
/*	closure G74                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g74(cl_narg narg, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=_ecl_cdr(CLV4);
	CLV2=_ecl_cdr(CLV3);
	CLV1=_ecl_cdr(CLV2);
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= ECL_CONS_CAR(CLV1);
	T1= ECL_CONS_CAR(CLV2);
	T2= ECL_CONS_CAR(CLV3);
	cl_env_copy->nvalues=4;
	cl_env_copy->values[3]=ECL_CONS_CAR(CLV4);
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
}}}
/*	closure G75                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g75(cl_narg narg, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=_ecl_cdr(CLV4);
	CLV2=_ecl_cdr(CLV3);
	CLV1=_ecl_cdr(CLV2);
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V1;
	V1= ecl_make_fixnum(0);
	V1= ecl_make_fixnum(0);
	T0= ecl_make_bool(ecl_number_compare(V1,ecl_make_fixnum(0))>=0);
	goto L4;
	T0= ECL_NIL;
	goto L4;
	}
L4:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	ECL_CONS_CAR(CLV1)= ecl_make_fixnum(0);
	{cl_object V1;
	V1= ecl_make_fixnum(0);
	V1= ecl_make_fixnum(0);
	T0= ecl_make_bool(ecl_number_compare(V1,ecl_make_fixnum(0))>=0);
	goto L14;
	T0= ECL_NIL;
	goto L14;
	}
L14:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	ECL_CONS_CAR(CLV2)= ecl_make_fixnum(0);
	{cl_object V1;
	V1= ecl_make_fixnum(0);
	V1= ecl_make_fixnum(0);
	T0= ecl_make_bool(ecl_number_compare(V1,ecl_make_fixnum(0))>=0);
	goto L24;
	T0= ECL_NIL;
	goto L24;
	}
L24:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	ECL_CONS_CAR(CLV3)= ecl_make_fixnum(0);
	{cl_object V1;
	V1= ecl_make_fixnum(0);
	V1= ecl_make_fixnum(0);
	T0= ecl_make_bool(ecl_number_compare(V1,ecl_make_fixnum(0))>=0);
	goto L33;
	T0= ECL_NIL;
	goto L33;
	}
L33:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[4],ecl_make_fixnum(0));
	ECL_CONS_CAR(CLV4)= ecl_make_fixnum(0);
	value0=ECL_CONS_CAR(CLV4); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for MAPC-ON-NAMED-FUNS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8mapc_on_named_funs(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= V2;
	goto L6;
L5:;
	{cl_object V4;                            /*  NAME            */
	V4= ecl_car(V3);
	if(!(ECL_SYMBOLP(V4))){
	goto L12;}
	ecl_function_dispatch(cl_env_copy,V1)(1,V4);
	goto L10;
L12:;
	if(!(ECL_LISTP(V4))){
	goto L15;}
	ecl_function_dispatch(cl_env_copy,VV[77])(1,V4) /*  LEGAL-FUN-NAME-OR-TYPE-ERROR */;
	ecl_function_dispatch(cl_env_copy,V1)(1,V4);
	goto L10;
L15:;
	if(!(ECL_STRINGP(V4))){
	goto L19;}
	{cl_object V5;                            /*  PACKAGE         */
	V5= cl_find_package(V4)                   /*  FIND-PACKAGE    */;
	{cl_object V6;
	cl_object V7;
	cl_object V8;                             /*  SYMBOL          */
	V6= si_packages_iterator(3,V5,VV[27],ECL_T) /*  PACKAGES-ITERATOR */;
	V7= ECL_NIL;
	V8= ECL_NIL;
	goto L28;
L27:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V6)(0);
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L32;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L33;
	V8= cl_env_copy->values[1];
	goto L34;}
L32:;
	V7= ECL_NIL;
L33:;
	V8= ECL_NIL;
L34:;
	if((V7)!=ECL_NIL){
	goto L37;}
	goto L10;
L37:;
	goto L35;
L35:;
	T0= cl_symbol_package(V8)                 /*  SYMBOL-PACKAGE  */;
	if(!((T0)==(V5))){
	goto L41;}
	if((cl_fboundp(V8)                        /*  FBOUNDP         */)==ECL_NIL){
	goto L45;}
	if((cl_macro_function(1,V8)               /*  MACRO-FUNCTION  */)!=ECL_NIL){
	goto L45;}
	if((cl_special_operator_p(V8)             /*  SPECIAL-OPERATOR-P */)!=ECL_NIL){
	goto L45;}
	ecl_function_dispatch(cl_env_copy,V1)(1,V8);
	goto L43;
L45:;
	goto L43;
L43:;
	{cl_object V9;                            /*  SETF-NAME       */
	V9= cl_list(2,ECL_SYM("SETF",750),V8)     /*  LIST            */;
	if((cl_fboundp(V9)                        /*  FBOUNDP         */)==ECL_NIL){
	goto L51;}
	ecl_function_dispatch(cl_env_copy,V1)(1,V9);
	goto L39;
L51:;
	goto L39;
	}
L41:;
	goto L39;
L39:;
L28:;
	goto L27;
	goto L10;
	}
	}
L19:;
	si_etypecase_error(V4,VV[28])             /*  ETYPECASE-ERROR */;
	goto L10;
L10:;
	}
	V3= ecl_cdr(V3);
L6:;
	if((V3)==ECL_NIL){
	goto L58;}
	goto L5;
L58:;
	goto L56;
L56:;
	goto L3;
L3:;
	}
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for PROFILE-1-UNPROFILED-FUN              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9profile_1_unprofiled_fun(cl_object volatile V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  ENCAPSULATED-FUN */
	V2= cl_fdefinition(V1)                    /*  FDEFINITION     */;
	cl_env_copy->values[0]=L7profile_encapsulation_lambdas(V2) /*  PROFILE-ENCAPSULATION-LAMBDAS */;
	{
	volatile cl_object V4;                    /*  ENCAPSULATION-FUN */
	volatile cl_object V5;                    /*  READ-STATS-FUN  */
	volatile cl_object V6;                    /*  CLEAR-STATS-FUN */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L3;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L4;
	V5= cl_env_copy->values[1];
	if (V7--<=0) goto L5;
	V6= cl_env_copy->values[2];
	goto L6;}
L3:;
	V4= ECL_NIL;
L4:;
	V5= ECL_NIL;
L5:;
	V6= ECL_NIL;
L6:;
	si_fset(4,V1,V4,ECL_NIL,ECL_NIL)          /*  FSET            */;
	{volatile cl_object V7;
	volatile cl_object V8;
	volatile cl_object V9;
	V7= ecl_symbol_value(VV[1]);
	V8= mp_lock_owner(V7)                     /*  LOCK-OWNER      */;
	V9= mp_lock_count(V7)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V10;
	V10= _ecl_inner_frame;
	{volatile cl_object V11;
	V11= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V12=ECL_STACK_INDEX(cl_env_copy),V13;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V11); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V7)                         /*  GET-LOCK        */;
	T0= ecl_symbol_value(VV[5]);
	T1= L2make_profile_info(10,ECL_SYM("NAME",1274),V1,VV[30],V2,VV[31],V4,VV[32],V5,VV[33],V6) /*  MAKE-PROFILE-INFO */;
	cl_env_copy->values[0]=si_hash_set(V1,T0,T1) /*  HASH-SET     */;
	ecl_bds_unwind1(cl_env_copy);
	}
	ecl_frs_pop(cl_env_copy);
	V13=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V7)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L21;}
	if(!((V8)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L24;}
	T0= mp_lock_count(V7)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V9)>0)){
	goto L21;}
	goto L22;
L24:;
L22:;
	mp_giveup_lock(V7)                        /*  GIVEUP-LOCK     */;
	goto L19;
L21:;
	goto L19;
L19:;
	ecl_stack_pop_values(cl_env_copy,V13);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V12);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V10);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L28;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L26;
L28:;
	goto L26;
L26:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V10);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;}
	}
}}
/*	function definition for PROFILE-1-FUN                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10profile_1_fun(cl_object volatile V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_fboundp(V1)                        /*  FBOUNDP         */)==ECL_NIL){
	goto L3;}
	{volatile cl_object V2;
	volatile cl_object V3;
	volatile cl_object V4;
	V2= ecl_symbol_value(VV[1]);
	V3= mp_lock_owner(V2)                     /*  LOCK-OWNER      */;
	V4= mp_lock_count(V2)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V5;
	V5= _ecl_inner_frame;
	{volatile cl_object V6;
	V6= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V7=ECL_STACK_INDEX(cl_env_copy),V8;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V6); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V2)                         /*  GET-LOCK        */;
	cl_env_copy->values[0]=cl_gethash(2,V1,ecl_symbol_value(VV[5])) /*  GETHASH */;
	ecl_bds_unwind1(cl_env_copy);
	}
	ecl_frs_pop(cl_env_copy);
	V8=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V2)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L21;}
	if(!((V3)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L24;}
	T0= mp_lock_count(V2)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V4)>0)){
	goto L21;}
	goto L22;
L24:;
L22:;
	mp_giveup_lock(V2)                        /*  GIVEUP-LOCK     */;
	goto L19;
L21:;
	goto L19;
L19:;
	ecl_stack_pop_values(cl_env_copy,V8);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V7);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V5);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L28;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L26;
L28:;
	goto L26;
L26:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	if((value0)==ECL_NIL){
	goto L7;}
	}
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_5,V1) /*  WARN */;
	L11unprofile_1_fun(V1)                    /*  UNPROFILE-1-FUN */;
	goto L5;
L7:;
	goto L5;
L5:;
	L9profile_1_unprofiled_fun(V1)            /*  PROFILE-1-UNPROFILED-FUN */;
	goto L1;
L3:;
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_6,V1) /*  WARN */;
	goto L1;
L1:;
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for UNPROFILE-1-FUN                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11unprofile_1_fun(cl_object volatile V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  PINFO           */
	{volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	V3= ecl_symbol_value(VV[1]);
	V4= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	V5= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V6;
	V6= _ecl_inner_frame;
	{volatile cl_object V7;
	V7= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V8=ECL_STACK_INDEX(cl_env_copy),V9;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V7); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V3)                         /*  GET-LOCK        */;
	cl_env_copy->values[0]=cl_gethash(2,V1,ecl_symbol_value(VV[5])) /*  GETHASH */;
	ecl_bds_unwind1(cl_env_copy);
	}
	ecl_frs_pop(cl_env_copy);
	V9=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L15;}
	if(!((V4)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L18;}
	T0= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V5)>0)){
	goto L15;}
	goto L16;
L18:;
L16:;
	mp_giveup_lock(V3)                        /*  GIVEUP-LOCK     */;
	goto L13;
L15:;
	goto L13;
L13:;
	ecl_stack_pop_values(cl_env_copy,V9);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V8);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V6);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L22;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L20;
L22:;
	goto L20;
L20:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	V2= value0;
	}
	if((V2)==ECL_NIL){
	goto L25;}
	{volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	V3= ecl_symbol_value(VV[1]);
	V4= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	V5= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V6;
	V6= _ecl_inner_frame;
	{volatile cl_object V7;
	V7= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V8=ECL_STACK_INDEX(cl_env_copy),V9;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V7); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V3)                         /*  GET-LOCK        */;
	cl_env_copy->values[0]=cl_remhash(V1,ecl_symbol_value(VV[5])) /*  REMHASH */;
	ecl_bds_unwind1(cl_env_copy);
	}
	ecl_frs_pop(cl_env_copy);
	V9=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L40;}
	if(!((V4)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L43;}
	T0= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V5)>0)){
	goto L40;}
	goto L41;
L43:;
L41:;
	mp_giveup_lock(V3)                        /*  GIVEUP-LOCK     */;
	goto L38;
L40:;
	goto L38;
L38:;
	ecl_stack_pop_values(cl_env_copy,V9);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V8);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V6);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L47;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L45;
L47:;
	goto L45;
L45:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	T0= cl_fdefinition(V1)                    /*  FDEFINITION     */;
	T1= ecl_function_dispatch(cl_env_copy,VV[81])(1,V2) /*  PROFILE-INFO-ENCAPSULATION-FUN */;
	if(!((T0)==(T1))){
	goto L50;}
	T0= ecl_function_dispatch(cl_env_copy,VV[82])(1,V2) /*  PROFILE-INFO-ENCAPSULATED-FUN */;
	si_fset(4,V1,T0,ECL_NIL,ECL_NIL)          /*  FSET            */;
	goto L1;
L50:;
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_7,V1) /*  WARN */;
	goto L1;
L25:;
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_8,V1) /*  WARN */;
	goto L1;
	}
L1:;
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;
}}
/*	local function PROFILE                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12profile(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L3;}
	value0=VV[37]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= cl_list(2,ECL_SYM("QUOTE",679),V3)    /*  LIST            */;
	value0=cl_list(3,VV[29],VV[38],T0)        /*  LIST            */;
	return value0;
	}
}}
/*	local function UNPROFILE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13unprofile(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	if((V3)==ECL_NIL){
	goto L3;}
	T0= cl_list(2,ECL_SYM("QUOTE",679),V3)    /*  LIST            */;
	value0=cl_list(3,VV[29],VV[40],T0)        /*  LIST            */;
	return value0;
L3:;
	value0=VV[41]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for UNPROFILE-ALL                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14unprofile_all()
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V1;
	volatile cl_object V2;
	volatile cl_object V3;
	V1= ecl_symbol_value(VV[1]);
	V2= mp_lock_owner(V1)                     /*  LOCK-OWNER      */;
	V3= mp_lock_count(V1)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V4;
	V4= _ecl_inner_frame;
	{volatile cl_object V5;
	V5= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V6=ECL_STACK_INDEX(cl_env_copy),V7;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V5); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V1)                         /*  GET-LOCK        */;
	{cl_object V8;
	V8= si_hash_table_iterator(ecl_symbol_value(VV[5])) /*  HASH-TABLE-ITERATOR */;
L13:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V8)(0);
	{
	cl_object V10;
	cl_object V11;                            /*  NAME            */
	cl_object V12;                            /*  PROFILE-INFO    */
	{int V13=cl_env_copy->nvalues-0;
	if (V13--<=0) goto L16;
	V10= cl_env_copy->values[0];
	if (V13--<=0) goto L17;
	V11= cl_env_copy->values[1];
	if (V13--<=0) goto L18;
	V12= cl_env_copy->values[2];
	goto L19;}
L16:;
	V10= ECL_NIL;
L17:;
	V11= ECL_NIL;
L18:;
	V12= ECL_NIL;
L19:;
	if((V10)!=ECL_NIL){
	goto L22;}
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	goto L9;
L22:;
	goto L20;
L20:;
	L11unprofile_1_fun(V11)                   /*  UNPROFILE-1-FUN */;}
	goto L13;
	}
L9:;
	}
	ecl_frs_pop(cl_env_copy);
	V7=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V1)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L27;}
	if(!((V2)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L30;}
	T0= mp_lock_count(V1)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V3)>0)){
	goto L27;}
	goto L28;
L30:;
L28:;
	mp_giveup_lock(V1)                        /*  GIVEUP-LOCK     */;
	goto L25;
L27:;
	goto L25;
L25:;
	ecl_stack_pop_values(cl_env_copy,V7);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V6);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V4);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L34;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L32;
L34:;
	goto L32;
L32:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V4);
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
	}
}}
/*	function definition for RESET                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15reset()
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V1;
	volatile cl_object V2;
	volatile cl_object V3;
	V1= ecl_symbol_value(VV[1]);
	V2= mp_lock_owner(V1)                     /*  LOCK-OWNER      */;
	V3= mp_lock_count(V1)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V4;
	V4= _ecl_inner_frame;
	{volatile cl_object V5;
	V5= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V6=ECL_STACK_INDEX(cl_env_copy),V7;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V5); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V1)                         /*  GET-LOCK        */;
	{cl_object V8;
	V8= si_hash_table_iterator(ecl_symbol_value(VV[5])) /*  HASH-TABLE-ITERATOR */;
L13:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V8)(0);
	{
	cl_object V10;
	cl_object V11;                            /*  NAME            */
	cl_object V12;                            /*  PROFILE-INFO    */
	{int V13=cl_env_copy->nvalues-0;
	if (V13--<=0) goto L16;
	V10= cl_env_copy->values[0];
	if (V13--<=0) goto L17;
	V11= cl_env_copy->values[1];
	if (V13--<=0) goto L18;
	V12= cl_env_copy->values[2];
	goto L19;}
L16:;
	V10= ECL_NIL;
L17:;
	V11= ECL_NIL;
L18:;
	V12= ECL_NIL;
L19:;
	if((V10)!=ECL_NIL){
	goto L22;}
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	goto L9;
L22:;
	goto L20;
L20:;
	T0= ecl_function_dispatch(cl_env_copy,VV[87])(1,V12) /*  PROFILE-INFO-CLEAR-STATS-FUN */;
	ecl_function_dispatch(cl_env_copy,T0)(0);}
	goto L13;
	}
L9:;
	}
	ecl_frs_pop(cl_env_copy);
	V7=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V1)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L28;}
	if(!((V2)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L31;}
	T0= mp_lock_count(V1)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V3)>0)){
	goto L28;}
	goto L29;
L31:;
L29:;
	mp_giveup_lock(V1)                        /*  GIVEUP-LOCK     */;
	goto L26;
L28:;
	goto L26;
L26:;
	ecl_stack_pop_values(cl_env_copy,V7);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V6);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V4);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L35;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L33;
L35:;
	goto L33;
L33:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V4);
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
	}
}}
/*	function definition for MAKE-TIME-INFO                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16make_time_info(cl_narg narg, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L16make_time_infokeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	}
	value0=si_make_structure(5,VV[47],V1,V2,V3,V4) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for COMPENSATE-TIME                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17compensate_time(cl_object V1, cl_object V2, cl_object V3)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RAW-COMPENSATED */
	T0= cl_float(1,V2)                        /*  FLOAT           */;
	T1= cl_float(1,ecl_make_fixnum(1000))     /*  FLOAT           */;
	T2= ecl_divide(T0,T1);
	T3= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-INTERNAL */;
	T4= cl_float(1,V1)                        /*  FLOAT           */;
	T5= ecl_times(T3,T4);
	T6= ecl_minus(T2,T5);
	T7= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-TOTAL */;
	T8= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-INTERNAL */;
	T9= ecl_minus(T7,T8);
	T10= cl_float(1,V3)                       /*  FLOAT           */;
	T11= ecl_times(T9,T10);
	V4= ecl_minus(T6,T11);
	value0=(ecl_number_compare(V4,cl_core.singlefloat_zero)>=0?V4:cl_core.singlefloat_zero); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for REPORT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19report()
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(ecl_boundp(cl_env_copy,VV[25])){
	goto L3;}
	cl_set(VV[25],L24compute_overhead()       /*  COMPUTE-OVERHEAD */);
	goto L1;
L3:;
	goto L1;
L1:;
	{volatile cl_object V1;                   /*  TIME-INFO-LIST  */
	volatile cl_object V2;                    /*  NO-CALL-NAME-LIST */
	V1= ECL_NIL;
	V2= ECL_NIL;
	{volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	V3= ecl_symbol_value(VV[1]);
	V4= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	V5= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V6;
	V6= _ecl_inner_frame;
	{volatile cl_object V7;
	V7= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V8=ECL_STACK_INDEX(cl_env_copy),V9;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V7); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V3)                         /*  GET-LOCK        */;
	{cl_object V10;
	V10= si_hash_table_iterator(ecl_symbol_value(VV[5])) /*  HASH-TABLE-ITERATOR */;
L21:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V10)(0);
	{
	cl_object V12;
	cl_object V13;                            /*  NAME            */
	cl_object V14;                            /*  PINFO           */
	{int V15=cl_env_copy->nvalues-0;
	if (V15--<=0) goto L24;
	V12= cl_env_copy->values[0];
	if (V15--<=0) goto L25;
	V13= cl_env_copy->values[1];
	if (V15--<=0) goto L26;
	V14= cl_env_copy->values[2];
	goto L27;}
L24:;
	V12= ECL_NIL;
L25:;
	V13= ECL_NIL;
L26:;
	V14= ECL_NIL;
L27:;
	if((V12)!=ECL_NIL){
	goto L30;}
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	goto L17;
L30:;
	goto L28;
L28:;
	T0= cl_fdefinition(V13)                   /*  FDEFINITION     */;
	T1= ecl_function_dispatch(cl_env_copy,VV[81])(1,V14) /*  PROFILE-INFO-ENCAPSULATION-FUN */;
	if((T0)==(T1)){
	goto L34;}
	(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2,_ecl_static_10,V13) /*  WARN */;
	goto L32;
L34:;
	goto L32;
L32:;
	T0= ecl_function_dispatch(cl_env_copy,VV[97])(1,V14) /*  PROFILE-INFO-READ-STATS-FUN */;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,T0)(0);
	{
	cl_object V16;                            /*  CALLS           */
	cl_object V17;                            /*  TICKS           */
	cl_object V18;                            /*  CONSING         */
	cl_object V19;                            /*  PROFILE         */
	{int V20=cl_env_copy->nvalues-0;
	if (V20--<=0) goto L38;
	V16= cl_env_copy->values[0];
	if (V20--<=0) goto L39;
	V17= cl_env_copy->values[1];
	if (V20--<=0) goto L40;
	V18= cl_env_copy->values[2];
	if (V20--<=0) goto L41;
	V19= cl_env_copy->values[3];
	goto L42;}
L38:;
	V16= ECL_NIL;
L39:;
	V17= ECL_NIL;
L40:;
	V18= ECL_NIL;
L41:;
	V19= ECL_NIL;
L42:;
	if(!(ecl_zerop(V16))){
	goto L44;}
	V2= CONS(V13,V2);
	goto L22;
L44:;
	T0= L17compensate_time(V16,V17,V19)       /*  COMPENSATE-TIME */;
	T1= L16make_time_info(8,ECL_SYM("NAME",1274),V13,VV[50],V16,VV[51],T0,VV[52],V18) /*  MAKE-TIME-INFO */;
	V1= CONS(T1,V1);
	goto L22;}}
L22:;
	goto L21;
	}
L17:;
	}
	ecl_frs_pop(cl_env_copy);
	V9=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V3)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L51;}
	if(!((V4)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L54;}
	T0= mp_lock_count(V3)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V5)>0)){
	goto L51;}
	goto L52;
L54:;
L52:;
	mp_giveup_lock(V3)                        /*  GIVEUP-LOCK     */;
	goto L49;
L51:;
	goto L49;
L49:;
	ecl_stack_pop_values(cl_env_copy,V9);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V8);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V6);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L58;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L56;
L58:;
	goto L56;
L56:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	T0= (ECL_SYM(">=",76)->symbol.gfdef);
	T1= ecl_fdefinition(VV[98]);
	V1= cl_sort(4,V1,T0,ECL_SYM("KEY",1263),T1) /*  SORT          */;
	L21print_profile_table(V1)                /*  PRINT-PROFILE-TABLE */;
	if((V2)==ECL_NIL){
	goto L67;}
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	T1= (ECL_SYM("STRING<",820)->symbol.gfdef);
	T2= ecl_make_cfun((cl_objectfn_fixed)LC18__g246,ECL_NIL,Cblock,1);
	T3= cl_sort(4,V2,T1,ECL_SYM("KEY",1263),T2) /*  SORT          */;
	cl_format(3,T0,_ecl_static_11,T3)         /*  FORMAT          */;
	goto L65;
L67:;
	goto L65;
L65:;
	value0=ECL_NIL; cl_env_copy->nvalues=0;
	return value0;
	}
}}
/*	local function G246                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18__g246(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_name(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PRINT-PROFILE-TABLE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21print_profile_table(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  LET2527         */
	cl_fixnum V3;                             /*  LET2528         */
	cl_fixnum V4;                             /*  LET2529         */
	cl_object V5;                             /*  TOTAL-SECONDS   */
	cl_object V6;                             /*  TOTAL-CONSED    */
	cl_object V7;                             /*  TOTAL-CALLS     */
	V2= ecl_length(_ecl_static_12);
	V3= ecl_length(_ecl_static_13);
	V4= ecl_length(_ecl_static_14);
	V5= cl_core.singlefloat_zero;
	V6= ecl_make_fixnum(0);
	V7= ecl_make_fixnum(0);
	lex0[0]= ecl_make_fixnum(V2);             /*  SECONDS-WIDTH   */
	lex0[1]= ecl_make_fixnum(V3);             /*  CONSED-WIDTH    */
	lex0[2]= ecl_make_fixnum(V4);             /*  CALLS-WIDTH     */
	lex0[3]= ecl_make_fixnum(10);             /*  SEC/CALL-WIDTH  */
	lex0[4]= ecl_make_fixnum(6);              /*  NAME-WIDTH      */
	{cl_object V8;
	V8= V1;
	goto L12;
L11:;
	{cl_object V9;                            /*  TIME-INFO       */
	V9= ecl_car(V8);
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	V5= ecl_plus(V5,V10);
	}
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[100])(1,V9) /*  TIME-INFO-CONSING */;
	V6= ecl_plus(V6,V10);
	}
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	V7= ecl_plus(V7,V10);
	}
	}
	V8= ecl_cdr(V8);
L12:;
	if((V8)==ECL_NIL){
	goto L29;}
	goto L11;
L29:;
	goto L27;
L27:;
	goto L9;
L9:;
	}
	T0= cl_format(3,ECL_NIL,_ecl_static_15,V5) /*  FORMAT         */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[0]= (ecl_number_compare(ecl_make_fixnum(V8),lex0[0])>=0?ecl_make_fixnum(V8):lex0[0]);}
	T0= cl_format(3,ECL_NIL,_ecl_static_16,V7) /*  FORMAT         */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[2]= (ecl_number_compare(ecl_make_fixnum(V8),lex0[2])>=0?ecl_make_fixnum(V8):lex0[2]);}
	T0= cl_format(3,ECL_NIL,_ecl_static_16,V6) /*  FORMAT         */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[1]= (ecl_number_compare(ecl_make_fixnum(V8),lex0[1])>=0?ecl_make_fixnum(V8):lex0[1]);}
	T0= ecl_one_plus(lex0[1]);
	T1= ecl_one_plus(lex0[2]);
	T2= ecl_make_integer((ecl_fixnum(lex0[3]))+1);
	T3= ecl_make_integer((ecl_fixnum(lex0[4]))+1);
	cl_format(12,ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69)),_ecl_static_17,lex0[0],_ecl_static_12,T0,_ecl_static_13,T1,_ecl_static_14,T2,_ecl_static_18,T3,_ecl_static_19) /*  FORMAT */;
	LC20dashes(lex0)                          /*  DASHES          */;
	{cl_object V8;
	V8= V1;
	goto L44;
L43:;
	{cl_object V9;                            /*  TIME-INFO       */
	V9= ecl_car(V8);
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	T1= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	T2= ecl_function_dispatch(cl_env_copy,VV[100])(1,V9) /*  TIME-INFO-CONSING */;
	T3= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	T4= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	T5= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	T6= cl_float(1,T5)                        /*  FLOAT           */;
	T7= ecl_divide(T4,T6);
	T8= ecl_function_dispatch(cl_env_copy,VV[102])(1,V9) /*  TIME-INFO-NAME */;
	cl_format(10,T0,_ecl_static_20,lex0[0],T1,lex0[1],T2,lex0[2],T3,T7,T8) /*  FORMAT */;
	}
	V8= ecl_cdr(V8);
L44:;
	if((V8)==ECL_NIL){
	goto L53;}
	goto L43;
L53:;
	goto L51;
L51:;
	goto L41;
L41:;
	}
	LC20dashes(lex0)                          /*  DASHES          */;
	cl_format(8,ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69)),_ecl_static_21,lex0[0],V5,lex0[1],V6,lex0[2],V7) /*  FORMAT */;
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	T1= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-TOTAL */;
	T2= cl_float(1,V7)                        /*  FLOAT           */;
	T3= ecl_times(T1,T2);
	cl_format(3,T0,_ecl_static_22,T3)         /*  FORMAT          */;
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
	T1= ecl_function_dispatch(cl_env_copy,VV[103])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-CALL */;
	T2= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-TOTAL */;
	T3= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[25])) /*  OVERHEAD-INTERNAL */;
	value0=cl_format(5,T0,_ecl_static_23,T1,T2,T3) /*  FORMAT     */;
	return value0;
	}
}}
/*	local function DASHES                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20dashes(volatile cl_object *lex0)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	T0= ecl_plus(lex0[0],lex0[1]);
	T1= ecl_plus(T0,lex0[2]);
	T2= ecl_plus(T1,lex0[3]);
	T3= ecl_plus(T2,lex0[4]);
	V1= ecl_plus(T3,ecl_make_fixnum(15));
	{cl_object V2;                            /*  I               */
	V2= ecl_make_fixnum(0);
	goto L6;
L5:;
	cl_write_char(2,CODE_CHAR(45),ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69))) /*  WRITE-CHAR */;
	V2= ecl_one_plus(V2);
L6:;
	if(!(ecl_number_compare(V2,V1)<0)){
	goto L13;}
	goto L5;
L13:;
	goto L11;
L11:;
	goto L1;
	}
	}
L1:;
	value0=ecl_terpri(ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPUTE-OVERHEAD-AUX                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22compute_overhead_aux(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPUTE-OVERHEAD                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24compute_overhead()
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_format(2,ecl_symbol_value(ECL_SYM("*DEBUG-IO*",30)),_ecl_static_24) /*  FORMAT */;
	{volatile cl_object V1;                   /*  LET2536         */
	volatile cl_object V2;                    /*  TOTAL-OVERHEAD  */
	volatile cl_object V3;                    /*  INTERNAL-OVERHEAD */
	V1= LC23frob()                            /*  FROB            */;
	V2= ECL_NIL;
	V3= ECL_NIL;
	{
	volatile bool unwinding = FALSE;
	cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	T0= ecl_fdefinition(VV[35]);
	L8mapc_on_named_funs(T0,VV[57])           /*  MAPC-ON-NAMED-FUNS */;
	T0= LC23frob()                            /*  FROB            */;
	V2= ecl_minus(T0,V1);
	cl_env_copy->values[0]=V2; cl_env_copy->nvalues=1;
	}
	ecl_frs_pop(cl_env_copy);
	V5=ecl_stack_push_values(cl_env_copy);
	{volatile cl_object V6;                   /*  PINFO           */
	volatile cl_object V7;                    /*  READ-STATS-FUN  */
	volatile cl_object V8;                    /*  TIME            */
	{volatile cl_object V9;
	volatile cl_object V10;
	volatile cl_object V11;
	V9= ecl_symbol_value(VV[1]);
	V10= mp_lock_owner(V9)                    /*  LOCK-OWNER      */;
	V11= mp_lock_count(V9)                    /*  LOCK-COUNT      */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{volatile cl_object V12;
	V12= _ecl_inner_frame;
	{volatile cl_object V13;
	V13= ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1723),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V14=ECL_STACK_INDEX(cl_env_copy),V15;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),V13); /*  *INTERRUPTS-ENABLED* */
	mp_get_lock(1,V9)                         /*  GET-LOCK        */;
	cl_env_copy->values[0]=cl_gethash(2,VV[56],ecl_symbol_value(VV[5])) /*  GETHASH */;
	ecl_bds_unwind1(cl_env_copy);
	}
	ecl_frs_pop(cl_env_copy);
	V15=ecl_stack_push_values(cl_env_copy);
	T0= ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399));
	T1= mp_lock_owner(V9)                     /*  LOCK-OWNER      */;
	if(!((T0)==(T1))){
	goto L26;}
	if(!((V10)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1399))))){
	goto L29;}
	T0= mp_lock_count(V9)                     /*  LOCK-COUNT      */;
	if(!(ecl_number_compare(T0,V11)>0)){
	goto L26;}
	goto L27;
L29:;
L27:;
	mp_giveup_lock(V9)                        /*  GIVEUP-LOCK     */;
	goto L24;
L26:;
	goto L24;
L24:;
	ecl_stack_pop_values(cl_env_copy,V15);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V14);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);}
	}
	ecl_stack_frame_push_values(V12);
	if((ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))==ECL_NIL){
	goto L33;}
	si_check_pending_interrupts()             /*  CHECK-PENDING-INTERRUPTS */;
	goto L31;
L33:;
	goto L31;
L31:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V12);
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	V6= value0;
	}
	V7= ecl_function_dispatch(cl_env_copy,VV[97])(1,V6) /*  PROFILE-INFO-READ-STATS-FUN */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V9;
	V9= _ecl_inner_frame;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V7)(0);
	ecl_stack_frame_push_values(V9);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V9,ECL_SYM("LIST",481));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	T0= value0;
	V8= ecl_cadr(T0);
	T0= cl_float(1,V8)                        /*  FLOAT           */;
	T1= cl_float(1,ecl_make_fixnum(1000))     /*  FLOAT           */;
	T2= ecl_divide(T0,T1);
	T3= cl_float(1,ecl_symbol_value(VV[55]))  /*  FLOAT           */;
	V3= ecl_divide(T2,T3);
	}
	T0= ecl_fdefinition(VV[36]);
	L8mapc_on_named_funs(T0,VV[57])           /*  MAPC-ON-NAMED-FUNS */;
	ecl_stack_pop_values(cl_env_copy,V5);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V4);}
	{cl_object V4;
	V4= L3make_overhead(6,VV[58],V1,VV[59],V2,ECL_SYM("INTERNAL",1259),V3) /*  MAKE-OVERHEAD */;
	cl_format(2,ecl_symbol_value(ECL_SYM("*DEBUG-IO*",30)),_ecl_static_25) /*  FORMAT */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function FROB                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23frob()
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2534         */
	cl_object V2;                             /*  LET2535         */
	cl_object V3;                             /*  FUN             */
	V1= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V2= cl_symbol_function(VV[56])            /*  SYMBOL-FUNCTION */;
	T0= cl_functionp(V2)                      /*  FUNCTIONP       */;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FUNCTION",396),V2);
	V3= V2;
	{cl_object V4;
	V4= ecl_symbol_value(VV[55]);
	{cl_object V5;                            /*  I               */
	V5= ecl_make_fixnum(0);
	goto L10;
L9:;
	ecl_function_dispatch(cl_env_copy,V3)(1,V3);
	V5= ecl_one_plus(V5);
L10:;
	if(!(ecl_number_compare(V5,V4)<0)){
	goto L17;}
	goto L9;
L17:;
	goto L15;
L15:;
	goto L5;
	}
	}
L5:;
	T0= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	T1= ecl_minus(T0,V1);
	T2= cl_float(1,T1)                        /*  FLOAT           */;
	T3= cl_float(1,ecl_make_fixnum(1000))     /*  FLOAT           */;
	T4= ecl_divide(T2,T3);
	T5= cl_float(1,ecl_symbol_value(VV[55]))  /*  FLOAT           */;
	value0=ecl_divide(T4,T5); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PROFILE-DEINIT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25profile_deinit()
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_makunbound(VV[25])              /*  MAKUNBOUND      */;
	return value0;
}}
	
#include "ext/profile.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclAbKKDb3rHoCp9_AXVVUZ01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:PROFILE;PROFILE.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclAbKKDb3rHoCp9_AXVVUZ01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	ecl_function_dispatch(cl_env_copy,VV[62])(10,_ecl_static_0,VVtemp[0],ECL_NIL,_ecl_static_1,ECL_NIL,ECL_NIL,VVtemp[1],ECL_NIL,ECL_NIL,ECL_NIL) /*  DODEFPACKAGE */;
	si_select_package(_ecl_static_0)          /*  SELECT-PACKAGE  */;
	si_Xmake_constant(VV[0],ecl_make_fixnum(1000)) /*  *MAKE-CONSTANT */;
	si_Xmake_special(VV[1])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[1])){
	goto L10;}
	cl_set(VV[1],mp_make_lock(0)              /*  MAKE-LOCK       */);
	goto L8;
L10:;
	goto L8;
L8:;
	T0= ecl_make_unsigned_integer(~((size_t)0));
	si_Xmake_constant(VV[2],T0)               /*  *MAKE-CONSTANT  */;
	ecl_cmp_defun(VV[63]);                    /*  GET-BYTES-CONSED */
	si_do_deftype(3,VV[4],VVtemp[2],VVtemp[3]) /*  DO-DEFTYPE     */;
	si_Xmake_special(VV[5])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[5])){
	goto L31;}
	cl_set(VV[5],cl_make_hash_table(2,ECL_SYM("TEST",1317),ECL_SYM("EQUAL",335)) /*  MAKE-HASH-TABLE */);
	goto L29;
L31:;
	goto L29;
L29:;
	si_define_structure(15,VV[6],_ecl_static_2,ECL_NIL,ECL_NIL,VVtemp[4],VVtemp[5],ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[6],ecl_make_fixnum(5),ECL_NIL,ECL_NIL,VV[7]) /*  DEFINE-STRUCTURE */;
	VV[12]= cl_find_class(1,VV[6])            /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[64]);                    /*  MAKE-PROFILE-INFO */
	si_Xmake_special(VV[14])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[14])){
	goto L49;}
	cl_set(VV[14],ecl_make_fixnum(0));
	goto L47;
L49:;
	goto L47;
L47:;
	si_Xmake_special(VV[15])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[15])){
	goto L58;}
	cl_set(VV[15],ecl_make_fixnum(0));
	goto L56;
L58:;
	goto L56;
L56:;
	(cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2,ECL_SYM("PROCLAIM",666),VVtemp[7]) /*  MAPC */;
	si_Xmake_special(VV[16])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[16])){
	goto L69;}
	cl_set(VV[16],ecl_make_fixnum(0));
	goto L67;
L69:;
	goto L67;
L67:;
	(cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2,ECL_SYM("PROCLAIM",666),VVtemp[8]) /*  MAPC */;
	si_Xmake_special(VV[17])                  /*  *MAKE-SPECIAL   */;
	si_define_structure(15,VV[18],_ecl_static_3,ECL_NIL,ECL_NIL,VVtemp[9],VVtemp[10],ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[11],ecl_make_fixnum(3),ECL_NIL,ECL_NIL,VV[19]) /*  DEFINE-STRUCTURE */;
	VV[23]= cl_find_class(1,VV[18])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[71]);                    /*  MAKE-OVERHEAD   */
	si_Xmake_special(VV[25])                  /*  *MAKE-SPECIAL   */;
	(cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2,ECL_SYM("PROCLAIM",666),VVtemp[12]) /*  MAPC */;
	cl_makunbound(VV[25])                     /*  MAKUNBOUND      */;
	ecl_cmp_defun(VV[75]);                    /*  PROFILE-ENCAPSULATION-LAMBDAS */
	ecl_cmp_defun(VV[76]);                    /*  MAPC-ON-NAMED-FUNS */
	ecl_cmp_defun(VV[78]);                    /*  PROFILE-1-UNPROFILED-FUN */
	ecl_cmp_defun(VV[79]);                    /*  PROFILE-1-FUN   */
	ecl_cmp_defun(VV[80]);                    /*  UNPROFILE-1-FUN */
	ecl_cmp_defmacro(VV[83]);                 /*  PROFILE         */
	ecl_cmp_defmacro(VV[84]);                 /*  UNPROFILE       */
	ecl_cmp_defun(VV[85]);                    /*  UNPROFILE-ALL   */
	ecl_cmp_defun(VV[86]);                    /*  RESET           */
	si_define_structure(15,VV[45],_ecl_static_9,ECL_NIL,ECL_NIL,VVtemp[13],VVtemp[14],ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[15],ecl_make_fixnum(4),ECL_NIL,ECL_NIL,VV[46]) /*  DEFINE-STRUCTURE */;
	VV[47]= cl_find_class(1,VV[45])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[88]);                    /*  MAKE-TIME-INFO  */
	ecl_cmp_defun(VV[93]);                    /*  COMPENSATE-TIME */
	ecl_cmp_defun(VV[96]);                    /*  REPORT          */
	ecl_cmp_defun(VV[99]);                    /*  PRINT-PROFILE-TABLE */
	(cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2,ECL_SYM("PROCLAIM",666),VVtemp[16]) /*  MAPC */;
	si_Xmake_special(VV[55])                  /*  *MAKE-SPECIAL   */;
	{cl_object V1;
	V1= ecl_make_fixnum(0);
	V1= ecl_make_fixnum(500000);
	T0= ecl_make_bool(ecl_number_compare(V1,ecl_make_fixnum(0))>=0);
	goto L157;
	T0= ECL_NIL;
	goto L157;
	}
L157:;
	if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("UNSIGNED-BYTE",885),ecl_make_fixnum(500000));
	cl_set(VV[55],ecl_make_fixnum(500000));
	(cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2,ECL_SYM("PROCLAIM",666),VVtemp[17]) /*  MAPC */;
	ecl_cmp_defun(VV[104]);                   /*  COMPUTE-OVERHEAD-AUX */
	ecl_cmp_defun(VV[105]);                   /*  COMPUTE-OVERHEAD */
	ecl_cmp_defun(VV[106]);                   /*  PROFILE-DEINIT  */
}
