/*	Compiler: ECL 12.7.1                                          */
/*	Source: SRC:LSP;LOOP2.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "lsp/loop2.eclh"
/*	local function LOOP-UNSAFE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1loop_unsafe(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	value0=cl_listX(3,ECL_SYM("LOCALLY",490),VV[0],V3) /*  LIST*  */;
	return value0;
	}
}}
/*	local function LOOP-COPYLIST*                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2loop_copylist_(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  L               */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	if((V3)==ECL_NIL){
	goto L12;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L10;
L12:;
	goto L10;
L10:;
	value0=cl_list(2,ECL_SYM("COPY-LIST",257),V4) /*  LIST        */;
	return value0;
	}
}}
/*	function definition for LOOP-OPTIMIZATION-QUANTITIES          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3loop_optimization_quantities(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=ecl_make_fixnum(1);
	cl_env_copy->values[3]=ecl_make_fixnum(1);
	cl_env_copy->values[2]=ecl_make_fixnum(1);
	cl_env_copy->values[1]=ecl_make_fixnum(1);
	cl_env_copy->values[0]=ecl_make_fixnum(1);
	return cl_env_copy->values[0];
}}
/*	function definition for HIDE-VARIABLE-REFERENCES              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4hide_variable_references(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for HIDE-VARIABLE-REFERENCE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5hide_variable_reference(cl_object V1, cl_object V2, cl_object V3)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-LOOP-LIST-COLLECTION-HEAD                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6with_loop_list_collection_head(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  HEAD-VAR        */
	cl_object V7;                             /*  TAIL-VAR        */
	cl_object V8;                             /*  USER-HEAD-VAR   */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V9;
	}
	V5= V4;
	if(!(V5==ECL_NIL)){
	goto L14;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V9;
	}
	if(!(V5==ECL_NIL)){
	goto L22;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V9;
	}
	if((V5)==ECL_NIL){
	goto L29;}
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V8= V9;
	goto L27;
	}
L29:;
	V8= ECL_NIL;
	goto L27;
L27:;
	if((V5)==ECL_NIL){
	goto L36;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L34;
L36:;
	goto L34;
L34:;
	{cl_object V9;                            /*  L               */
	if((V8)==ECL_NIL){
	goto L40;}
	T0= cl_list(2,V8,ECL_NIL)                 /*  LIST            */;
	V9= ecl_list1(T0);
	goto L38;
L40:;
	V9= ECL_NIL;
	goto L38;
L38:;
	T0= cl_list(2,V6,VV[4])                   /*  LIST            */;
	T1= cl_list(2,V7,V6)                      /*  LIST            */;
	T2= cl_listX(3,T0,T1,V9)                  /*  LIST*           */;
	value0=cl_listX(3,ECL_SYM("LET*",478),T2,V3) /*  LIST*        */;
	return value0;
	}
	}
}}
/*	local function LOOP-COLLECT-RPLACD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8loop_collect_rplacd(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  HEAD-VAR        */
	cl_object V7;                             /*  TAIL-VAR        */
	cl_object V8;                             /*  USER-HEAD-VAR   */
	cl_object V9;                             /*  FORM            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V10;
	V10= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V10;
	}
	V5= V4;
	if(!(V5==ECL_NIL)){
	goto L14;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V10;
	V10= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V10;
	}
	if(!(V5==ECL_NIL)){
	goto L22;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V10;
	V10= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V10;
	}
	if((V5)==ECL_NIL){
	goto L29;}
	{cl_object V10;
	V10= ecl_car(V5);
	V5= ecl_cdr(V5);
	V8= V10;
	goto L27;
	}
L29:;
	V8= ECL_NIL;
	goto L27;
L27:;
	if(!(V3==ECL_NIL)){
	goto L37;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L35;
L37:;
	goto L35;
L35:;
	{cl_object V10;
	V10= ecl_car(V3);
	V3= ecl_cdr(V3);
	V9= V10;
	}
	if((V3)==ECL_NIL){
	goto L44;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L42;
L44:;
	goto L42;
L42:;
	if((V5)==ECL_NIL){
	goto L48;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L46;
L48:;
	goto L46;
L46:;
	V9= cl_macroexpand(2,V9,V2)               /*  MACROEXPAND     */;
	{cl_object V10;                           /*  NCDRS           */
	V10= ECL_NIL;
	if(!(ECL_CONSP(V9))){
	goto L55;}
	T0= ecl_car(V9);
	if(!((T0)==(ECL_SYM("LIST",481)))){
	goto L58;}
	T0= ecl_cdr(V9);
	{cl_fixnum V11;
	V11= ecl_length(T0);
	V10= ecl_make_integer((V11)-1);}
	goto L53;
L58:;
	{cl_object V11;
	V11= ecl_car(V9);
	if(!((V11)==(ECL_SYM("LIST*",482)))){
	goto L68;}
	goto L65;
	goto L66;
L68:;
	goto L66;
L66:;
	if(!((V11)==(ECL_SYM("CONS",251)))){
	goto L62;}
	goto L63;
L65:;
	}
L63:;
	if((ecl_cddr(V9))==ECL_NIL){
	goto L72;}
	{cl_object V11;
	T0= ecl_last(V9,1);
	V11= ecl_car(T0);
	if(!((V11)==(ECL_NIL))){
	goto L79;}
	goto L76;
	goto L77;
L79:;
	goto L77;
L77:;
	if(!(ecl_eql(V11,VV[9]))){
	goto L72;}
	goto L73;
L76:;
	}
L73:;
	T0= ecl_cdr(V9);
	{cl_fixnum V11;
	V11= ecl_length(T0);
	V10= ecl_minus(ecl_make_fixnum(V11),ecl_make_fixnum(2));}
	goto L53;
L72:;
	goto L53;
L62:;
	goto L53;
L55:;
	goto L53;
L53:;
	{cl_object V11;                           /*  ANSWER          */
	if(!(V10==ECL_NIL)){
	goto L85;}
	T0= cl_list(2,ECL_SYM("CDR",198),V7)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",750),T0,V9)  /*  LIST            */;
	T2= cl_list(2,ECL_SYM("CDR",198),V7)      /*  LIST            */;
	T3= cl_list(2,ECL_SYM("LAST",455),T2)     /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETQ",751),V7,T3)  /*  LIST            */;
	V11= cl_list(3,ECL_SYM("WHEN",905),T1,T4) /*  LIST            */;
	goto L83;
L85:;
	if(!(ecl_number_compare(V10,ecl_make_fixnum(0))<0)){
	goto L88;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L88:;
	if(!(ecl_number_equalp(V10,ecl_make_fixnum(0)))){
	goto L91;}
	T0= cl_list(3,ECL_SYM("SETQ",751),V7,V9)  /*  LIST            */;
	V11= cl_list(3,ECL_SYM("RPLACD",733),V7,T0) /*  LIST          */;
	goto L83;
L91:;
	T1= cl_list(2,ECL_SYM("CDR",198),V7)      /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETF",750),T1,V9)  /*  LIST            */;
	T0= LC7cdr_wrap(T2,V10)                   /*  CDR-WRAP        */;
	V11= cl_list(3,ECL_SYM("SETQ",751),V7,T0) /*  LIST            */;
	goto L83;
L83:;
	if((V8)==ECL_NIL){
	goto L96;}
	T0= cl_list(2,ECL_SYM("CDR",198),V6)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",751),V8,T0)  /*  LIST            */;
	V11= cl_list(3,ECL_SYM("PROGN",671),V11,T1) /*  LIST          */;
	goto L94;
L96:;
	goto L94;
L94:;
	value0=V11; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}}
/*	local function CDR-WRAP                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7cdr_wrap(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_fixnum V3;
	V3= ecl_to_fixnum(V2);
TTL:
	goto L4;
L3:;
	V1= cl_list(2,ECL_SYM("CDDDDR",195),V1)   /*  LIST            */;
	{cl_object V4;
	V4= ecl_minus(ecl_make_fixnum(V3),ecl_make_fixnum(4));
	{bool V5;
	V5= ECL_FIXNUMP(V4);
	if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V4);}
	V3= ecl_fixnum(V4);
	}
L4:;
	if((V3)<=(4)){
	goto L14;}
	goto L3;
L14:;
	goto L12;
L12:;
	goto L1;
L1:;
	if(!((V3)==(1))){
	goto L19;}
	T0= ECL_SYM("CDR",198);
	goto L17;
L19:;
	if(!((V3)==(2))){
	goto L22;}
	T0= ECL_SYM("CDDR",197);
	goto L17;
L22:;
	if(!((V3)==(3))){
	goto L25;}
	T0= ECL_SYM("CDDDR",196);
	goto L17;
L25:;
	if(!((V3)==(4))){
	goto L28;}
	T0= ECL_SYM("CDDDDR",195);
	goto L17;
L28:;
	T0= ECL_NIL;
	goto L17;
L17:;
	V1= cl_list(2,T0,V1)                      /*  LIST            */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-COLLECT-ANSWER                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9loop_collect_answer(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  HEAD-VAR        */
	cl_object V5;                             /*  USER-HEAD-VAR   */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if((V3)==ECL_NIL){
	goto L12;}
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	goto L10;
	}
L12:;
	V5= ECL_NIL;
	goto L10;
L10:;
	if((V3)==ECL_NIL){
	goto L19;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L17;
L19:;
	goto L17;
L17:;
	value0=V5;
	if((value0)!=ECL_NIL){
	goto L22;}
	value0=cl_list(2,ECL_SYM("CDR",198),V4)   /*  LIST            */;
	return value0;
L22:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAKE-LOOP-MINIMAX-INTERNAL            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10make_loop_minimax_internal(cl_narg narg, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,L10make_loop_minimax_internalkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	}
	T0= cl_list(6,V1,V2,V3,V4,V5,V6)          /*  LIST            */;
	value0=cl_make_array(5,VV[15],ECL_SYM("ELEMENT-TYPE",1225),ECL_T,ECL_SYM("INITIAL-CONTENTS",1253),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for MAKE-LOOP-MINIMAX                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11make_loop_minimax(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INFINITY-DATA   */
	{cl_object V4;
	V4= ecl_symbol_value(VV[17]);
	goto L7;
L6:;
	{cl_object V5;
	cl_object V6;
	if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
	V5= V4;
	V6= ECL_CONS_CAR(V5);
	if((V6)==ECL_NIL){
	goto L14;}
	{cl_object V7;
	if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
	T1= V6;
	V7= ECL_CONS_CAR(T1);
	if((cl_subtypep(2,V2,V7)                  /*  SUBTYPEP        */)==ECL_NIL){
	goto L20;}
	T0= V6;
	goto L2;
L20:;
	goto L9;
	}
L14:;
	goto L9;
	}
L9:;
	V4= ECL_CONS_CDR(V4);
L7:;
	if(V4==ECL_NIL){
	goto L26;}
	goto L6;
L26:;
	goto L24;
L24:;
	goto L4;
L4:;
	T0= ECL_NIL;
	}
L2:;
	V3= ecl_cdr(T0);
	T0= cl_gensym(1,_ecl_static_2)            /*  GENSYM          */;
	if((V3)!=ECL_NIL){
	goto L30;}
	T1= cl_gensym(1,_ecl_static_3)            /*  GENSYM          */;
	goto L28;
L30:;
	T1= ECL_NIL;
	goto L28;
L28:;
	value0=L10make_loop_minimax_internal(12,VV[18],V1,ECL_SYM("TYPE",1319),V2,VV[19],T0,VV[20],T1,VV[21],ECL_NIL,VV[22],V3) /*  MAKE-LOOP-MINIMAX-INTERNAL */;
	return value0;
	}
}}
/*	function definition for LOOP-NOTE-MINIMAX-OPERATION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12loop_note_minimax_operation(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	T0= ecl_function_dispatch(cl_env_copy,VV[235])(1,V2) /*  LOOP-MINIMAX-OPERATIONS */;
	V3= cl_adjoin(2,V1,T0)                    /*  ADJOIN          */;
	ecl_elt_set(V2,4,V3);
	}
	T0= ecl_function_dispatch(cl_env_copy,VV[235])(1,V2) /*  LOOP-MINIMAX-OPERATIONS */;
	if((ecl_cdr(T0))==ECL_NIL){
	goto L5;}
	if((ecl_function_dispatch(cl_env_copy,VV[236])(1,V2) /*  LOOP-MINIMAX-FLAG-VARIABLE */)!=ECL_NIL){
	goto L5;}
	{cl_object V3;
	V3= cl_gensym(1,_ecl_static_3)            /*  GENSYM          */;
	ecl_elt_set(V2,3,V3);
	goto L3;
	}
L5:;
	goto L3;
L3:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-MINIMAX-VALUE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13with_minimax_value(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  LM              */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  LET222          */
	cl_object V6;                             /*  LET223          */
	cl_object V7;                             /*  LET224          */
	cl_object V8;                             /*  LET225          */
	cl_object V9;                             /*  LET226          */
	cl_object V10;                            /*  LET227          */
	cl_object V11;                            /*  LET228          */
	T0= ecl_function_dispatch(cl_env_copy,VV[238])(1,V4) /*  LOOP-MINIMAX-TYPE */;
	V5= L59loop_typed_init(T0)                /*  LOOP-TYPED-INIT */;
	T0= ecl_function_dispatch(cl_env_copy,VV[235])(1,V4) /*  LOOP-MINIMAX-OPERATIONS */;
	V6= ecl_car(T0);
	V7= ecl_function_dispatch(cl_env_copy,VV[239])(1,V4) /*  LOOP-MINIMAX-INFINITY-DATA */;
	V8= ecl_function_dispatch(cl_env_copy,VV[240])(1,V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	V9= ecl_function_dispatch(cl_env_copy,VV[241])(1,V4) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
	V10= ecl_function_dispatch(cl_env_copy,VV[236])(1,V4) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
	V11= ecl_function_dispatch(cl_env_copy,VV[238])(1,V4) /*  LOOP-MINIMAX-TYPE */;
	if((V10)==ECL_NIL){
	goto L18;}
	T0= cl_list(2,V8,V5)                      /*  LIST            */;
	T1= cl_list(2,V9,V5)                      /*  LIST            */;
	T2= cl_list(2,V10,ECL_NIL)                /*  LIST            */;
	T3= cl_list(3,T0,T1,T2)                   /*  LIST            */;
	T4= cl_list(4,ECL_SYM("TYPE",869),V11,V8,V9) /*  LIST         */;
	T5= cl_list(2,ECL_SYM("DECLARE",274),T4)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",477),T3,T5,V3) /*  LIST*      */;
	return value0;
L18:;
	if(!((V6)==(ECL_SYM("MIN",557)))){
	goto L22;}
	T0= ecl_car(V7);
	goto L20;
L22:;
	T0= ecl_cadr(V7);
	goto L20;
L20:;
	T1= cl_list(2,V8,T0)                      /*  LIST            */;
	T2= cl_list(2,V9,V5)                      /*  LIST            */;
	T3= cl_list(2,T1,T2)                      /*  LIST            */;
	T4= cl_list(4,ECL_SYM("TYPE",869),V11,V8,V9) /*  LIST         */;
	T5= cl_list(2,ECL_SYM("DECLARE",274),T4)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",477),T3,T5,V3) /*  LIST*      */;
	return value0;
	}
	}
}}
/*	local function LOOP-ACCUMULATE-MINIMAX-VALUE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14loop_accumulate_minimax_value(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  LM              */
	cl_object V5;                             /*  OPERATION       */
	cl_object V6;                             /*  FORM            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V7;
	}
	if((V3)==ECL_NIL){
	goto L28;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L26;
L28:;
	goto L26;
L26:;
	{cl_object V7;                            /*  ANSWER-VAR      */
	cl_object V8;                             /*  TEMP-VAR        */
	cl_object V9;                             /*  FLAG-VAR        */
	cl_object V10;                            /*  TEST            */
	V7= ecl_function_dispatch(cl_env_copy,VV[240])(1,V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	V8= ecl_function_dispatch(cl_env_copy,VV[241])(1,V4) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
	V9= ecl_function_dispatch(cl_env_copy,VV[236])(1,V4) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[240])(1,V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	if(!((V5)==(ECL_SYM("MIN",557)))){
	goto L36;}
	T1= ECL_SYM("<",72);
	goto L34;
L36:;
	if(!((V5)==(ECL_SYM("MAX",551)))){
	goto L39;}
	T1= ECL_SYM(">",75);
	goto L34;
L39:;
	T1= si_ecase_error(V5,VV[24])             /*  ECASE-ERROR     */;
	goto L34;
L34:;
	T2= cl_list(3,T1,V8,V7)                   /*  LIST            */;
	V10= L5hide_variable_reference(ECL_T,T0,T2) /*  HIDE-VARIABLE-REFERENCE */;
	T0= cl_list(3,ECL_SYM("SETQ",751),V8,V6)  /*  LIST            */;
	if((V9)==ECL_NIL){
	goto L43;}
	T2= cl_list(2,ECL_SYM("NOT",584),V9)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("OR",614),T2,V10)   /*  LIST            */;
	goto L41;
L43:;
	T1= V10;
	goto L41;
L41:;
	if((V9)==ECL_NIL){
	goto L47;}
	T2= cl_list(2,V9,ECL_T)                   /*  LIST            */;
	goto L45;
L47:;
	T2= ECL_NIL;
	goto L45;
L45:;
	T3= cl_list(2,V7,V8)                      /*  LIST            */;
	T4= ecl_append(T2,T3);
	T5= CONS(ECL_SYM("SETQ",751),T4);
	T6= cl_list(3,ECL_SYM("WHEN",905),T1,T5)  /*  LIST            */;
	value0=cl_list(3,ECL_SYM("PROGN",671),T0,T6) /*  LIST         */;
	return value0;
	}
	}
}}
/*	function definition for LOOP-TEQUAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15loop_tequal(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	value0=cl_stringE(2,V1,V2)                /*  STRING=         */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TASSOC                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16loop_tassoc(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V3;
	V3= V2;
	goto L8;
L7:;
	{cl_object V4;
	cl_object V5;
	if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
	V4= V3;
	V5= ECL_CONS_CAR(V4);
	if((V5)==ECL_NIL){
	goto L15;}
	{cl_object V6;
	if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
	T0= V5;
	V6= ECL_CONS_CAR(T0);
	if((cl_stringE(2,V1,V6)                   /*  STRING=         */)==ECL_NIL){
	goto L21;}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
L21:;
	goto L10;
	}
L15:;
	goto L10;
	}
L10:;
	V3= ECL_CONS_CDR(V3);
L8:;
	if(V3==ECL_NIL){
	goto L27;}
	goto L7;
L27:;
	goto L25;
L25:;
	goto L5;
L5:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TMEMBER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17loop_tmember(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V3;
	V3= V2;
	goto L8;
L7:;
	{cl_object V4;
	cl_object V5;
	if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
	V4= V3;
	V5= ECL_CONS_CAR(V4);
	if((cl_stringE(2,V1,V5)                   /*  STRING=         */)==ECL_NIL){
	goto L15;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L15:;
	goto L10;
	}
L10:;
	V3= ECL_CONS_CDR(V3);
L8:;
	if(V3==ECL_NIL){
	goto L21;}
	goto L7;
L21:;
	goto L19;
L19:;
	goto L5;
L5:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-LOOKUP-KEYWORD                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18loop_lookup_keyword(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	T0= ecl_symbol_name(V1);
	value0=ecl_gethash_safe(T0,V2,ECL_NIL);
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-STORE-TABLE-DATA                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19loop_store_table_data(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  SYMBOL          */
	cl_object V5;                             /*  TABLE           */
	cl_object V6;                             /*  DATUM           */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V7;
	}
	if((V3)==ECL_NIL){
	goto L28;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L26;
L28:;
	goto L26;
L26:;
	T0= cl_list(2,ECL_SYM("SYMBOL-NAME",843),V4) /*  LIST         */;
	T1= cl_list(3,ECL_SYM("GETHASH",413),T0,V5) /*  LIST          */;
	value0=cl_list(3,ECL_SYM("SETF",750),T1,V6) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for MAKE-LOOP-UNIVERSE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20make_loop_universe(cl_narg narg, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[16];
	cl_parse_key(args,8,L20make_loop_universekeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	V8= keyvars[7];
	}
	T0= cl_list(8,V1,V2,V3,V4,V5,V6,V7,V8)    /*  LIST            */;
	value0=cl_make_array(5,VV[29],ECL_SYM("ELEMENT-TYPE",1225),ECL_T,ECL_SYM("INITIAL-CONTENTS",1253),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for MAKE-STANDARD-LOOP-UNIVERSE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22make_standard_loop_universe(cl_narg narg, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,L22make_standard_loop_universekeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	}
	{cl_object V8;
	V8= V7;
	if(!((V8)==(ECL_NIL))){
	goto L9;}
	goto L5;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!(ecl_eql(V8,ECL_T))){
	goto L13;}
	goto L5;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V8,VV[34]))){
	goto L16;}
	goto L5;
	goto L6;
L16:;
	goto L6;
L6:;
	V7= si_do_check_type(V8,VV[36],ECL_NIL,VV[37]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	T0= LC21maketable(V1)                     /*  MAKETABLE       */;
	T1= LC21maketable(V2)                     /*  MAKETABLE       */;
	T2= LC21maketable(V3)                     /*  MAKETABLE       */;
	T3= LC21maketable(V4)                     /*  MAKETABLE       */;
	{bool V8;
	V8= V7==ECL_NIL;
	T4= (V8)?ECL_NIL:ECL_T;}
	T5= LC21maketable(V5)                     /*  MAKETABLE       */;
	{cl_fixnum V8;                            /*  SIZE            */
	cl_object V9;                             /*  HT              */
	V8= ecl_length(V6);
	{cl_fixnum V10;
	if(!((V8)<(10))){
	goto L30;}
	V10= 10;
	goto L28;
L30:;
	V10= V8;
	goto L28;
L28:;
	T7= (ECL_SYM("EQ",333)->symbol.gfdef);
	V9= cl_make_hash_table(4,ECL_SYM("SIZE",1309),ecl_make_fixnum(V10),ECL_SYM("TEST",1317),T7) /*  MAKE-HASH-TABLE */;}
	{cl_object V10;
	V10= V6;
	goto L38;
L37:;
	{cl_object V11;                           /*  X               */
	V11= ecl_car(V10);
	if(!(ECL_ATOM(V11))){
	goto L44;}
	si_hash_set(V11,V9,V11)                   /*  HASH-SET        */;
	goto L42;
L44:;
	T7= ecl_car(V11);
	T8= ecl_cadr(V11);
	si_hash_set(T7,V9,T8)                     /*  HASH-SET        */;
	goto L42;
L42:;
	}
	V10= ecl_cdr(V10);
L38:;
	if((V10)==ECL_NIL){
	goto L50;}
	goto L37;
L50:;
	goto L48;
L48:;
	goto L35;
L35:;
	}
	T6= V9;
	}
	value0=L20make_loop_universe(16,VV[38],T0,VV[39],T1,VV[40],T2,VV[41],T3,VV[42],V7,VV[43],T4,VV[44],T5,VV[45],T6) /*  MAKE-LOOP-UNIVERSE */;
	return value0;
}}
/*	local function MAKETABLE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21maketable(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  SIZE            */
	cl_object V3;                             /*  HT              */
	V2= ecl_length(V1);
	{cl_fixnum V4;
	if(!((V2)<(10))){
	goto L5;}
	V4= 10;
	goto L3;
L5:;
	V4= V2;
	goto L3;
L3:;
	T0= (ECL_SYM("EQUAL",335)->symbol.gfdef);
	V3= cl_make_hash_table(4,ECL_SYM("SIZE",1309),ecl_make_fixnum(V4),ECL_SYM("TEST",1317),T0) /*  MAKE-HASH-TABLE */;}
	{cl_object V4;
	V4= V1;
	goto L13;
L12:;
	{cl_object V5;                            /*  X               */
	V5= ecl_car(V4);
	T0= ecl_car(V5);
	T1= ecl_symbol_name(T0);
	T2= ecl_cadr(V5);
	si_hash_set(T1,V3,T2)                     /*  HASH-SET        */;
	}
	V4= ecl_cdr(V4);
L13:;
	if((V4)==ECL_NIL){
	goto L22;}
	goto L12;
L22:;
	goto L20;
L20:;
	goto L10;
L10:;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-MAKE-PSETQ                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23loop_make_psetq(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	T0= ecl_car(V1);
	T2= ecl_cddr(V1);
	if(!(T2==ECL_NIL)){
	goto L6;}
	T1= ecl_cadr(V1);
	goto L4;
L6:;
	T2= ecl_cadr(V1);
	T3= ecl_cddr(V1);
	T4= L23loop_make_psetq(T3)                /*  LOOP-MAKE-PSETQ */;
	T1= cl_list(3,ECL_SYM("PROG1",669),T2,T4) /*  LIST            */;
	goto L4;
L4:;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	value0=L24loop_make_desetq(T2)            /*  LOOP-MAKE-DESETQ */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-MAKE-DESETQ                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24loop_make_desetq(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_symbol_value(VV[46]))==ECL_NIL){
	goto L6;}
	T0= ecl_cadr(ecl_symbol_value(VV[46]));
	goto L4;
L6:;
	T0= VV[47];
	goto L4;
L4:;
	value0=CONS(T0,V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-REALLY-DESETQ                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27loop_really_desetq(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	lex0[0]= V2;                              /*  ENV             */
TTL:
	{cl_object V3;
	cl_object V4;                             /*  VAR-VAL-PAIRS   */
	V3= ecl_cdr(V1);
	V4= V3;
	{cl_object V5;                            /*  ACTIONS         */
	V5= ECL_NIL;
	goto L7;
L6:;
	{cl_object V6;
	V6= V4;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==ECL_NIL){
	goto L18;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V4= V7;
	V6= ECL_CONS_CAR(V6);
	goto L16;
	}
L18:;
	goto L16;
L16:;
	T1= V6;
	}
	{cl_object V6;
	V6= V4;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==ECL_NIL){
	goto L30;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V4= V7;
	V6= ECL_CONS_CAR(V6);
	goto L28;
	}
L30:;
	goto L28;
L28:;
	T2= V6;
	}
	T0= LC26loop_desetq_internal(2,lex0,T1,T2) /*  LOOP-DESETQ-INTERNAL */;
	V5= cl_revappend(T0,V5)                   /*  REVAPPEND       */;
L7:;
	if(V4==ECL_NIL){
	goto L38;}
	goto L6;
L38:;
	goto L36;
L36:;
	goto L4;
L4:;
	T0= ecl_cdr(V5);
	if(!(T0==ECL_NIL)){
	goto L41;}
	value0=ecl_car(V5); cl_env_copy->nvalues=1;
	return value0;
L41:;
	T0= cl_nreverse(V5)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",671),T0); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function LOOP-DESETQ-INTERNAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26loop_desetq_internal(cl_narg narg, volatile cl_object *lex0, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(ECL_CONSP(V2))){
	goto L4;}
	T0= ecl_car(V2);
	if(!((T0)==(VV[1]))){
	goto L4;}
	{cl_object V4;                            /*  FORMS           */
	V4= ecl_cdr(V2);
	if((ecl_cdr(V4))==ECL_NIL){
	goto L11;}
	V4= CONS(ECL_SYM("PROGN",671),V4);
	goto L9;
L11:;
	V4= ecl_car(V4);
	goto L9;
L9:;
	T0= LC26loop_desetq_internal(2,lex0,V1,V4) /*  LOOP-DESETQ-INTERNAL */;
	T1= CONS(VV[1],T0);
	value0=ecl_list1(T1); cl_env_copy->nvalues=1;
	return value0;
	}
L4:;
	goto L2;
L2:;
	if(!(V1==ECL_NIL)){
	goto L15;}
	if(!(ECL_CONSP(V2))){
	goto L18;}
	T0= ecl_car(V2);
	if(!((T0)==(ECL_SYM("PROG1",669)))){
	goto L21;}
	{cl_object V4;                            /*  LET230          */
	cl_object V5;
	cl_object V6;
	V4= ecl_cdr(V2);
	V5= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(ECL_NIL);
	V8= V7;
L30:;
	if(!(ecl_endp(V6))){
	goto L34;}
	goto L31;
L34:;
	goto L32;
L32:;
	V5= _ecl_car(V6);
	{cl_object V9;
	V9= _ecl_cdr(V6);
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	V6= V9;
	}
	{cl_object V9;
	{cl_object V10;                           /*  X               */
	V10= V5;
	if(!(ECL_CONSP(V10))){
	goto L49;}
	T0= ecl_car(V10);
	if(!((T0)==(ECL_SYM("CAR",180)))){
	goto L52;}
	T0= ecl_cadr(V10);
	if(!(ECL_SYMBOLP(T0))){
	goto L52;}
	V10= cl_macroexpand(2,V10,lex0[0])        /*  MACROEXPAND     */;
	if(ECL_SYMBOLP(V10)){
	goto L49;}
	goto L51;
L52:;
L51:;
	V9= CONS(V10,ECL_NIL);
	goto L46;
L49:;
	V9= ECL_NIL;
	goto L46;
	}
L46:;
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	T0= V8;
	(ECL_CONS_CDR(T0)=V9,T0);
	if((V9)==ECL_NIL){
	goto L44;}
	}
	T0= ecl_cdr(V8);
	V8= ecl_last(T0,1);
	goto L42;
L44:;
	goto L42;
L42:;
	goto L30;
L31:;
	value0=ecl_cdr(V7); cl_env_copy->nvalues=1;
	return value0;
	}
	}
L21:;
	value0=ecl_list1(V2); cl_env_copy->nvalues=1;
	return value0;
L18:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L15:;
	if(!(ECL_CONSP(V1))){
	goto L63;}
	{cl_object V9;                            /*  CAR             */
	cl_object V10;                            /*  CDR             */
	cl_object V11;                            /*  CAR-NON-NULL    */
	cl_object V12;                            /*  CDR-NON-NULL    */
	V9= ecl_car(V1);
	V10= ecl_cdr(V1);
	V11= LC25find_non_null(V9)                /*  FIND-NON-NULL   */;
	V12= LC25find_non_null(V10)               /*  FIND-NON-NULL   */;
	if((V11)!=ECL_NIL){
	goto L72;}
	if((V12)==ECL_NIL){
	goto L70;}
	goto L71;
L72:;
L71:;
	if((V12)==ECL_NIL){
	goto L75;}
	{cl_object V13;                           /*  TEMP            */
	cl_object V14;                            /*  BODY            */
	value0=V3;
	if((value0)!=ECL_NIL){
	goto L79;}
	V13= ecl_symbol_value(VV[48]);
	goto L77;
L79:;
	V13= value0;
	goto L77;
L77:;
	T1= cl_list(2,ECL_SYM("CAR",180),V13)     /*  LIST            */;
	T0= LC26loop_desetq_internal(2,lex0,V9,T1) /*  LOOP-DESETQ-INTERNAL */;
	T1= cl_list(2,ECL_SYM("CDR",198),V13)     /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETQ",751),V13,T1) /*  LIST            */;
	T3= LC26loop_desetq_internal(3,lex0,V10,V13,V13) /*  LOOP-DESETQ-INTERNAL */;
	T4= CONS(T2,T3);
	V14= ecl_append(T0,T4);
	if((V3)==ECL_NIL){
	goto L85;}
	if((V13)==(V2)){
	goto L89;}
	T1= cl_list(3,ECL_SYM("SETQ",751),V13,V2) /*  LIST            */;
	T0= ecl_list1(T1);
	goto L87;
L89:;
	T0= ECL_NIL;
	goto L87;
L87:;
	value0=ecl_append(T0,V14); cl_env_copy->nvalues=1;
	return value0;
L85:;
	T0= cl_list(2,V13,V2)                     /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_listX(3,ECL_SYM("LET",477),T1,V14) /*  LIST*           */;
	value0=ecl_list1(T2); cl_env_copy->nvalues=1;
	return value0;
	}
L75:;
	T0= cl_list(2,ECL_SYM("CAR",180),V2)      /*  LIST            */;
	value0=LC26loop_desetq_internal(3,lex0,V9,T0,V3) /*  LOOP-DESETQ-INTERNAL */;
	return value0;
L70:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L63:;
	if((V1)==(V2)){
	goto L92;}
	T0= cl_list(3,ECL_SYM("SETQ",751),V1,V2)  /*  LIST            */;
	value0=ecl_list1(T0); cl_env_copy->nvalues=1;
	return value0;
L92:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function FIND-NON-NULL                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25find_non_null(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TAIL            */
	V2= V1;
	goto L5;
L4:;
	{cl_object V3;
	V3= V2;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	if((V3)==ECL_NIL){
	goto L17;}
	{cl_object V4;
	V4= ECL_CONS_CDR(V3);
	V2= V4;
	V3= ECL_CONS_CAR(V3);
	goto L15;
	}
L17:;
	goto L15;
L15:;
	T0= V3;
	}
	if((LC25find_non_null(T0)                 /*  FIND-NON-NULL   */)==ECL_NIL){
	goto L9;}
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L9:;
	goto L7;
L7:;
L5:;
	if(!(ECL_CONSP(V2))){
	goto L25;}
	goto L4;
L25:;
	goto L23;
L23:;
	goto L2;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-CONSTANT-FOLD-IF-POSSIBLE        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28loop_constant_fold_if_possible(cl_narg narg, cl_object V1, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  CONSTANTP       */
	cl_object V4;                             /*  CONSTANT-VALUE  */
	V3= ECL_NIL;
	V4= ECL_NIL;
	V3= cl_constantp(1,V1)                    /*  CONSTANTP       */;
	if((V3)==ECL_NIL){
	goto L6;}
	V4= cl_eval(V1)                           /*  EVAL            */;
	goto L4;
L6:;
	goto L4;
L4:;
	if((V3)==ECL_NIL){
	goto L12;}
	if((V2)==ECL_NIL){
	goto L12;}
	if((cl_typep(2,V4,V2)                     /*  TYPEP           */)!=ECL_NIL){
	goto L16;}
	L42loop_warn(4,_ecl_static_6,V1,V4,V2)    /*  LOOP-WARN       */;
	V3= ECL_NIL;
	V4= ECL_NIL;
	goto L10;
L16:;
	goto L10;
L12:;
	goto L10;
L10:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V4;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-CONSTANTP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29loop_constantp(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_constantp(1,V1)                 /*  CONSTANTP       */;
	return value0;
}}
/*	function definition for LOOP-CODE-DUPLICATION-THRESHOLD       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30loop_code_duplication_threshold(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L3loop_optimization_quantities(V1) /*  LOOP-OPTIMIZATION-QUANTITIES */;
	{
	cl_object V3;                             /*  SPEED           */
	cl_object V4;                             /*  SPACE           */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= ECL_NIL;
L3:;
	V4= ECL_NIL;
L4:;
	T0= ecl_minus(V3,V4);
	T1= ecl_times(T0,ecl_make_fixnum(10));
	value0=ecl_plus(ecl_make_fixnum(40),T1); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function LOOP-BODY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34loop_body(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  BEFORE-LOOP     */
	cl_object V5;                             /*  AFTER-LOOP      */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L4;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L2;
L4:;
	goto L2;
L2:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	T0= V6;
	}
	lex0[0]= T0;                              /*  PROLOGUE        */
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==ECL_NIL)){
	goto L20;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L18;
L20:;
	goto L18;
L18:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	T0= V6;
	}
	lex0[1]= T0;                              /*  MAIN-BODY       */
	if(!(V3==ECL_NIL)){
	goto L29;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	if(!(V3==ECL_NIL)){
	goto L36;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L34;
L36:;
	goto L34;
L34:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	T0= V6;
	}
	lex0[2]= T0;                              /*  EPILOGUE        */
	lex0[3]= ECL_NIL;                         /*  RBEFORE         */
	lex0[4]= ECL_NIL;                         /*  RAFTER          */
	lex0[5]= ECL_NIL;                         /*  FLAGVAR         */
	if((V3)==ECL_NIL){
	goto L44;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L42;
L44:;
	goto L42;
L42:;
	{cl_fixnum V6;
	V6= ecl_length(V4);
	{cl_fixnum V7;
	V7= ecl_length(V5);
	if((V6)==(V7)){
	goto L48;}}}
	cl_error(1,_ecl_static_8)                 /*  ERROR           */;
	goto L46;
L48:;
	goto L46;
L46:;
	lex0[3]= cl_reverse(V4)                   /*  REVERSE         */;
	lex0[4]= cl_reverse(V5)                   /*  REVERSE         */;
	if((ecl_symbol_value(VV[76]))!=ECL_NIL){
	goto L58;}
	if((lex0[3])!=ECL_NIL){
	goto L56;}
	goto L57;
L58:;
L57:;
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
L56:;
	goto L54;
L54:;
	{cl_fixnum V6;                            /*  THRESHOLD       */
	{cl_object V7;
	V7= L30loop_code_duplication_threshold(V2) /*  LOOP-CODE-DUPLICATION-THRESHOLD */;
	{bool V8;
	V8= ECL_FIXNUMP(V7);
	if (ecl_unlikely(!(V8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V7);}
	V6= ecl_fixnum(V7);
	}
	goto L66;
L65:;
	goto L72;
L71:;
	{cl_object V7;
	V7= lex0[3];
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	if((V7)==ECL_NIL){
	goto L82;}
	{cl_object V8;
	V8= ECL_CONS_CDR(V7);
	lex0[3]= V8;
	V7= ECL_CONS_CAR(V7);
	goto L80;
	}
L82:;
	goto L80;
L80:;
	T0= V7;
	}
	lex0[1]= CONS(T0,lex0[1]);
	{cl_object V7;
	V7= lex0[4];
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	if((V7)==ECL_NIL){
	goto L94;}
	{cl_object V8;
	V8= ECL_CONS_CDR(V7);
	lex0[4]= V8;
	V7= ECL_CONS_CAR(V7);
	goto L92;
	}
L94:;
	goto L92;
L92:;
	}
L72:;
	if(lex0[3]==ECL_NIL){
	goto L102;}
	T0= ecl_car(lex0[3]);
	T1= ecl_car(lex0[4]);
	if(!(ecl_equal(T0,T1))){
	goto L102;}
	goto L71;
L102:;
	goto L100;
L100:;
	goto L69;
L69:;
	if((lex0[3])!=ECL_NIL){
	goto L107;}
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
L107:;
	goto L105;
L105:;
	{cl_object V7;                            /*  LET234          */
	cl_object V8;                             /*  LET235          */
	cl_object V9;                             /*  BB              */
	cl_object V10;                            /*  AA              */
	cl_object V11;                            /*  LASTDIFF        */
	cl_object V12;                            /*  COUNT           */
	cl_object V13;                            /*  INC             */
	V7= lex0[3];
	V8= lex0[4];
	V9= V7;
	V10= V8;
	V11= ECL_NIL;
	V12= ecl_make_fixnum(0);
	V13= ECL_NIL;
	goto L120;
L119:;
	T0= ecl_car(V9);
	T1= ecl_car(V10);
	if(ecl_equal(T0,T1)){
	goto L124;}
	V11= V9;
	V12= ecl_make_fixnum(0);
	goto L122;
L124:;
	T0= ecl_car(V9);
	V13= L37estimate_code_size(T0,V2)         /*  ESTIMATE-CODE-SIZE */;
	if((V13)==ECL_NIL){
	goto L132;}
	V12= ecl_plus(V12,V13);
	T0= V12;
	if(!(ecl_number_compare(T0,ecl_make_fixnum(V6))>0)){
	goto L130;}
	goto L131;
L132:;
L131:;
	{cl_object V14;                           /*  THEN            */
	cl_object V15;                            /*  ELSE            */
	V14= ECL_NIL;
	V15= ECL_NIL;
	goto L144;
L143:;
	{cl_object V16;
	V16= lex0[3];
	if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
	if((V16)==ECL_NIL){
	goto L154;}
	{cl_object V17;
	V17= ECL_CONS_CDR(V16);
	lex0[3]= V17;
	V16= ECL_CONS_CAR(V16);
	goto L152;
	}
L154:;
	goto L152;
L152:;
	T0= V16;
	}
	V15= CONS(T0,V15);
	{cl_object V16;
	V16= lex0[4];
	if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
	if((V16)==ECL_NIL){
	goto L168;}
	{cl_object V17;
	V17= ECL_CONS_CDR(V16);
	lex0[4]= V17;
	V16= ECL_CONS_CAR(V16);
	goto L166;
	}
L168:;
	goto L166;
L166:;
	T0= V16;
	}
	V14= CONS(T0,V14);
	T0= ecl_cdr(V11);
	if(!((lex0[3])==(T0))){
	goto L176;}
	goto L140;
L176:;
	goto L174;
L174:;
L144:;
	goto L143;
L140:;
	if((lex0[5])!=ECL_NIL){
	goto L181;}
	lex0[5]= ecl_symbol_value(VV[77]);
	T0= cl_list(3,ECL_SYM("SETQ",751),lex0[5],ECL_T) /*  LIST     */;
	V15= CONS(T0,V15);
	goto L179;
L181:;
	goto L179;
L179:;
	T1= LC31psimp(V14)                        /*  PSIMP           */;
	T0= LC32pify(T1)                          /*  PIFY            */;
	T2= LC31psimp(V15)                        /*  PSIMP           */;
	T1= LC32pify(T2)                          /*  PIFY            */;
	T2= cl_list(4,ECL_SYM("IF",946),lex0[5],T0,T1) /*  LIST       */;
	lex0[1]= CONS(T2,lex0[1]);
	}
	goto L194;
L193:;
	{cl_object V14;
	V14= lex0[4];
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==ECL_NIL){
	goto L202;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	lex0[4]= V15;
	V14= ECL_CONS_CAR(V14);
	goto L200;
	}
L202:;
	goto L200;
L200:;
	}
	{cl_object V14;
	V14= lex0[3];
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==ECL_NIL){
	goto L216;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	lex0[3]= V15;
	V14= ECL_CONS_CAR(V14);
	goto L214;
	}
L216:;
	goto L214;
L214:;
	T0= V14;
	}
	lex0[1]= CONS(T0,lex0[1]);
	T0= ecl_cdr(V9);
	if(!((lex0[3])==(T0))){
	goto L224;}
	goto L190;
L224:;
	goto L222;
L222:;
L194:;
	goto L193;
L190:;
	goto L109;
L130:;
	goto L122;
L122:;
	V9= ecl_cdr(V9);
	V10= ecl_cdr(V10);
L120:;
	if(V9==ECL_NIL){
	goto L232;}
	goto L119;
L232:;
	goto L230;
L230:;
	goto L117;
L117:;
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
	}
L109:;
L66:;
	goto L65;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function MAKEBODY                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33makebody(volatile cl_object *lex0)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  FORM            */
	T1= cl_nreverse(lex0[3])                  /*  NREVERSE        */;
	T2= ecl_append(lex0[0],T1);
	T0= LC31psimp(T2)                         /*  PSIMP           */;
	T2= cl_nreconc(lex0[4],VV[82])            /*  NRECONC         */;
	T3= ecl_append(lex0[1],T2);
	T1= LC31psimp(T3)                         /*  PSIMP           */;
	T2= LC31psimp(lex0[2])                    /*  PSIMP           */;
	T3= CONS(VV[83],T2);
	T4= ecl_append(T1,T3);
	T5= CONS(VV[81],T4);
	T6= ecl_append(T0,T5);
	V1= CONS(ECL_SYM("TAGBODY",850),T6);
	if((lex0[5])==ECL_NIL){
	goto L6;}
	T0= cl_list(2,lex0[5],ECL_NIL)            /*  LIST            */;
	T1= ecl_list1(T0);
	value0=cl_list(3,ECL_SYM("LET",477),T1,V1) /*  LIST           */;
	return value0;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PIFY                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32pify(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_cdr(V1);
	if(!(T0==ECL_NIL)){
	goto L2;}
	value0=ecl_car(V1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=CONS(ECL_SYM("PROGN",671),V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function PSIMP                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31psimp(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ANS             */
	V2= ECL_NIL;
	{cl_object V3;
	V3= V1;
	goto L7;
L6:;
	{cl_object V4;                            /*  X               */
	V4= ecl_car(V3);
	if((V4)==ECL_NIL){
	goto L13;}
	V2= CONS(V4,V2);
	if(!(ECL_CONSP(V4))){
	goto L18;}
	{cl_object V5;
	V5= ecl_car(V4);
	if(!((V5)==(ECL_SYM("GO",414)))){
	goto L25;}
	goto L22;
	goto L23;
L25:;
	goto L23;
L23:;
	if(!((V5)==(ECL_SYM("RETURN",724)))){
	goto L29;}
	goto L22;
	goto L27;
L29:;
	goto L27;
L27:;
	if(!((V5)==(ECL_SYM("RETURN-FROM",725)))){
	goto L18;}
	goto L19;
L22:;
	}
L19:;
	goto L2;
L18:;
	goto L11;
L13:;
	goto L11;
L11:;
	}
	V3= ecl_cdr(V3);
L7:;
	if((V3)==ECL_NIL){
	goto L36;}
	goto L6;
L36:;
	goto L34;
L34:;
	goto L4;
L4:;
	}
L2:;
	value0=cl_nreverse(V2)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for DUPLICATABLE-CODE-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35duplicatable_code_p(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	value0=ecl_make_fixnum(0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	{cl_fixnum V3;                            /*  ANS             */
	{cl_object V4;
	V4= L37estimate_code_size(V1,V2)          /*  ESTIMATE-CODE-SIZE */;
	{bool V5;
	V5= ECL_FIXNUMP(V4);
	if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V4);}
	V3= ecl_fixnum(V4);
	}
	value0=ecl_make_fixnum(V3); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DESTRUCTURING-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36destructuring_size(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  X               */
	cl_object V3;                             /*  N               */
	V2= V1;
	V3= ecl_make_fixnum(0);
	goto L6;
L5:;
	{cl_object V4;
	V4= ecl_cdr(V2);
	T0= ecl_car(V2);
	T1= L36destructuring_size(T0)             /*  DESTRUCTURING-SIZE */;
	V3= ecl_plus(T1,V3);
	V2= V4;}
L6:;
	if(ECL_ATOM(V2)){
	goto L13;}
	goto L5;
L13:;
	goto L11;
L11:;
	goto L3;
L3:;
	{cl_fixnum V4;
	if(!(V2==ECL_NIL)){
	goto L17;}
	V4= 0;
	goto L15;
L17:;
	V4= 1;
	goto L15;
L15:;
	value0=ecl_plus(V3,ecl_make_fixnum(V4)); cl_env_copy->nvalues=1;
	return value0;}
	}
}}
/*	function definition for ESTIMATE-CODE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37estimate_code_size(cl_object volatile V1, cl_object volatile V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[87];
	if (ecl_frs_push(cl_env_copy,value0)) {   /*  BEGIN CATCH 2   */
	value0=cl_env_copy->values[0];
	goto L3;
	}
	value0=L39estimate_code_size_1(V1,V2)     /*  ESTIMATE-CODE-SIZE-1 */;
L3:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 2     */
	return value0;
}}
/*	function definition for ESTIMATE-CODE-SIZE-1                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39estimate_code_size_1(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	lex0[0]= V2;                              /*  ENV             */
TTL:
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==ECL_NIL){
	goto L2;}
	value0=ecl_make_fixnum(1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	cl_env_copy->values[0]=cl_macroexpand_1(2,V1,lex0[0]) /*  MACROEXPAND-1 */;
	{
	cl_object V4;                             /*  NEW-FORM        */
	cl_object V5;                             /*  EXPANDED-P      */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if((V5)==ECL_NIL){
	goto L9;}
	V1= V4;
	goto TTL;
L9:;
	value0=ecl_make_fixnum(1); cl_env_copy->nvalues=1;
	return value0;}
L5:;
	if(!(ECL_ATOM(V1))){
	goto L15;}
	value0=ecl_make_fixnum(1); cl_env_copy->nvalues=1;
	return value0;
L15:;
	T0= ecl_car(V1);
	if(!(ECL_SYMBOLP(T0))){
	goto L18;}
	{cl_object V3;                            /*  LET243          */
	cl_object V4;                             /*  FN              */
	cl_object V5;                             /*  TEM             */
	cl_fixnum V6;                             /*  N               */
	V3= ecl_car(V1);
	{bool V7;
	V7= ECL_SYMBOLP(V3);
	if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("SYMBOL",840),V3);}
	V4= V3;
	V5= ECL_NIL;
	V6= 0;
	V5= si_get_sysprop(V4,VV[87])             /*  GET-SYSPROP     */;
	if((V5)==ECL_NIL){
	goto L26;}
	if(!(ECL_FIXNUMP(V5))){
	goto L30;}
	{cl_fixnum V7;
	T0= ecl_cdr(V1);
	V7= ecl_fixnum(LC38list_size(lex0,T0)     /*  LIST-SIZE       */);
	value0=ecl_plus(V5,ecl_make_fixnum(V7)); cl_env_copy->nvalues=1;
	return value0;}
L30:;
	value0=ecl_function_dispatch(cl_env_copy,V5)(2,V1,lex0[0]);
	return value0;
L26:;
	V5= ecl_assql(V4,ecl_symbol_value(VV[85]));
	if((V5)==ECL_NIL){
	goto L34;}
	T0= ecl_cadr(V5);
	{cl_fixnum V8;
	T1= ecl_cdr(V1);
	V8= ecl_fixnum(LC38list_size(lex0,T1)     /*  LIST-SIZE       */);
	value0=ecl_plus(T0,ecl_make_fixnum(V8)); cl_env_copy->nvalues=1;
	return value0;}
L34:;
	if(!((V4)==(ECL_SYM("COND",247)))){
	goto L39;}
	{cl_object V9;
	V9= ecl_cdr(V1);
	goto L45;
L44:;
	{cl_object V10;                           /*  CLAUSE          */
	V10= ecl_car(V9);
	{cl_object V11;
	V11= LC38list_size(lex0,V10)              /*  LIST-SIZE       */;
	{cl_object V12;
	V12= ecl_plus(ecl_make_fixnum(V6),V11);
	{bool V13;
	V13= ECL_FIXNUMP(V12);
	if (ecl_unlikely(!(V13)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V12);}
	V6= ecl_fixnum(V12);
	}
	}
	{cl_object V11;
	V11= ecl_plus(ecl_make_fixnum(V6),ecl_make_fixnum(1));
	{bool V12;
	V12= ECL_FIXNUMP(V11);
	if (ecl_unlikely(!(V12)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V11);}
	V6= ecl_fixnum(V11);
	}
	}
	V9= ecl_cdr(V9);
L45:;
	if((V9)==ECL_NIL){
	goto L62;}
	goto L44;
L62:;
	goto L60;
L60:;
	goto L42;
L42:;
	value0=ecl_make_fixnum(V6); cl_env_copy->nvalues=1;
	return value0;
	}
L39:;
	if(!((V4)==(VV[88]))){
	goto L65;}
	{cl_object V10;                           /*  L               */
	V10= ecl_cdr(V1);
	goto L71;
L70:;
	{cl_object V11;
	T0= ecl_car(V10);
	T1= L36destructuring_size(T0)             /*  DESTRUCTURING-SIZE */;
	T2= ecl_plus(ecl_make_fixnum(V6),T1);
	T3= ecl_cadr(V10);
	T4= L39estimate_code_size_1(T3,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	V11= ecl_plus(T2,T4);
	{bool V12;
	V12= ECL_FIXNUMP(V11);
	if (ecl_unlikely(!(V12)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V11);}
	V6= ecl_fixnum(V11);
	}
	V10= ecl_cdr(V10);
L71:;
	if(V10==ECL_NIL){
	goto L81;}
	goto L70;
L81:;
	goto L79;
L79:;
	goto L68;
L68:;
	value0=ecl_make_fixnum(V6); cl_env_copy->nvalues=1;
	return value0;
	}
L65:;
	if(!((V4)==(ECL_SYM("SETQ",751)))){
	goto L89;}
	goto L86;
	goto L87;
L89:;
	goto L87;
L87:;
	if(!((V4)==(ECL_SYM("PSETQ",676)))){
	goto L84;}
	goto L85;
L86:;
L85:;
	{cl_object V11;                           /*  L               */
	V11= ecl_cdr(V1);
	goto L96;
L95:;
	{cl_object V12;
	T0= ecl_cadr(V11);
	T1= L39estimate_code_size_1(T0,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	T2= ecl_plus(ecl_make_fixnum(V6),T1);
	V12= ecl_plus(T2,ecl_make_fixnum(1));
	{bool V13;
	V13= ECL_FIXNUMP(V12);
	if (ecl_unlikely(!(V13)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V12);}
	V6= ecl_fixnum(V12);
	}
	V11= ecl_cdr(V11);
L96:;
	if(V11==ECL_NIL){
	goto L106;}
	goto L95;
L106:;
	goto L104;
L104:;
	goto L93;
L93:;
	value0=ecl_make_fixnum(V6); cl_env_copy->nvalues=1;
	return value0;
	}
L84:;
	if(!((V4)==(ECL_SYM("GO",414)))){
	goto L109;}
	value0=ecl_make_fixnum(1); cl_env_copy->nvalues=1;
	return value0;
L109:;
	if(!((V4)==(ECL_SYM("FUNCTION",396)))){
	goto L112;}
	T0= ecl_cadr(V1);
	if(ECL_SYMBOLP(T0)){
	goto L117;}
	T0= ecl_cadr(V1);
	if(!(ECL_CONSP(T0))){
	goto L115;}
	T0= ecl_caadr(V1);
	if(!((T0)==(ECL_SYM("SETF",750)))){
	goto L115;}
	goto L116;
L117:;
L116:;
	value0=ecl_make_fixnum(1); cl_env_copy->nvalues=1;
	return value0;
L115:;
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	cl_throw(VV[91]);
L112:;
	if(!((V4)==(ECL_SYM("MULTIPLE-VALUE-SETQ",576)))){
	goto L122;}
	T0= ecl_cadr(V1);
	{cl_fixnum V12;
	V12= ecl_length(T0);
	{cl_fixnum V13;
	T1= ecl_cddr(V1);
	V13= ecl_fixnum(LC38list_size(lex0,T1)    /*  LIST-SIZE       */);
	value0=ecl_plus(ecl_make_fixnum(V12),ecl_make_fixnum(V13)); cl_env_copy->nvalues=1;
	return value0;}}
L122:;
	if(!((V4)==(ECL_SYM("RETURN-FROM",725)))){
	goto L126;}
	T0= ecl_caddr(V1);
	T1= L39estimate_code_size_1(T0,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	value0=ecl_one_plus(T1); cl_env_copy->nvalues=1;
	return value0;
L126:;
	if((cl_special_operator_p(V4)             /*  SPECIAL-OPERATOR-P */)!=ECL_NIL){
	goto L131;}
	if((ecl_memql(V4,ecl_symbol_value(VV[86])))==ECL_NIL){
	goto L129;}
	goto L130;
L131:;
L130:;
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	cl_throw(VV[87]);
L129:;
	cl_env_copy->values[0]=cl_macroexpand_1(2,V1,lex0[0]) /*  MACROEXPAND-1 */;
	{
	cl_object V15;                            /*  NEW-FORM        */
	cl_object V16;                            /*  EXPANDED-P      */
	V15= cl_env_copy->values[0];
	V16= cl_env_copy->values[1];
	if((V16)==ECL_NIL){
	goto L136;}
	V1= V15;
	goto TTL;
L136:;
	{cl_fixnum V17;
	T0= ecl_cdr(V1);
	V17= ecl_fixnum(LC38list_size(lex0,T0)    /*  LIST-SIZE       */);
	value0=ecl_plus(ecl_make_fixnum(3),ecl_make_fixnum(V17)); cl_env_copy->nvalues=1;
	return value0;}}
	}
L18:;
	cl_env_copy->values[0]=ECL_NIL; cl_env_copy->nvalues=1;
	cl_throw(VV[87]);
}}
/*	local function LIST-SIZE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38list_size(volatile cl_object *lex0, cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  N               */
	V2= 0;
	{cl_object V3;
	V3= V1;
	goto L6;
L5:;
	{cl_object V4;                            /*  X               */
	V4= ecl_car(V3);
	{cl_object V5;
	V5= L39estimate_code_size_1(V4,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	{cl_object V6;
	V6= ecl_plus(ecl_make_fixnum(V2),V5);
	{bool V7;
	V7= ECL_FIXNUMP(V6);
	if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V6);}
	V2= ecl_fixnum(V6);
	}
	}
	}
	V3= ecl_cdr(V3);
L6:;
	if((V3)==ECL_NIL){
	goto L19;}
	goto L5;
L19:;
	goto L17;
L17:;
	goto L3;
L3:;
	value0=ecl_make_fixnum(V2); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for LOOP-CONTEXT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40loop_context()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET246          */
	cl_object V2;                             /*  L               */
	cl_object V3;                             /*  NEW             */
	V1= ecl_symbol_value(VV[52]);
	V2= V1;
	V3= ECL_NIL;
	goto L7;
L6:;
	{cl_object V4;
	V4= ecl_cdr(V2);
	T0= ecl_car(V2);
	V3= CONS(T0,V3);
	V2= V4;}
L7:;
	T0= ecl_cdr(ecl_symbol_value(VV[50]));
	if((V2)==(T0)){
	goto L14;}
	goto L6;
L14:;
	goto L12;
L12:;
	goto L4;
L4:;
	value0=cl_nreverse(V3)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for LOOP-ERROR                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41loop_error(cl_narg narg, cl_object V1, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	T0= L40loop_context()                     /*  LOOP-CONTEXT    */;
	value0=si_simple_program_error(4,_ecl_static_9,V1,V2,T0) /*  SIMPLE-PROGRAM-ERROR */;
	return value0;
}}
/*	function definition for LOOP-WARN                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42loop_warn(cl_narg narg, cl_object V1, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	T0= L40loop_context()                     /*  LOOP-CONTEXT    */;
	T1= cl_list(3,V1,V2,T0)                   /*  LIST            */;
	value0=(cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(5,VV[92],ECL_SYM("FORMAT-CONTROL",1241),_ecl_static_9,ECL_SYM("FORMAT-ARGUMENTS",1240),T1) /*  WARN */;
	return value0;
}}
/*	function definition for LOOP-CHECK-DATA-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43loop_check_data_type(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= V2;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==ECL_NIL)){
	goto L3;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L3:;
	cl_env_copy->values[0]=cl_subtypep(2,V1,V2) /*  SUBTYPEP      */;
	{
	cl_object V5;                             /*  A               */
	cl_object V6;                             /*  B               */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	if((V6)!=ECL_NIL){
	goto L8;}
	L42loop_warn(3,_ecl_static_10,V1,V2)      /*  LOOP-WARN       */;
	goto L6;
L8:;
	if((V5)!=ECL_NIL){
	goto L11;}
	L41loop_error(3,_ecl_static_11,V1,V2)     /*  LOOP-ERROR      */;
	goto L6;
L11:;
	goto L6;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function LOOP-FINISH                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44loop_finish(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	if((V3)==ECL_NIL){
	goto L4;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=VV[93]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SUBST-GENSYMS-FOR-NIL                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45subst_gensyms_for_nil(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	T0= cl_gensym(0)                          /*  GENSYM          */;
	cl_set(VV[95],CONS(T0,ecl_symbol_value(VV[95])));
	value0=ecl_car(ecl_symbol_value(VV[95])); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_ATOM(V1))){
	goto L6;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L6:;
	T0= ecl_car(V1);
	T1= L45subst_gensyms_for_nil(T0)          /*  SUBST-GENSYMS-FOR-NIL */;
	T2= ecl_cdr(V1);
	T3= L45subst_gensyms_for_nil(T2)          /*  SUBST-GENSYMS-FOR-NIL */;
	value0=CONS(T1,T3); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-BUILD-DESTRUCTURING-BINDINGS     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46loop_build_destructuring_bindings(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	ecl_bds_bind(cl_env_copy,VV[95],ECL_NIL); /*  *IGNORES*       */
	T0= ecl_car(V1);
	T1= L45subst_gensyms_for_nil(T0)          /*  SUBST-GENSYMS-FOR-NIL */;
	T2= ecl_cadr(V1);
	T3= CONS(ECL_SYM("IGNORE",428),ecl_symbol_value(VV[95]));
	T4= cl_list(2,ECL_SYM("DECLARE",274),T3)  /*  LIST            */;
	T5= ecl_cddr(V1);
	T6= L46loop_build_destructuring_bindings(T5,V2) /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */;
	T7= cl_listX(5,ECL_SYM("DESTRUCTURING-BIND",300),T1,T2,T4,T6) /*  LIST* */;
	value0=ecl_list1(T7); cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TRANSLATE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47loop_translate(cl_object V1, cl_object V2, cl_object V3)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	ecl_bds_bind(cl_env_copy,VV[50],V1);      /*  *LOOP-SOURCE-CODE* */
	ecl_bds_bind(cl_env_copy,VV[54],V2);      /*  *LOOP-MACRO-ENVIRONMENT* */
	ecl_bds_bind(cl_env_copy,VV[31],V3);      /*  *LOOP-UNIVERSE* */
TTL:
	{cl_object V4;                            /*  LET248          */
	V4= ecl_symbol_value(VV[50]);
	ecl_bds_bind(cl_env_copy,VV[51],V4);      /*  *LOOP-ORIGINAL-SOURCE-CODE* */
	ecl_bds_bind(cl_env_copy,VV[52],ECL_NIL); /*  *LOOP-SOURCE-CONTEXT* */
	ecl_bds_bind(cl_env_copy,VV[62],ECL_NIL); /*  *LOOP-ITERATION-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[56],ECL_NIL); /*  *LOOP-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[61],ECL_NIL); /*  *LOOP-NODECLARE* */
	ecl_bds_bind(cl_env_copy,VV[55],ECL_NIL); /*  *LOOP-NAMED-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[57],ECL_NIL); /*  *LOOP-DECLARATIONS* */
	ecl_bds_bind(cl_env_copy,VV[58],ECL_NIL); /*  *LOOP-DESETQ-CROCKS* */
	ecl_bds_bind(cl_env_copy,VV[60],ECL_NIL); /*  *LOOP-BIND-STACK* */
	ecl_bds_bind(cl_env_copy,VV[63],ECL_NIL); /*  *LOOP-PROLOGUE* */
	ecl_bds_bind(cl_env_copy,VV[59],ECL_NIL); /*  *LOOP-WRAPPERS* */
	ecl_bds_bind(cl_env_copy,VV[64],ECL_NIL); /*  *LOOP-BEFORE-LOOP* */
	ecl_bds_bind(cl_env_copy,VV[65],ECL_NIL); /*  *LOOP-BODY*     */
	ecl_bds_bind(cl_env_copy,VV[67],ECL_NIL); /*  *LOOP-EMITTED-BODY* */
	ecl_bds_bind(cl_env_copy,VV[66],ECL_NIL); /*  *LOOP-AFTER-BODY* */
	ecl_bds_bind(cl_env_copy,VV[68],ECL_NIL); /*  *LOOP-EPILOGUE* */
	ecl_bds_bind(cl_env_copy,VV[69],ECL_NIL); /*  *LOOP-AFTER-EPILOGUE* */
	ecl_bds_bind(cl_env_copy,VV[70],ECL_NIL); /*  *LOOP-FINAL-VALUE-CULPRIT* */
	ecl_bds_bind(cl_env_copy,VV[71],ECL_NIL); /*  *LOOP-INSIDE-CONDITIONAL* */
	ecl_bds_bind(cl_env_copy,VV[72],ECL_NIL); /*  *LOOP-WHEN-IT-VARIABLE* */
	ecl_bds_bind(cl_env_copy,VV[73],ECL_NIL); /*  *LOOP-NEVER-STEPPED-VARIABLE* */
	ecl_bds_bind(cl_env_copy,VV[53],ECL_NIL); /*  *LOOP-NAMES*    */
	ecl_bds_bind(cl_env_copy,VV[74],ECL_NIL); /*  *LOOP-COLLECTION-CRUFT* */
	L48loop_iteration_driver()                /*  LOOP-ITERATION-DRIVER */;
	L63loop_bind_block()                      /*  LOOP-BIND-BLOCK */;
	{cl_object V5;                            /*  ANSWER          */
	T0= cl_nreverse(ecl_symbol_value(VV[63])) /*  NREVERSE        */;
	T1= cl_nreverse(ecl_symbol_value(VV[64])) /*  NREVERSE        */;
	T2= cl_nreverse(ecl_symbol_value(VV[65])) /*  NREVERSE        */;
	T3= cl_nreverse(ecl_symbol_value(VV[66])) /*  NREVERSE        */;
	T4= ecl_symbol_value(VV[68]);
	T5= cl_nreverse(ecl_symbol_value(VV[69])) /*  NREVERSE        */;
	T6= cl_nreconc(T4,T5)                     /*  NRECONC         */;
	V5= cl_list(6,VV[84],T0,T1,T2,T3,T6)      /*  LIST            */;
	{cl_object V6;
	V6= ecl_symbol_value(VV[60]);
	goto L10;
L9:;
	{cl_object V7;                            /*  ENTRY           */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  LET271          */
	cl_object V9;                             /*  LET272          */
	cl_object V10;                            /*  LET273          */
	cl_object V11;                            /*  LET274          */
	V8= ecl_car(V7);
	V9= ecl_cadr(V7);
	V10= ecl_caddr(V7);
	V11= ecl_cadddr(V7);
	{cl_object V12;
	V12= V11;
	goto L24;
L23:;
	{cl_object V13;                           /*  W               */
	V13= ecl_car(V12);
	T0= ecl_list1(V5);
	V5= ecl_append(V13,T0);
	}
	V12= ecl_cdr(V12);
L24:;
	if((V12)==ECL_NIL){
	goto L34;}
	goto L23;
L34:;
	goto L32;
L32:;
	goto L21;
L21:;
	}
	if((V8)!=ECL_NIL){
	goto L39;}
	if((V9)!=ECL_NIL){
	goto L39;}
	if((V10)==ECL_NIL){
	goto L37;}
	goto L38;
L39:;
L38:;
	{cl_object V12;                           /*  FORMS           */
	V12= ecl_list1(V5);
	if((V9)==ECL_NIL){
	goto L45;}
	T0= CONS(ECL_SYM("DECLARE",274),V9);
	V12= CONS(T0,V12);
	goto L43;
L45:;
	goto L43;
L43:;
	if((V8)!=ECL_NIL){
	goto L51;}
	T0= ECL_SYM("LOCALLY",490);
	goto L49;
L51:;
	if((ecl_symbol_value(VV[46]))==ECL_NIL){
	goto L54;}
	T0= ecl_car(ecl_symbol_value(VV[46]));
	goto L49;
L54:;
	T0= ECL_SYM("LET",477);
	goto L49;
L49:;
	T1= L46loop_build_destructuring_bindings(V10,V12) /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */;
	V5= cl_listX(3,T0,V8,T1)                  /*  LIST*           */;
	goto L14;
	}
L37:;
	goto L14;
	}
L14:;
	}
	V6= ecl_cdr(V6);
L10:;
	if((V6)==ECL_NIL){
	goto L60;}
	goto L9;
L60:;
	goto L58;
L58:;
	goto L7;
L7:;
	}
	if((ecl_symbol_value(VV[53]))==ECL_NIL){
	goto L63;}
	goto L68;
L67:;
	{cl_object V6;
	V6= ecl_symbol_value(VV[53]);
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==ECL_NIL){
	goto L78;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	cl_set(VV[53],V7);
	V6= ECL_CONS_CAR(V6);
	goto L76;
	}
L78:;
	goto L76;
L76:;
	T0= V6;
	}
	V5= cl_list(3,ECL_SYM("BLOCK",137),T0,V5) /*  LIST            */;
L68:;
	T0= ecl_car(ecl_symbol_value(VV[53]));
	if(T0==ECL_NIL){
	goto L86;}
	goto L67;
L86:;
	goto L84;
L84:;
	goto L65;
L65:;
	value0=V5; cl_env_copy->nvalues=1;
	ecl_bds_unwind_n(cl_env_copy,26);
	return value0;
L63:;
	value0=cl_list(3,ECL_SYM("BLOCK",137),ECL_NIL,V5) /*  LIST    */;
	ecl_bds_unwind_n(cl_env_copy,26);
	return value0;
	}
	}
}}
/*	function definition for LOOP-ITERATION-DRIVER                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48loop_iteration_driver()
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	goto L4;
L3:;
	{cl_object V1;                            /*  LET275          */
	cl_object V2;                             /*  TEM             */
	V1= ecl_car(ecl_symbol_value(VV[50]));
	V2= ECL_NIL;
	if(ECL_SYMBOLP(V1)){
	goto L10;}
	L41loop_error(2,_ecl_static_12,V1)        /*  LOOP-ERROR      */;
	goto L6;
L10:;
	cl_set(VV[52],ecl_symbol_value(VV[50]));
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[266])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-KEYWORDS */;
	V2= L18loop_lookup_keyword(V1,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V2)==ECL_NIL){
	goto L16;}
	T0= ecl_car(V2);
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= ecl_cdr(V2);
	cl_apply(2,T1,T2)                         /*  APPLY           */;
	goto L6;
L16:;
	T0= ecl_function_dispatch(cl_env_copy,VV[267])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
	V2= L18loop_lookup_keyword(V1,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V2)==ECL_NIL){
	goto L20;}
	L86loop_hack_iteration(V2)                /*  LOOP-HACK-ITERATION */;
	goto L6;
L20:;
	if((L17loop_tmember(V1,VV[98])            /*  LOOP-TMEMBER    */)==ECL_NIL){
	goto L24;}
	T0= ecl_car(ecl_symbol_value(VV[50]));
	T1= ecl_cadr(ecl_symbol_value(VV[50]));
	L41loop_error(4,_ecl_static_13,V1,T0,T1)  /*  LOOP-ERROR      */;
	goto L6;
L24:;
	L41loop_error(2,_ecl_static_14,V1)        /*  LOOP-ERROR      */;
	goto L6;
	}
L6:;
L4:;
	if(ecl_symbol_value(VV[50])==ECL_NIL){
	goto L28;}
	goto L3;
L28:;
	goto L26;
L26:;
	goto L1;
L1:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-POP-SOURCE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49loop_pop_source()
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[50]))==ECL_NIL){
	goto L2;}
	{cl_object V1;
	V1= ecl_symbol_value(VV[50]);
	if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
	if((V1)==ECL_NIL){
	goto L9;}
	{cl_object V2;
	V2= ECL_CONS_CDR(V1);
	cl_set(VV[50],V2);
	V1= ECL_CONS_CAR(V1);
	goto L7;
	}
L9:;
	goto L7;
L7:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=L41loop_error(1,_ecl_static_15)    /*  LOOP-ERROR      */;
	return value0;
}}
/*	function definition for LOOP-GET-COMPOUND-FORM                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50loop_get_compound_form()
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  FORM            */
	V1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(ECL_CONSP(V1)){
	goto L4;}
	L41loop_error(2,_ecl_static_16,V1)        /*  LOOP-ERROR      */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-GET-PROGN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51loop_get_progn()
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET277          */
	cl_object V2;                             /*  LET278          */
	cl_object V3;                             /*  FORMS           */
	cl_object V4;                             /*  NEXTFORM        */
	T0= L50loop_get_compound_form()           /*  LOOP-GET-COMPOUND-FORM */;
	V1= ecl_list1(T0);
	V2= ecl_car(ecl_symbol_value(VV[50]));
	V3= V1;
	V4= V2;
	goto L8;
L7:;
	T0= L50loop_get_compound_form()           /*  LOOP-GET-COMPOUND-FORM */;
	V3= CONS(T0,V3);
	V4= ecl_car(ecl_symbol_value(VV[50]));
L8:;
	if(ECL_ATOM(V4)){
	goto L15;}
	goto L7;
L15:;
	goto L13;
L13:;
	goto L5;
L5:;
	T0= ecl_cdr(V3);
	if(!(T0==ECL_NIL)){
	goto L18;}
	value0=ecl_car(V3); cl_env_copy->nvalues=1;
	return value0;
L18:;
	T0= cl_nreverse(V3)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",671),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-GET-FORM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52loop_get_form()
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[50]))==ECL_NIL){
	goto L2;}
	value0=L49loop_pop_source()               /*  LOOP-POP-SOURCE */;
	return value0;
L2:;
	value0=L41loop_error(1,_ecl_static_17)    /*  LOOP-ERROR      */;
	return value0;
}}
/*	function definition for LOOP-CONSTRUCT-RETURN                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53loop_construct_return(cl_object V1)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_car(ecl_symbol_value(VV[53]));
	value0=cl_list(3,ECL_SYM("RETURN-FROM",725),T0,V1) /*  LIST   */;
	return value0;
}}
/*	function definition for LOOP-EMIT-BODY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54loop_emit_body(cl_object V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[67],ECL_T);
	cl_set(VV[65],CONS(V1,ecl_symbol_value(VV[65])));
	value0=ecl_symbol_value(VV[65]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-EMIT-FINAL-VALUE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55loop_emit_final_value(cl_narg narg, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_NIL;
	V2= ECL_NIL;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	V2= ECL_T;
	}}
	va_end(args);
	if((V2)==ECL_NIL){
	goto L4;}
	T0= L53loop_construct_return(V1)          /*  LOOP-CONSTRUCT-RETURN */;
	cl_set(VV[69],CONS(T0,ecl_symbol_value(VV[69])));
	goto L2;
L4:;
	goto L2;
L2:;
	if((ecl_symbol_value(VV[70]))==ECL_NIL){
	goto L9;}
	L42loop_warn(2,_ecl_static_18,ecl_symbol_value(VV[70])) /*  LOOP-WARN */;
	goto L7;
L9:;
	goto L7;
L7:;
	cl_set(VV[70],ecl_car(ecl_symbol_value(VV[52])));
	value0=ecl_symbol_value(VV[70]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-CONDITIONAL             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56loop_disallow_conditional(cl_narg narg, ...)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_NIL;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[71]))==ECL_NIL){
	goto L3;}
	value0=L41loop_error(2,_ecl_static_19,V1) /*  LOOP-ERROR      */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-ANONYMOUS-COLLECTORS    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57loop_disallow_anonymous_collectors()
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_find_if_not(2,VV[99],ecl_symbol_value(VV[74])) /*  FIND-IF-NOT */)==ECL_NIL){
	goto L2;}
	value0=L41loop_error(1,_ecl_static_20)    /*  LOOP-ERROR      */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-AGGREGATE-BOOLEANS      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58loop_disallow_aggregate_booleans()
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L17loop_tmember(ecl_symbol_value(VV[70]),VV[101]) /*  LOOP-TMEMBER */)==ECL_NIL){
	goto L2;}
	value0=L41loop_error(1,_ecl_static_21)    /*  LOOP-ERROR      */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TYPED-INIT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59loop_typed_init(cl_object V1)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((cl_subtypep(2,V1,ECL_SYM("CHARACTER",222)) /*  SUBTYPEP   */)==ECL_NIL){
	goto L5;}
	value0=CODE_CHAR(48); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if((cl_subtypep(2,V1,ECL_SYM("NUMBER",606)) /*  SUBTYPEP      */)!=ECL_NIL){
	goto L8;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if((cl_subtypep(2,V1,VV[103])             /*  SUBTYPEP        */)==ECL_NIL){
	goto L11;}
	value0=cl_coerce(ecl_make_fixnum(0),V1)   /*  COERCE          */;
	return value0;
L11:;
	value0=ecl_make_fixnum(0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-OPTIONAL-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62loop_optional_type(cl_narg narg, ...)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	lex0[0]= ECL_NIL;                         /*  VARIABLE        */
	} else {
	i++;
	lex0[0]= va_arg(args,cl_object);          /*  VARIABLE        */
	}}
	va_end(args);
	if((ecl_symbol_value(VV[50]))==ECL_NIL){
	goto L2;}
	T0= ecl_car(ecl_symbol_value(VV[50]));
	lex0[1]= T0;                              /*  Z               */
	if((L15loop_tequal(lex0[1],VV[104])       /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L5;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	value0=L49loop_pop_source()               /*  LOOP-POP-SOURCE */;
	return value0;
L5:;
	if(!(ECL_SYMBOLP(lex0[1]))){
	goto L9;}
	{cl_object V1;                            /*  TYPE-SPEC       */
	T0= ecl_function_dispatch(cl_env_copy,VV[270])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
	value0=ecl_gethash_safe(lex0[1],T0,ECL_NIL);
	if((value0)!=ECL_NIL){
	goto L13;}
	T0= ecl_symbol_name(lex0[1]);
	T1= ecl_function_dispatch(cl_env_copy,VV[271])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
	V1= ecl_gethash_safe(T0,T1,ECL_NIL);
	goto L11;
L13:;
	V1= value0;
	goto L11;
L11:;
	if((V1)==ECL_NIL){
	goto L16;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
L9:;
	if(!(ECL_CONSP(lex0[0]))){
	goto L21;}
	if(ECL_CONSP(lex0[1])){
	goto L24;}
	L41loop_error(2,_ecl_static_22,lex0[1])   /*  LOOP-ERROR      */;
	goto L19;
L24:;
	goto L19;
L21:;
	L41loop_error(2,_ecl_static_23,lex0[1])   /*  LOOP-ERROR      */;
	goto L19;
L19:;
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	value0=LC60translate(lex0,lex0[1],lex0[0]) /*  TRANSLATE      */;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function REPLICATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61replicate(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ATOM(V2))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T1= ecl_car(V2);
	T0= LC61replicate(V1,T1)                  /*  REPLICATE       */;
	T2= ecl_cdr(V2);
	T1= LC61replicate(V1,T2)                  /*  REPLICATE       */;
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function TRANSLATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60translate(volatile cl_object *lex0, cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_ATOM(V1))){
	goto L5;}
	T1= ecl_function_dispatch(cl_env_copy,VV[270])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
	value0=ecl_gethash_safe(V1,T1,ECL_NIL);
	if((value0)!=ECL_NIL){
	goto L9;}
	T1= ecl_symbol_name(V1);
	T2= ecl_function_dispatch(cl_env_copy,VV[271])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
	value0=ecl_gethash_safe(T1,T2,ECL_NIL);
	if((value0)!=ECL_NIL){
	goto L9;}
	T0= L41loop_error(3,_ecl_static_24,lex0[1],V1) /*  LOOP-ERROR */;
	goto L7;
L9:;
	T0= value0;
	goto L7;
L7:;
	value0=LC61replicate(T0,V2)               /*  REPLICATE       */;
	return value0;
L5:;
	if(!(ECL_ATOM(V2))){
	goto L13;}
	value0=L41loop_error(3,_ecl_static_25,lex0[1],lex0[0]) /*  LOOP-ERROR */;
	return value0;
L13:;
	T1= ecl_car(V1);
	T2= ecl_car(V2);
	T0= LC60translate(lex0,T1,T2)             /*  TRANSLATE       */;
	T2= ecl_cdr(V1);
	T3= ecl_cdr(V2);
	T1= LC60translate(lex0,T2,T3)             /*  TRANSLATE       */;
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-BIND-BLOCK                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63loop_bind_block()
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[56]))!=ECL_NIL){
	goto L4;}
	if((ecl_symbol_value(VV[57]))!=ECL_NIL){
	goto L4;}
	if((ecl_symbol_value(VV[59]))==ECL_NIL){
	goto L2;}
	goto L3;
L4:;
L3:;
	T0= cl_nreverse(ecl_symbol_value(VV[56])) /*  NREVERSE        */;
	T1= cl_list(4,T0,ecl_symbol_value(VV[57]),ecl_symbol_value(VV[58]),ecl_symbol_value(VV[59])) /*  LIST */;
	cl_set(VV[60],CONS(T1,ecl_symbol_value(VV[60])));
	cl_set(VV[56],ECL_NIL);
	cl_set(VV[57],ECL_NIL);
	cl_set(VV[58],ECL_NIL);
	cl_set(VV[59],ECL_NIL);
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-VARIABLE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64loop_variable_p(cl_object V1)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ENTRY           */
	V2= ecl_symbol_value(VV[60]);
	goto L5;
L4:;
	if(!(V2==ECL_NIL)){
	goto L9;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L9:;
	T0= ecl_caar(V2);
	if((ecl_assq(V1,T0))==ECL_NIL){
	goto L12;}
	value0=ECL_T; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L7;
L7:;
	V2= ecl_cdr(V2);
L5:;
	goto L4;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-MAKE-VARIABLE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65loop_make_variable(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= ECL_NIL;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==ECL_NIL)){
	goto L4;}
	if(V2==ECL_NIL){
	goto L7;}
	V1= cl_gensym(1,_ecl_static_26)           /*  GENSYM          */;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
	T0= cl_list(2,ECL_SYM("IGNORE",428),V1)   /*  LIST            */;
	cl_set(VV[57],CONS(T0,ecl_symbol_value(VV[57])));
	goto L2;
L7:;
	goto L2;
L4:;
	if(!(ECL_ATOM(V1))){
	goto L14;}
	if((V4)==ECL_NIL){
	goto L18;}
	if((ecl_memql(V1,ecl_symbol_value(VV[62])))==ECL_NIL){
	goto L21;}
	L41loop_error(2,_ecl_static_27,V1)        /*  LOOP-ERROR      */;
	goto L16;
L21:;
	cl_set(VV[62],CONS(V1,ecl_symbol_value(VV[62])));
	goto L16;
L18:;
	if((ecl_assql(V1,ecl_symbol_value(VV[56])))==ECL_NIL){
	goto L25;}
	L41loop_error(2,_ecl_static_28,V1)        /*  LOOP-ERROR      */;
	goto L16;
L25:;
	goto L16;
L16:;
	if(ECL_SYMBOLP(V1)){
	goto L29;}
	L41loop_error(2,_ecl_static_29,V1)        /*  LOOP-ERROR      */;
	goto L27;
L29:;
	goto L27;
L27:;
	L67loop_declare_variable(V1,V3)           /*  LOOP-DECLARE-VARIABLE */;
	value0=V2;
	if((value0)!=ECL_NIL){
	goto L35;}
	T0= L59loop_typed_init(V3)                /*  LOOP-TYPED-INIT */;
	goto L33;
L35:;
	T0= value0;
	goto L33;
L33:;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	cl_set(VV[56],CONS(T1,ecl_symbol_value(VV[56])));
	goto L2;
L14:;
	if((V2)==ECL_NIL){
	goto L38;}
	if((ecl_symbol_value(VV[46]))==ECL_NIL){
	goto L41;}
	L67loop_declare_variable(V1,V3)           /*  LOOP-DECLARE-VARIABLE */;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
	goto L2;
L41:;
	{cl_object V5;                            /*  NEWVAR          */
	V5= cl_gensym(1,_ecl_static_30)           /*  GENSYM          */;
	L67loop_declare_variable(V1,V3)           /*  LOOP-DECLARE-VARIABLE */;
	T0= cl_list(2,V5,V2)                      /*  LIST            */;
	cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
	cl_set(VV[58],cl_listX(3,V1,V5,ecl_symbol_value(VV[58])) /*  LIST* */);
	goto L2;
	}
L38:;
	{cl_object V6;                            /*  TCAR            */
	cl_object V7;                             /*  TCDR            */
	V6= ECL_NIL;
	V7= ECL_NIL;
	if(!(ECL_ATOM(V3))){
	goto L54;}
	V7= V3;
	V6= V7;
	goto L52;
L54:;
	V6= ecl_car(V3);
	V7= ecl_cdr(V3);
	goto L52;
L52:;
	T0= ecl_car(V1);
	L65loop_make_variable(4,T0,ECL_NIL,V6,V4) /*  LOOP-MAKE-VARIABLE */;
	T0= ecl_cdr(V1);
	L65loop_make_variable(4,T0,ECL_NIL,V7,V4) /*  LOOP-MAKE-VARIABLE */;
	goto L2;
	}
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-MAKE-ITERATION-VARIABLE          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66loop_make_iteration_variable(cl_object V1, cl_object V2, cl_object V3)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L65loop_make_variable(4,V1,V2,V3,ECL_T) /*  LOOP-MAKE-VARIABLE */;
	return value0;
}}
/*	function definition for LOOP-DECLARE-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67loop_declare_variable(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(V1==ECL_NIL){
	goto L4;}
	if(V2==ECL_NIL){
	goto L4;}
	if(!((V2)==(ECL_T))){
	goto L2;}
	goto L3;
L4:;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L8;}
	if((V2)==(ECL_T)){
	goto L11;}
	if((ecl_memql(V1,ecl_symbol_value(VV[61])))!=ECL_NIL){
	goto L11;}
	{cl_object V3;                            /*  PREVIOUS        */
	{cl_object V4;
	V4= si_make_seq_iterator(2,ecl_symbol_value(VV[57]),ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L17:;
	if((V4)!=ECL_NIL){
	goto L21;}
	V3= ECL_NIL;
	goto L14;
L21:;
	goto L19;
L19:;
	{cl_object V5;
	V5= si_seq_iterator_ref(ecl_symbol_value(VV[57]),V4) /*  SEQ-ITERATOR-REF */;
	if(!(ECL_CONSP(V5))){
	goto L30;}
	{cl_fixnum V6;
	V6= ecl_length(V5);
	if(!((V6)==(3))){
	goto L30;}}
	T1= _ecl_car(V5);
	if(!((T1)==(ECL_SYM("TYPE",869)))){
	goto L30;}
	T0= ecl_caddr(V5);
	goto L28;
L30:;
	T0= ECL_NIL;
	goto L28;
L28:;
	if(!(ecl_eql(V1,T0))){
	goto L26;}
	V3= V5;
	goto L14;
L26:;
	goto L23;
	}
L23:;
	V4= si_seq_iterator_next(ecl_symbol_value(VV[57]),V4) /*  SEQ-ITERATOR-NEXT */;
	goto L17;
	}
L14:;
	if((V3)==ECL_NIL){
	goto L37;}
	{cl_object V4;
	V4= ecl_cdr(V3);
	if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
	T0= V4;
	}
	(ECL_CONS_CAR(T0)=V2,T0);
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L37:;
	T0= cl_list(3,ECL_SYM("TYPE",869),V2,V1)  /*  LIST            */;
	cl_set(VV[57],CONS(T0,ecl_symbol_value(VV[57])));
	value0=ecl_symbol_value(VV[57]); cl_env_copy->nvalues=1;
	return value0;
	}
L11:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V1))){
	goto L45;}
	if(!(ECL_CONSP(V2))){
	goto L48;}
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	L67loop_declare_variable(T0,T1)           /*  LOOP-DECLARE-VARIABLE */;
	V1= ecl_cdr(V1);
	V2= ecl_cdr(V2);
	goto TTL;
L48:;
	T0= ecl_car(V1);
	L67loop_declare_variable(T0,V2)           /*  LOOP-DECLARE-VARIABLE */;
	V1= ecl_cdr(V1);
	goto TTL;
L45:;
	value0=cl_error(2,_ecl_static_31,V1)      /*  ERROR           */;
	return value0;
}}
/*	function definition for LOOP-MAYBE-BIND-FORM                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68loop_maybe_bind_form(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L29loop_constantp(V1)                 /*  LOOP-CONSTANTP  */)==ECL_NIL){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= cl_gensym(1,_ecl_static_32)           /*  GENSYM          */;
	value0=L65loop_make_variable(3,T0,V1,V2)  /*  LOOP-MAKE-VARIABLE */;
	return value0;
}}
/*	function definition for LOOP-DO-IF                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70loop_do_if(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET281          */
	cl_object V4;                             /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	V4= V3;
	ecl_bds_bind(cl_env_copy,VV[71],ECL_T);   /*  *LOOP-INSIDE-CONDITIONAL* */
	lex0[0]= ECL_NIL;                         /*  IT-P            */
	lex0[1]= ECL_T;                           /*  FIRST-CLAUSE-P  */
	{cl_object V5;                            /*  LET287          */
	cl_object V6;                             /*  LET288          */
	V5= LC69get_clause(lex0,V1)               /*  GET-CLAUSE      */;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[108])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L6;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	T0= LC69get_clause(lex0,VV[108])          /*  GET-CLAUSE      */;
	V6= ecl_list1(T0);
	goto L4;
L6:;
	V6= ECL_NIL;
	goto L4;
L4:;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,ECL_SYM("END",1226)) /*  LOOP-TEQUAL    */)==ECL_NIL){
	goto L12;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((lex0[0])==ECL_NIL){
	goto L16;}
	T0= lex0[0];
	V4= cl_list(3,ECL_SYM("SETQ",751),T0,V4)  /*  LIST            */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((V2)==ECL_NIL){
	goto L21;}
	T0= cl_list(2,ECL_SYM("NOT",584),V4)      /*  LIST            */;
	goto L19;
L21:;
	T0= V4;
	goto L19;
L19:;
	T1= cl_listX(4,ECL_SYM("IF",946),T0,V5,V6) /*  LIST*          */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
}}
/*	local function GET-CLAUSE                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69get_clause(volatile cl_object *lex0, cl_object V1)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BODY            */
	V2= ECL_NIL;
	goto L5;
L4:;
	{cl_object V3;                            /*  LET285          */
	cl_object V4;                             /*  DATA            */
	V3= ecl_car(ecl_symbol_value(VV[50]));
	ecl_bds_bind(cl_env_copy,VV[65],ECL_NIL); /*  *LOOP-BODY*     */
	V4= ECL_NIL;
	if(ECL_SYMBOLP(V3)){
	goto L11;}
	L41loop_error(3,_ecl_static_33,V3,V1)     /*  LOOP-ERROR      */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
L11:;
	cl_set(VV[52],ecl_symbol_value(VV[50]));
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[106])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L18;}
	if((lex0[1])==ECL_NIL){
	goto L18;}
	value0=lex0[0];
	if((value0)!=ECL_NIL){
	goto L24;}
	lex0[0]= L89loop_when_it_variable()       /*  LOOP-WHEN-IT-VARIABLE */;
	T0= lex0[0];
	goto L22;
L24:;
	T0= value0;
	goto L22;
L22:;
	T1= ecl_cdr(ecl_symbol_value(VV[50]));
	cl_set(VV[50],CONS(T0,T1));
	goto L16;
L18:;
	goto L16;
L16:;
	T0= ecl_function_dispatch(cl_env_copy,VV[266])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-KEYWORDS */;
	V4= L18loop_lookup_keyword(V3,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V4)==ECL_NIL){
	goto L30;}
	T0= ecl_car(V4);
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= ecl_cdr(V4);
	cl_apply(2,T1,T2)                         /*  APPLY           */;
	if(!(ecl_symbol_value(VV[65])==ECL_NIL)){
	goto L28;}
	goto L29;
L30:;
L29:;
	L41loop_error(3,_ecl_static_34,V3,V1)     /*  LOOP-ERROR      */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
L28:;
	V2= cl_nreconc(ecl_symbol_value(VV[65]),V2) /*  NRECONC       */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
	}
L7:;
	lex0[1]= ECL_NIL;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[107])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L39;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	goto L37;
L39:;
	if((ecl_cdr(V2))==ECL_NIL){
	goto L42;}
	T0= cl_nreverse(V2)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",671),T0); cl_env_copy->nvalues=1;
	return value0;
L42:;
	value0=ecl_car(V2); cl_env_copy->nvalues=1;
	return value0;
L37:;
L5:;
	goto L4;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-DO-INITIALLY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71loop_do_initially()
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L56loop_disallow_conditional(1,VV[110])   /*  LOOP-DISALLOW-CONDITIONAL */;
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	cl_set(VV[63],CONS(T0,ecl_symbol_value(VV[63])));
	value0=ecl_symbol_value(VV[63]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DO-FINALLY                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72loop_do_finally()
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L56loop_disallow_conditional(1,VV[112])   /*  LOOP-DISALLOW-CONDITIONAL */;
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	cl_set(VV[68],CONS(T0,ecl_symbol_value(VV[68])));
	value0=ecl_symbol_value(VV[68]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DO-DO                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73loop_do_do()
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for LOOP-DO-NAMED                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74loop_do_named()
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  NAME            */
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	if(ECL_SYMBOLP(V1)){
	goto L4;}
	L41loop_error(2,_ecl_static_35,V1)        /*  LOOP-ERROR      */;
	goto L2;
L4:;
	goto L2;
L2:;
	if((ecl_symbol_value(VV[64]))!=ECL_NIL){
	goto L10;}
	if((ecl_symbol_value(VV[65]))!=ECL_NIL){
	goto L10;}
	if((ecl_symbol_value(VV[69]))!=ECL_NIL){
	goto L10;}
	if((ecl_symbol_value(VV[71]))==ECL_NIL){
	goto L8;}
	goto L9;
L10:;
L9:;
	L41loop_error(2,_ecl_static_36,V1)        /*  LOOP-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((ecl_symbol_value(VV[53]))==ECL_NIL){
	goto L16;}
	T0= ecl_car(ecl_symbol_value(VV[53]));
	L41loop_error(3,_ecl_static_37,T0,V1)     /*  LOOP-ERROR      */;
	goto L14;
L16:;
	goto L14;
L14:;
	cl_set(VV[53],cl_list(2,V1,ECL_NIL)       /*  LIST            */);
	value0=ecl_symbol_value(VV[53]); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-DO-RETURN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75loop_do_return()
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= L53loop_construct_return(T0)          /*  LOOP-CONSTRUCT-RETURN */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for MAKE-LOOP-COLLECTOR                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76make_loop_collector(cl_narg narg, ...)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,L76make_loop_collectorkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	}
	T0= cl_list(6,V1,V2,V3,V4,V5,V6)          /*  LIST            */;
	value0=cl_make_array(5,VV[15],ECL_SYM("ELEMENT-TYPE",1225),ECL_T,ECL_SYM("INITIAL-CONTENTS",1253),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for LOOP-GET-COLLECTION-INFO              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77loop_get_collection_info(cl_object V1, cl_object V2, cl_object V3)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  LET289          */
	cl_object V5;                             /*  LET290          */
	cl_object V6;                             /*  LET291          */
	cl_object V7;                             /*  DTYPE           */
	V4= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if((ecl_function_dispatch(cl_env_copy,VV[286])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ANSI */)!=ECL_NIL){
	goto L4;}
	V5= L62loop_optional_type(0)              /*  LOOP-OPTIONAL-TYPE */;
	goto L2;
L4:;
	V5= ECL_NIL;
	goto L2;
L2:;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[120])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L8;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V6= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	goto L6;
L8:;
	V6= ECL_NIL;
	goto L6;
L6:;
	V7= V5;
	if(ECL_SYMBOLP(V6)){
	goto L14;}
	L41loop_error(2,_ecl_static_39,V6)        /*  LOOP-ERROR      */;
	goto L12;
L14:;
	goto L12;
L12:;
	if((V6)!=ECL_NIL){
	goto L18;}
	L58loop_disallow_aggregate_booleans()     /*  LOOP-DISALLOW-AGGREGATE-BOOLEANS */;
	goto L16;
L18:;
	goto L16;
L16:;
	if((V7)!=ECL_NIL){
	goto L22;}
	value0=L62loop_optional_type(0)           /*  LOOP-OPTIONAL-TYPE */;
	if((value0)!=ECL_NIL){
	goto L26;}
	V7= V3;
	goto L24;
L26:;
	V7= value0;
	goto L24;
L24:;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V8;                            /*  CRUFT           */
	{cl_object V9;
	cl_object V10;
	V9= ecl_symbol_value(VV[74]);
	V10= si_make_seq_iterator(2,V9,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L32:;
	if((V10)!=ECL_NIL){
	goto L36;}
	V8= ECL_NIL;
	goto L28;
L36:;
	goto L34;
L34:;
	{cl_object V11;
	V11= si_seq_iterator_ref(V9,V10)          /*  SEQ-ITERATOR-REF */;
	T0= ecl_function_dispatch(cl_env_copy,VV[99])(1,V11) /*  LOOP-COLLECTOR-NAME */;
	if(!((V6)==(T0))){
	goto L41;}
	V8= V11;
	goto L28;
L41:;
	goto L38;
	}
L38:;
	V10= si_seq_iterator_next(V9,V10)         /*  SEQ-ITERATOR-NEXT */;
	goto L32;
	}
L28:;
	if((V8)!=ECL_NIL){
	goto L47;}
	if((V6)==ECL_NIL){
	goto L51;}
	if((L64loop_variable_p(V6)                /*  LOOP-VARIABLE-P */)==ECL_NIL){
	goto L51;}
	L41loop_error(2,_ecl_static_40,V6)        /*  LOOP-ERROR      */;
	goto L49;
L51:;
	goto L49;
L49:;
	T0= ecl_list1(V1);
	V8= L76make_loop_collector(8,ECL_SYM("NAME",1274),V6,VV[121],V2,VV[122],T0,VV[123],V7) /*  MAKE-LOOP-COLLECTOR */;
	cl_set(VV[74],CONS(V8,ecl_symbol_value(VV[74])));
	goto L45;
L47:;
	T0= ecl_function_dispatch(cl_env_copy,VV[287])(1,V8) /*  LOOP-COLLECTOR-CLASS */;
	if((T0)==(V2)){
	goto L58;}
	T0= ecl_function_dispatch(cl_env_copy,VV[288])(1,V8) /*  LOOP-COLLECTOR-HISTORY */;
	T1= ecl_car(T0);
	L41loop_error(4,_ecl_static_41,V6,T1,V1)  /*  LOOP-ERROR      */;
	goto L56;
L58:;
	goto L56;
L56:;
	T0= ecl_function_dispatch(cl_env_copy,VV[289])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	if(ecl_equal(V7,T0)){
	goto L62;}
	T0= ecl_function_dispatch(cl_env_copy,VV[289])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	L42loop_warn(4,_ecl_static_42,V6,V7,T0)   /*  LOOP-WARN       */;
	T0= ecl_function_dispatch(cl_env_copy,VV[289])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	if(!((T0)==(ECL_T))){
	goto L66;}
	ecl_elt_set(V8,4,V7);
	goto L60;
L66:;
	goto L60;
L62:;
	goto L60;
L60:;
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[288])(1,V8) /*  LOOP-COLLECTOR-HISTORY */;
	V9= CONS(V1,T0);
	ecl_elt_set(V8,2,V9);
	goto L45;
	}
L45:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=V8;
	return cl_env_copy->values[0];
	}
	}
}}
/*	function definition for LOOP-LIST-COLLECTION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78loop_list_collection(cl_object V1)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,ECL_SYM("LIST",481),ECL_SYM("LIST",481)) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V3;                             /*  LC              */
	cl_object V4;                             /*  FORM            */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= ECL_NIL;
L3:;
	V4= ECL_NIL;
L4:;
	{cl_object V5;                            /*  TEMPVARS        */
	V5= ecl_function_dispatch(cl_env_copy,VV[291])(1,V3) /*  LOOP-COLLECTOR-TEMPVARS */;
	if((V5)!=ECL_NIL){
	goto L8;}
	{cl_object V6;
	T0= cl_gensym(1,_ecl_static_43)           /*  GENSYM          */;
	T1= cl_gensym(1,_ecl_static_44)           /*  GENSYM          */;
	if((ecl_function_dispatch(cl_env_copy,VV[99])(1,V3) /*  LOOP-COLLECTOR-NAME */)==ECL_NIL){
	goto L15;}
	T3= ecl_function_dispatch(cl_env_copy,VV[99])(1,V3) /*  LOOP-COLLECTOR-NAME */;
	T2= ecl_list1(T3);
	goto L13;
L15:;
	T2= ECL_NIL;
	goto L13;
L13:;
	V5= cl_listX(3,T0,T1,T2)                  /*  LIST*           */;
	V6= V5;
	ecl_elt_set(V3,3,V6);
	}
	T0= cl_list(2,VV[5],V5)                   /*  LIST            */;
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	if((ecl_function_dispatch(cl_env_copy,VV[99])(1,V3) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL){
	goto L20;}
	T0= ecl_car(V5);
	T1= ecl_cddr(V5);
	T2= cl_listX(3,VV[12],T0,T1)              /*  LIST*           */;
	L55loop_emit_final_value(1,T2)            /*  LOOP-EMIT-FINAL-VALUE */;
	goto L6;
L20:;
	goto L6;
L8:;
	goto L6;
L6:;
	if(!((V1)==(ECL_SYM("LIST",481)))){
	goto L24;}
	V4= cl_list(2,ECL_SYM("LIST",481),V4)     /*  LIST            */;
	goto L22;
L24:;
	if(!((V1)==(ECL_SYM("NCONC",581)))){
	goto L28;}
	goto L22;
L28:;
	if(!((V1)==(ECL_SYM("APPEND",88)))){
	goto L31;}
	if(!(ECL_CONSP(V4))){
	goto L37;}
	T0= ecl_car(V4);
	if((T0)==(ECL_SYM("LIST",481))){
	goto L34;}
	goto L35;
L37:;
	goto L35;
L35:;
	V4= cl_list(2,VV[2],V4)                   /*  LIST            */;
	goto L22;
L34:;
	goto L22;
L31:;
	si_ecase_error(V1,VV[124])                /*  ECASE-ERROR     */;
	goto L22;
L22:;
	T0= cl_list(3,VV[11],V5,V4)               /*  LIST            */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-SUM-COLLECTION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79loop_sum_collection(cl_object V1, cl_object V2, cl_object V3)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,VV[126],V3) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V5;                             /*  LC              */
	cl_object V6;                             /*  FORM            */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V7--<=0) goto L3;
	V6= cl_env_copy->values[1];
	goto L4;}
L2:;
	V5= ECL_NIL;
L3:;
	V6= ECL_NIL;
L4:;
	T0= ecl_function_dispatch(cl_env_copy,VV[289])(1,V5) /*  LOOP-COLLECTOR-DTYPE */;
	L43loop_check_data_type(2,T0,V2)          /*  LOOP-CHECK-DATA-TYPE */;
	{cl_object V7;                            /*  TEMPVARS        */
	V7= ecl_function_dispatch(cl_env_copy,VV[291])(1,V5) /*  LOOP-COLLECTOR-TEMPVARS */;
	if((V7)!=ECL_NIL){
	goto L9;}
	{cl_object V8;
	value0=ecl_function_dispatch(cl_env_copy,VV[99])(1,V5) /*  LOOP-COLLECTOR-NAME */;
	if((value0)!=ECL_NIL){
	goto L16;}
	T0= cl_gensym(1,_ecl_static_45)           /*  GENSYM          */;
	goto L14;
L16:;
	T0= value0;
	goto L14;
L14:;
	T1= ecl_function_dispatch(cl_env_copy,VV[289])(1,V5) /*  LOOP-COLLECTOR-DTYPE */;
	T2= L65loop_make_variable(3,T0,ECL_NIL,T1) /*  LOOP-MAKE-VARIABLE */;
	V7= ecl_list1(T2);
	V8= V7;
	ecl_elt_set(V5,3,V8);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[99])(1,V5) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL){
	goto L19;}
	T0= ecl_function_dispatch(cl_env_copy,VV[291])(1,V5) /*  LOOP-COLLECTOR-TEMPVARS */;
	T1= ecl_car(T0);
	L55loop_emit_final_value(1,T1)            /*  LOOP-EMIT-FINAL-VALUE */;
	goto L7;
L19:;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!((V1)==(ECL_SYM("COUNT",266)))){
	goto L23;}
	T1= ecl_car(V7);
	T2= ecl_car(V7);
	T3= ecl_car(V7);
	T4= cl_list(2,ECL_SYM("1+",70),T3)        /*  LIST            */;
	T5= L5hide_variable_reference(ECL_T,T2,T4) /*  HIDE-VARIABLE-REFERENCE */;
	T6= cl_list(3,ECL_SYM("SETQ",751),T1,T5)  /*  LIST            */;
	T0= cl_list(3,ECL_SYM("WHEN",905),V6,T6)  /*  LIST            */;
	goto L21;
L23:;
	T1= ecl_car(V7);
	T2= ecl_car(V7);
	T3= ecl_car(V7);
	T4= L5hide_variable_reference(ECL_T,T2,T3) /*  HIDE-VARIABLE-REFERENCE */;
	T5= cl_list(3,ECL_SYM("+",14),T4,V6)      /*  LIST            */;
	T0= cl_list(3,ECL_SYM("SETQ",751),T1,T5)  /*  LIST            */;
	goto L21;
L21:;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-MAXMIN-COLLECTION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80loop_maxmin_collection(cl_object V1)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,VV[128],ecl_symbol_value(VV[3])) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V3;                             /*  LC              */
	cl_object V4;                             /*  FORM            */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= ECL_NIL;
L3:;
	V4= ECL_NIL;
L4:;
	T0= ecl_function_dispatch(cl_env_copy,VV[289])(1,V3) /*  LOOP-COLLECTOR-DTYPE */;
	L43loop_check_data_type(2,T0,ecl_symbol_value(VV[3])) /*  LOOP-CHECK-DATA-TYPE */;
	{cl_object V5;                            /*  DATA            */
	V5= ecl_function_dispatch(cl_env_copy,VV[294])(1,V3) /*  LOOP-COLLECTOR-DATA */;
	if((V5)!=ECL_NIL){
	goto L9;}
	{cl_object V6;
	value0=ecl_function_dispatch(cl_env_copy,VV[99])(1,V3) /*  LOOP-COLLECTOR-NAME */;
	if((value0)!=ECL_NIL){
	goto L16;}
	T0= cl_gensym(1,_ecl_static_46)           /*  GENSYM          */;
	goto L14;
L16:;
	T0= value0;
	goto L14;
L14:;
	T1= ecl_function_dispatch(cl_env_copy,VV[289])(1,V3) /*  LOOP-COLLECTOR-DTYPE */;
	V5= L11make_loop_minimax(T0,T1)           /*  MAKE-LOOP-MINIMAX */;
	V6= V5;
	ecl_elt_set(V3,5,V6);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[99])(1,V3) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL){
	goto L19;}
	T0= ecl_function_dispatch(cl_env_copy,VV[240])(1,V5) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	L55loop_emit_final_value(1,T0)            /*  LOOP-EMIT-FINAL-VALUE */;
	goto L7;
L19:;
	goto L7;
L9:;
	goto L7;
L7:;
	L12loop_note_minimax_operation(V1,V5)     /*  LOOP-NOTE-MINIMAX-OPERATION */;
	T0= cl_list(2,VV[23],V5)                  /*  LIST            */;
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	T0= cl_list(4,VV[25],V5,V1,V4)            /*  LIST            */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-DO-ALWAYS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81loop_do_always(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if((V1)==ECL_NIL){
	goto L4;}
	L56loop_disallow_conditional(0)           /*  LOOP-DISALLOW-CONDITIONAL */;
	goto L2;
L4:;
	goto L2;
L2:;
	L57loop_disallow_anonymous_collectors()   /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */;
	if((V2)==ECL_NIL){
	goto L10;}
	T0= ECL_SYM("WHEN",905);
	goto L8;
L10:;
	T0= ECL_SYM("UNLESS",883);
	goto L8;
L8:;
	T1= L53loop_construct_return(ECL_NIL)     /*  LOOP-CONSTRUCT-RETURN */;
	T2= cl_list(3,T0,V3,T1)                   /*  LIST            */;
	L54loop_emit_body(T2)                     /*  LOOP-EMIT-BODY  */;
	value0=L55loop_emit_final_value(1,ECL_T)  /*  LOOP-EMIT-FINAL-VALUE */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-THEREIS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82loop_do_thereis(cl_object V1)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L3;}
	L56loop_disallow_conditional(0)           /*  LOOP-DISALLOW-CONDITIONAL */;
	goto L1;
L3:;
	goto L1;
L1:;
	L57loop_disallow_anonymous_collectors()   /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */;
	L55loop_emit_final_value(0)               /*  LOOP-EMIT-FINAL-VALUE */;
	T0= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	T1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T2= cl_list(3,ECL_SYM("SETQ",751),T0,T1)  /*  LIST            */;
	T3= L53loop_construct_return(ecl_symbol_value(VV[72])) /*  LOOP-CONSTRUCT-RETURN */;
	T4= cl_list(3,ECL_SYM("WHEN",905),T2,T3)  /*  LIST            */;
	value0=L54loop_emit_body(T4)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for LOOP-DO-WHILE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83loop_do_while(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	L56loop_disallow_conditional(1,V2)        /*  LOOP-DISALLOW-CONDITIONAL */;
	if((V1)==ECL_NIL){
	goto L5;}
	T0= ECL_SYM("WHEN",905);
	goto L3;
L5:;
	T0= ECL_SYM("UNLESS",883);
	goto L3;
L3:;
	T1= cl_list(3,T0,V3,VV[93])               /*  LIST            */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-WITH                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84loop_do_with()
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L56loop_disallow_conditional(1,VV[133])   /*  LOOP-DISALLOW-CONDITIONAL */;
	{cl_object V1;                            /*  VAR             */
	cl_object V2;                             /*  VAL             */
	cl_object V3;                             /*  DTYPE           */
	V1= ECL_NIL;
	V2= ECL_NIL;
	V3= ECL_NIL;
	goto L8;
L7:;
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V3= L62loop_optional_type(1,V1)           /*  LOOP-OPTIONAL-TYPE */;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[134])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L17;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V2= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	goto L15;
L17:;
	V2= ECL_NIL;
	goto L15;
L15:;
	if((V1)==ECL_NIL){
	goto L22;}
	if((L64loop_variable_p(V1)                /*  LOOP-VARIABLE-P */)==ECL_NIL){
	goto L22;}
	L41loop_error(2,_ecl_static_47,V1)        /*  LOOP-ERROR      */;
	goto L20;
L22:;
	goto L20;
L20:;
	L65loop_make_variable(3,V1,V2,V3)         /*  LOOP-MAKE-VARIABLE */;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[107])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L28;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	goto L26;
L28:;
	value0=L63loop_bind_block()               /*  LOOP-BIND-BLOCK */;
	return value0;
L26:;
L8:;
	goto L7;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-HACK-ITERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86loop_hack_iteration(cl_object V1)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  PRE-STEP-TESTS  */
	cl_object V3;                             /*  STEPS           */
	cl_object V4;                             /*  POST-STEP-TESTS */
	cl_object V5;                             /*  PSEUDO-STEPS    */
	cl_object V6;                             /*  PRE-LOOP-PRE-STEP-TESTS */
	cl_object V7;                             /*  PRE-LOOP-STEPS  */
	cl_object V8;                             /*  PRE-LOOP-POST-STEP-TESTS */
	cl_object V9;                             /*  PRE-LOOP-PSEUDO-STEPS */
	cl_object V10;                            /*  TEM             */
	cl_object V11;                            /*  DATA            */
	V2= ECL_NIL;
	V3= ECL_NIL;
	V4= ECL_NIL;
	V5= ECL_NIL;
	V6= ECL_NIL;
	V7= ECL_NIL;
	V8= ECL_NIL;
	V9= ECL_NIL;
	V10= ECL_NIL;
	V11= ECL_NIL;
	goto L14;
L13:;
	T0= ecl_car(V1);
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= ecl_cdr(V1);
	V11= cl_apply(2,T1,T2)                    /*  APPLY           */;
	V10= V11;
	if((ecl_car(V10))==ECL_NIL){
	goto L21;}
	T0= ecl_car(V10);
	V2= CONS(T0,V2);
	goto L19;
L21:;
	goto L19;
L19:;
	V10= ecl_cdr(V10);
	T0= ecl_car(V10);
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V3= ecl_nconc(V3,T1);
	V10= ecl_cdr(V10);
	if((ecl_car(V10))==ECL_NIL){
	goto L29;}
	T0= ecl_car(V10);
	V4= CONS(T0,V4);
	goto L27;
L29:;
	goto L27;
L27:;
	V10= ecl_cdr(V10);
	T0= ecl_car(V10);
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V5= ecl_nconc(V5,T1);
	V10= ecl_cdr(V10);
	if((ecl_symbol_value(VV[67]))==ECL_NIL){
	goto L40;}
	L42loop_warn(1,_ecl_static_48)            /*  LOOP-WARN       */;
	goto L38;
L40:;
	goto L38;
L38:;
	if((V10)!=ECL_NIL){
	goto L44;}
	V10= V11;
	goto L42;
L44:;
	goto L42;
L42:;
	if((ecl_car(V10))==ECL_NIL){
	goto L49;}
	T0= ecl_car(V10);
	V6= CONS(T0,V6);
	goto L47;
L49:;
	goto L47;
L47:;
	V10= ecl_cdr(V10);
	T0= ecl_car(V10);
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V7= ecl_nconc(V7,T1);
	V10= ecl_cdr(V10);
	if((ecl_car(V10))==ECL_NIL){
	goto L57;}
	T0= ecl_car(V10);
	V8= CONS(T0,V8);
	goto L55;
L57:;
	goto L55;
L55:;
	T0= ecl_cadr(V10);
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V9= ecl_nconc(V9,T1);
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[107])            /*  LOOP-TEQUAL     */)!=ECL_NIL){
	goto L65;}
	T0= L24loop_make_desetq(V9)               /*  LOOP-MAKE-DESETQ */;
	T1= LC85make_endtest(V8)                  /*  MAKE-ENDTEST    */;
	T2= L23loop_make_psetq(V7)                /*  LOOP-MAKE-PSETQ */;
	T3= LC85make_endtest(V6)                  /*  MAKE-ENDTEST    */;
	cl_set(VV[64],cl_listX(5,T0,T1,T2,T3,ecl_symbol_value(VV[64])) /*  LIST* */);
	T0= L24loop_make_desetq(V5)               /*  LOOP-MAKE-DESETQ */;
	T1= LC85make_endtest(V4)                  /*  MAKE-ENDTEST    */;
	T2= L23loop_make_psetq(V3)                /*  LOOP-MAKE-PSETQ */;
	T3= LC85make_endtest(V2)                  /*  MAKE-ENDTEST    */;
	cl_set(VV[66],cl_listX(5,T0,T1,T2,T3,ecl_symbol_value(VV[66])) /*  LIST* */);
	L63loop_bind_block()                      /*  LOOP-BIND-BLOCK */;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L65:;
	goto L63;
L63:;
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	if((ecl_function_dispatch(cl_env_copy,VV[299])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-IMPLICIT-FOR-REQUIRED */)!=ECL_NIL){
	goto L79;}
	T0= ecl_car(ecl_symbol_value(VV[50]));
	T1= ecl_function_dispatch(cl_env_copy,VV[267])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
	V10= L18loop_lookup_keyword(T0,T1)        /*  LOOP-LOOKUP-KEYWORD */;
	if((V10)==ECL_NIL){
	goto L79;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V1= V10;
	goto L77;
L79:;
	goto L77;
L77:;
L14:;
	goto L13;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function MAKE-ENDTEST                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85make_endtest(cl_object V1)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==ECL_NIL)){
	goto L2;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_memql(ECL_T,V1))==ECL_NIL){
	goto L5;}
	value0=VV[93]; cl_env_copy->nvalues=1;
	return value0;
L5:;
	V1= cl_nreverse(V1)                       /*  NREVERSE        */;
	T1= ecl_cdr(V1);
	if(!(T1==ECL_NIL)){
	goto L9;}
	T0= ecl_car(V1);
	goto L7;
L9:;
	T0= CONS(ECL_SYM("OR",614),V1);
	goto L7;
L7:;
	value0=cl_list(3,ECL_SYM("WHEN",905),T0,VV[93]) /*  LIST      */;
	return value0;
}}
/*	function definition for LOOP-DO-FOR                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87loop_do_for()
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  VAR             */
	cl_object V2;                             /*  DATA-TYPE       */
	cl_object V3;                             /*  KEYWORD         */
	cl_object V4;                             /*  FIRST-ARG       */
	cl_object V5;                             /*  TEM             */
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V2= L62loop_optional_type(1,V1)           /*  LOOP-OPTIONAL-TYPE */;
	V3= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V4= ECL_NIL;
	V5= ECL_NIL;
	V4= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(!(ECL_SYMBOLP(V3))){
	goto L13;}
	T0= ecl_function_dispatch(cl_env_copy,VV[301])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-FOR-KEYWORDS */;
	V5= L18loop_lookup_keyword(V3,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V5)!=ECL_NIL){
	goto L10;}
	goto L11;
L13:;
	goto L11;
L11:;
	L41loop_error(2,_ecl_static_49,V3)        /*  LOOP-ERROR      */;
	goto L8;
L10:;
	goto L8;
L8:;
	T0= ecl_car(V5);
	T1= ecl_cdr(V5);
	value0=cl_apply(5,T0,V1,V4,V2,T1)         /*  APPLY           */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-REPEAT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88loop_do_repeat()
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L56loop_disallow_conditional(1,VV[137])   /*  LOOP-DISALLOW-CONDITIONAL */;
	{cl_object V1;                            /*  FORM            */
	cl_object V2;                             /*  TYPE            */
	cl_object V3;                             /*  VAR             */
	cl_object V4;                             /*  FORM            */
	V1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(!(ECL_FIXNUMP(V1))){
	goto L5;}
	V2= ECL_SYM("FIXNUM",372);
	goto L3;
L5:;
	V2= ECL_SYM("REAL",703);
	goto L3;
L3:;
	T0= cl_gensym(0)                          /*  GENSYM          */;
	V3= L65loop_make_variable(3,T0,V1,V2)     /*  LOOP-MAKE-VARIABLE */;
	T0= cl_list(2,ECL_SYM("DECF",271),V3)     /*  LIST            */;
	T1= cl_list(2,ECL_SYM("MINUSP",558),T0)   /*  LIST            */;
	T2= cl_list(3,ECL_SYM("WHEN",905),T1,VV[93]) /*  LIST         */;
	V4= cl_list(2,VV[1],T2)                   /*  LIST            */;
	cl_set(VV[64],CONS(V4,ecl_symbol_value(VV[64])));
	cl_set(VV[66],CONS(V4,ecl_symbol_value(VV[66])));
	value0=ecl_symbol_value(VV[66]); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-WHEN-IT-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89loop_when_it_variable()
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[72]);
	if((value0)!=ECL_NIL){
	goto L2;}
	T0= cl_gensym(1,_ecl_static_50)           /*  GENSYM          */;
	cl_set(VV[72],L65loop_make_variable(3,T0,ECL_NIL,ECL_NIL) /*  LOOP-MAKE-VARIABLE */);
	value0=ecl_symbol_value(VV[72]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-ANSI-FOR-EQUALS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90loop_ansi_for_equals(cl_object V1, cl_object V2, cl_object V3)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L66loop_make_iteration_variable(V1,ECL_NIL,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[139])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L3;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	T2= cl_list(2,V1,V2)                      /*  LIST            */;
	value0=cl_listX(7,ECL_NIL,T1,ECL_NIL,ECL_NIL,ECL_NIL,T2,VV[140]) /*  LIST* */;
	return value0;
L3:;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	value0=cl_listX(3,ECL_NIL,T0,VV[140])     /*  LIST*           */;
	return value0;
}}
/*	function definition for LOOP-FOR-ACROSS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91loop_for_across(cl_object V1, cl_object V2, cl_object V3)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L66loop_make_iteration_variable(V1,ECL_NIL,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	{cl_object V4;                            /*  LET305          */
	cl_object V5;                             /*  LET306          */
	V4= cl_gensym(1,_ecl_static_51)           /*  GENSYM          */;
	V5= cl_gensym(1,_ecl_static_52)           /*  GENSYM          */;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V2,ECL_SYM("VECTOR",898)) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V7;                             /*  VECTOR-FORM     */
	cl_object V8;                             /*  CONSTANTP       */
	cl_object V9;                             /*  VECTOR-VALUE    */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L5;
	V7= cl_env_copy->values[0];
	if (V10--<=0) goto L6;
	V8= cl_env_copy->values[1];
	if (V10--<=0) goto L7;
	V9= cl_env_copy->values[2];
	goto L8;}
L5:;
	V7= ECL_NIL;
L6:;
	V8= ECL_NIL;
L7:;
	V9= ECL_NIL;
L8:;
	if(!(ECL_CONSP(V7))){
	goto L12;}
	T1= ecl_car(V7);
	if(!((T1)==(ECL_SYM("THE",856)))){
	goto L12;}
	T0= ecl_cadr(V7);
	goto L10;
L12:;
	T0= ECL_SYM("VECTOR",898);
	goto L10;
L10:;
	L65loop_make_variable(3,V4,V7,T0)         /*  LOOP-MAKE-VARIABLE */;
	L65loop_make_variable(3,V5,ecl_make_fixnum(0),ECL_SYM("FIXNUM",372)) /*  LOOP-MAKE-VARIABLE */;
	{cl_fixnum V10;                           /*  LENGTH          */
	cl_object V11;                            /*  LENGTH-FORM     */
	cl_object V12;                            /*  FIRST-TEST      */
	cl_object V13;                            /*  OTHER-TEST      */
	cl_object V14;                            /*  STEP            */
	cl_object V15;                            /*  PSTEP           */
	V10= 0;
	if((V8)!=ECL_NIL){
	goto L19;}
	{cl_object V16;                           /*  V               */
	V16= cl_gensym(1,_ecl_static_53)          /*  GENSYM          */;
	T0= cl_list(2,ECL_SYM("LENGTH",476),V4)   /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",751),V16,T0) /*  LIST            */;
	cl_set(VV[63],CONS(T1,ecl_symbol_value(VV[63])));
	V11= L65loop_make_variable(3,V16,ecl_make_fixnum(0),ECL_SYM("FIXNUM",372)) /*  LOOP-MAKE-VARIABLE */;
	goto L17;
	}
L19:;
	V10= ecl_length(V9);
	V11= ecl_make_fixnum(V10);
	goto L17;
L17:;
	V12= cl_list(3,ECL_SYM(">=",76),V5,V11)   /*  LIST            */;
	V13= V12;
	T0= cl_list(3,ECL_SYM("AREF",92),V4,V5)   /*  LIST            */;
	V14= cl_list(2,V1,T0)                     /*  LIST            */;
	T0= cl_list(2,ECL_SYM("1+",70),V5)        /*  LIST            */;
	V15= cl_list(2,V5,T0)                     /*  LIST            */;
	if((V8)==ECL_NIL){
	goto L31;}
	V12= ecl_make_bool((V10)==(0));
	if(!((V10)<=(1))){
	goto L36;}
	V13= ECL_T;
	goto L29;
L36:;
	goto L29;
L31:;
	goto L29;
L29:;
	if((V12)==(V13)){
	goto L41;}
	T0= cl_list(4,V12,V14,ECL_NIL,V15)        /*  LIST            */;
	goto L39;
L41:;
	T0= ECL_NIL;
	goto L39;
L39:;
	value0=cl_listX(5,V13,V14,ECL_NIL,V15,T0) /*  LIST*           */;
	return value0;
	}}
	}
}}
/*	function definition for LOOP-LIST-STEP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L92loop_list_step(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  STEPPER         */
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[143])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L3;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V2= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	goto L1;
L3:;
	V2= VV[144];
	goto L1;
L1:;
	if(!(ECL_CONSP(V2))){
	goto L7;}
	T0= ecl_car(V2);
	if(!((T0)==(ECL_SYM("QUOTE",679)))){
	goto L7;}
	L42loop_warn(1,_ecl_static_54)            /*  LOOP-WARN       */;
	T0= cl_list(3,ECL_SYM("FUNCALL",394),V2,V1) /*  LIST          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L7:;
	if(!(ECL_CONSP(V2))){
	goto L12;}
	T0= ecl_car(V2);
	if(!((T0)==(ECL_SYM("FUNCTION",396)))){
	goto L12;}
	T0= ecl_cadr(V2);
	T1= cl_list(2,T0,V1)                      /*  LIST            */;
	T2= ecl_cadr(V2);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T1;
	return cl_env_copy->values[0];
L12:;
	T0= cl_gensym(1,_ecl_static_55)           /*  GENSYM          */;
	T1= L65loop_make_variable(3,T0,V2,ECL_SYM("FUNCTION",396)) /*  LOOP-MAKE-VARIABLE */;
	T2= cl_list(3,ECL_SYM("FUNCALL",394),T1,V1) /*  LIST          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=T2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-FOR-ON                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93loop_for_on(cl_object V1, cl_object V2, cl_object V3)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(1,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V5;                             /*  LIST            */
	cl_object V6;                             /*  CONSTANTP       */
	cl_object V7;                             /*  LIST-VALUE      */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= ECL_NIL;
L3:;
	V6= ECL_NIL;
L4:;
	V7= ECL_NIL;
L5:;
	{cl_object V8;                            /*  LISTVAR         */
	V8= V1;
	if((V1)==ECL_NIL){
	goto L9;}
	if(!(ECL_SYMBOLP(V1))){
	goto L9;}
	L66loop_make_iteration_variable(V1,V5,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L7;
L9:;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	L65loop_make_variable(3,V8,V5,ECL_SYM("LIST",481)) /*  LOOP-MAKE-VARIABLE */;
	L66loop_make_iteration_variable(V1,ECL_NIL,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L7;
L7:;
	cl_env_copy->values[0]=L92loop_list_step(V8) /*  LOOP-LIST-STEP */;
	{
	cl_object V10;                            /*  LIST-STEP       */
	cl_object V11;                            /*  STEP-FUNCTION   */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L15;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L16;
	V11= cl_env_copy->values[1];
	goto L17;}
L15:;
	V10= ECL_NIL;
L16:;
	V11= ECL_NIL;
L17:;
	{cl_object V12;                           /*  FIRST-ENDTEST   */
	cl_object V13;                            /*  OTHER-ENDTEST   */
	{bool V14;
	V14= (V1)==(V8);
	T0= cl_list(2,ECL_SYM("ATOM",119),V8)     /*  LIST            */;
	V12= L5hide_variable_reference(ecl_make_bool(V14),V8,T0) /*  HIDE-VARIABLE-REFERENCE */;}
	V13= V12;
	if((V6)==ECL_NIL){
	goto L22;}
	if(!(ECL_LISTP(V7))){
	goto L22;}
	V12= ecl_make_bool(V7==ECL_NIL);
	goto L20;
L22:;
	goto L20;
L20:;
	if(!((V1)==(V8))){
	goto L27;}
	T0= L5hide_variable_reference(ECL_T,V8,V10) /*  HIDE-VARIABLE-REFERENCE */;
	T1= cl_list(2,V8,T0)                      /*  LIST            */;
	value0=cl_list(8,ECL_NIL,T1,V13,ECL_NIL,ECL_NIL,ECL_NIL,V12,ECL_NIL) /*  LIST */;
	return value0;
L27:;
	{cl_object V14;                           /*  LET307          */
	cl_object V15;                            /*  LET308          */
	V14= cl_list(2,V1,V8)                     /*  LIST            */;
	V15= cl_list(2,V8,V10)                    /*  LIST            */;
	if((V12)==(V13)){
	goto L33;}
	T0= cl_list(4,V12,V14,ECL_NIL,V15)        /*  LIST            */;
	goto L31;
L33:;
	T0= ECL_NIL;
	goto L31;
L31:;
	value0=cl_listX(5,V13,V14,ECL_NIL,V15,T0) /*  LIST*           */;
	return value0;
	}
	}}
	}}
}}
/*	function definition for LOOP-FOR-IN                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94loop_for_in(cl_object V1, cl_object V2, cl_object V3)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(1,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V5;                             /*  LIST            */
	cl_object V6;                             /*  CONSTANTP       */
	cl_object V7;                             /*  LIST-VALUE      */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= ECL_NIL;
L3:;
	V6= ECL_NIL;
L4:;
	V7= ECL_NIL;
L5:;
	{cl_object V8;                            /*  LISTVAR         */
	V8= cl_gensym(1,_ecl_static_56)           /*  GENSYM          */;
	L66loop_make_iteration_variable(V1,ECL_NIL,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	L65loop_make_variable(3,V8,V5,ECL_SYM("LIST",481)) /*  LOOP-MAKE-VARIABLE */;
	cl_env_copy->values[0]=L92loop_list_step(V8) /*  LOOP-LIST-STEP */;
	{
	cl_object V10;                            /*  LIST-STEP       */
	cl_object V11;                            /*  STEP-FUNCTION   */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L10;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L11;
	V11= cl_env_copy->values[1];
	goto L12;}
L10:;
	V10= ECL_NIL;
L11:;
	V11= ECL_NIL;
L12:;
	{cl_object V12;                           /*  FIRST-ENDTEST   */
	cl_object V13;                            /*  OTHER-ENDTEST   */
	cl_object V14;                            /*  STEP            */
	cl_object V15;                            /*  PSEUDO-STEP     */
	V12= cl_list(2,ECL_SYM("ENDP",330),V8)    /*  LIST            */;
	V13= V12;
	T0= cl_list(2,ECL_SYM("CONS-CAR",1771),V8) /*  LIST           */;
	V14= cl_list(2,V1,T0)                     /*  LIST            */;
	V15= cl_list(2,V8,V10)                    /*  LIST            */;
	if((V6)==ECL_NIL){
	goto L19;}
	if(!(ECL_LISTP(V7))){
	goto L19;}
	V12= ecl_make_bool(V7==ECL_NIL);
	goto L17;
L19:;
	goto L17;
L17:;
	if((V12)==(V13)){
	goto L25;}
	T0= cl_list(4,V12,V14,ECL_NIL,V15)        /*  LIST            */;
	goto L23;
L25:;
	T0= ECL_NIL;
	goto L23;
L23:;
	value0=cl_listX(5,V13,V14,ECL_NIL,V15,T0) /*  LIST*           */;
	return value0;
	}}
	}}
}}
/*	function definition for MAKE-LOOP-PATH                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95make_loop_path(cl_narg narg, ...)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	ecl_va_list args; ecl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L95make_loop_pathkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	}
	T0= cl_list(5,V1,V2,V3,V4,V5)             /*  LIST            */;
	value0=cl_make_array(5,VV[149],ECL_SYM("ELEMENT-TYPE",1225),ECL_T,ECL_SYM("INITIAL-CONTENTS",1253),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for ADD-LOOP-PATH                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96add_loop_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,V3,narg,3);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L96add_loop_pathkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	V6= keyvars[2];
	}
	if(ECL_LISTP(V1)){
	goto L3;}
	V1= ecl_list1(V1);
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V7;                            /*  LET309          */
	cl_object V8;                             /*  LET310          */
	V7= ecl_function_dispatch(cl_env_copy,VV[316])(1,V3) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
	{cl_object V9;
	cl_object V10;
	V9= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
	V10= V1;
	{cl_object V11;
	cl_object V12;
	V11= ecl_list1(ECL_NIL);
	V12= V11;
L15:;
	if(!(ecl_endp(V10))){
	goto L19;}
	goto L16;
L19:;
	goto L17;
L17:;
	V9= _ecl_car(V10);
	{cl_object V13;
	V13= _ecl_cdr(V10);
	if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
	V10= V13;
	}
	if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
	T1= V12;
	T2= ecl_symbol_name(V9);
	V12= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V12,T1);
	goto L15;
L16:;
	T0= ecl_cdr(V11);
	goto L8;
	}
	}
L8:;
	{cl_object V9;
	cl_object V10;
	V9= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
	V10= V4;
	{cl_object V11;
	cl_object V12;
	V11= ecl_list1(ECL_NIL);
	V12= V11;
L40:;
	if(!(ecl_endp(V10))){
	goto L44;}
	goto L41;
L44:;
	goto L42;
L42:;
	V9= _ecl_car(V10);
	{cl_object V13;
	V13= _ecl_cdr(V10);
	if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
	V10= V13;
	}
	if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
	T2= V12;
	if(!(ECL_LISTP(V9))){
	goto L58;}
	T3= V9;
	goto L56;
L58:;
	T3= ecl_list1(V9);
	goto L56;
L56:;
	V12= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V12,T2);
	goto L40;
L41:;
	T1= ecl_cdr(V11);
	goto L33;
	}
	}
L33:;
	V8= L95make_loop_path(10,VV[151],T0,ECL_SYM("FUNCTION",1242),V2,VV[152],V6,VV[153],T1,VV[154],V5) /*  MAKE-LOOP-PATH */;
	{cl_object V9;
	V9= V1;
	goto L67;
L66:;
	{cl_object V10;                           /*  NAME            */
	V10= ecl_car(V9);
	T0= ecl_symbol_name(V10);
	si_hash_set(T0,V7,V8)                     /*  HASH-SET        */;
	}
	V9= ecl_cdr(V9);
L67:;
	if((V9)==ECL_NIL){
	goto L76;}
	goto L66;
L76:;
	goto L74;
L74:;
	goto L64;
L64:;
	}
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-FOR-BEING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97loop_for_being(cl_object V1, cl_object V2, cl_object V3)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  PATH            */
	cl_object V5;                             /*  DATA            */
	cl_object V6;                             /*  INCLUSIVE       */
	cl_object V7;                             /*  STUFF           */
	cl_object V8;                             /*  INITIAL-PREPOSITIONS */
	V4= ECL_NIL;
	V5= ECL_NIL;
	V6= ECL_NIL;
	V7= ECL_NIL;
	V8= ECL_NIL;
	if((L17loop_tmember(V2,VV[155])           /*  LOOP-TMEMBER    */)==ECL_NIL){
	goto L8;}
	V4= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	goto L6;
L8:;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L15loop_tequal(T0,VV[107])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L12;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V6= ECL_T;
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if((L17loop_tmember(T0,VV[156])           /*  LOOP-TMEMBER    */)!=ECL_NIL){
	goto L19;}
	T0= ecl_car(ecl_symbol_value(VV[50]));
	L41loop_error(2,_ecl_static_58,T0)        /*  LOOP-ERROR      */;
	goto L17;
L19:;
	goto L17;
L17:;
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	V4= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	T0= cl_list(2,VV[157],V2)                 /*  LIST            */;
	V8= ecl_list1(T0);
	goto L6;
L12:;
	L41loop_error(1,_ecl_static_59)           /*  LOOP-ERROR      */;
	goto L6;
L6:;
	if(ECL_SYMBOLP(V4)){
	goto L27;}
	L41loop_error(2,_ecl_static_60,V4)        /*  LOOP-ERROR      */;
	goto L25;
L27:;
	T0= ecl_function_dispatch(cl_env_copy,VV[316])(1,ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
	V5= L18loop_lookup_keyword(V4,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V5)!=ECL_NIL){
	goto L30;}
	L41loop_error(2,_ecl_static_61,V4)        /*  LOOP-ERROR      */;
	goto L25;
L30:;
	if((V6)==ECL_NIL){
	goto L34;}
	if((ecl_function_dispatch(cl_env_copy,VV[318])(1,V5) /*  LOOP-PATH-INCLUSIVE-PERMITTED */)!=ECL_NIL){
	goto L34;}
	L41loop_error(2,_ecl_static_62,V4)        /*  LOOP-ERROR      */;
	goto L25;
L34:;
	goto L25;
L25:;
	{cl_object V9;                            /*  LET320          */
	cl_object V10;                            /*  LET321          */
	cl_object V11;                            /*  LET322          */
	cl_object V12;                            /*  FUN             */
	V9= ecl_function_dispatch(cl_env_copy,VV[319])(1,V5) /*  LOOP-PATH-FUNCTION */;
	T0= ecl_function_dispatch(cl_env_copy,VV[320])(1,V5) /*  LOOP-PATH-PREPOSITION-GROUPS */;
	T1= L100loop_collect_prepositional_phrases(2,T0,ECL_T) /*  LOOP-COLLECT-PREPOSITIONAL-PHRASES */;
	V10= ecl_nconc(V8,T1);
	V11= ecl_function_dispatch(cl_env_copy,VV[321])(1,V5) /*  LOOP-PATH-USER-DATA */;
	V12= V9;
	if(!(ECL_SYMBOLP(V12))){
	goto L44;}
	V12= cl_symbol_function(V12)              /*  SYMBOL-FUNCTION */;
	goto L42;
L44:;
	goto L42;
L42:;
	if((V6)==ECL_NIL){
	goto L49;}
	V7= cl_apply(7,V12,V1,V3,V10,VV[158],ECL_T,V11) /*  APPLY     */;
	goto L47;
L49:;
	V7= cl_apply(5,V12,V1,V3,V10,V11)         /*  APPLY           */;
	goto L47;
L47:;
	}
	if((ecl_symbol_value(VV[55]))==ECL_NIL){
	goto L53;}
	L41loop_error(2,_ecl_static_63,ecl_symbol_value(VV[55])) /*  LOOP-ERROR */;
	goto L51;
L53:;
	goto L51;
L51:;
	{cl_fixnum V9;
	V9= ecl_length(V7);
	if(!((V9)==(6))){
	goto L62;}
	goto L57;
	goto L60;
L62:;
	goto L60;
L60:;
	if(!((V9)==(10))){
	goto L65;}
	goto L57;
	goto L58;
L65:;
	goto L58;
	}
L58:;
	L41loop_error(2,_ecl_static_64,V4)        /*  LOOP-ERROR      */;
	goto L55;
L57:;
	goto L55;
L55:;
	{cl_object V9;                            /*  LET323          */
	cl_object V10;                            /*  L               */
	cl_object V11;                            /*  X               */
	V9= ecl_car(V7);
	V10= V9;
	V11= ECL_NIL;
	goto L74;
L73:;
	V11= ecl_car(V10);
	if(!(ECL_ATOM(V11))){
	goto L78;}
	L66loop_make_iteration_variable(V11,ECL_NIL,ECL_NIL) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L76;
L78:;
	T0= ecl_car(V11);
	T1= ecl_cadr(V11);
	T2= ecl_caddr(V11);
	L66loop_make_iteration_variable(T0,T1,T2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L76;
L76:;
	V10= ecl_cdr(V10);
L74:;
	if(V10==ECL_NIL){
	goto L85;}
	goto L73;
L85:;
	goto L83;
L83:;
	goto L71;
L71:;
	}
	T0= ecl_cadr(V7);
	T1= cl_reverse(T0)                        /*  REVERSE         */;
	cl_set(VV[63],ecl_nconc(T1,ecl_symbol_value(VV[63])));
	value0=ecl_cddr(V7); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NAMED-VARIABLE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98named_variable(cl_object V1)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TEM             */
	{cl_object V3;
	V3= L16loop_tassoc(V1,ecl_symbol_value(VV[55])) /*  LOOP-TASSOC */;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V2= V3;
	}
	if(!(V2==ECL_NIL)){
	goto L5;}
	T0= cl_gensym(0)                          /*  GENSYM          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_NIL;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L5:;
	cl_set(VV[55],cl_delete(2,V2,ecl_symbol_value(VV[55])) /*  DELETE */);
	T0= ecl_cdr(V2);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_T;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-COLLECT-PREPOSITIONAL-PHRASES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100loop_collect_prepositional_phrases(cl_narg narg, cl_object V1, ...)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= ECL_NIL;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET329          */
	cl_object V5;                             /*  LET330          */
	cl_object V6;                             /*  TOKEN           */
	cl_object V7;                             /*  PREPOSITIONAL-PHRASES */
	cl_object V8;                             /*  THIS-GROUP      */
	cl_object V9;                             /*  THIS-PREP       */
	cl_object V10;                            /*  USED-PREPOSITIONS */
	{cl_object V11;
	cl_object V12;
	V11= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V12= V3;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(ECL_NIL);
	V14= V13;
L10:;
	if(!(ecl_endp(V12))){
	goto L14;}
	goto L11;
L14:;
	goto L12;
L12:;
	V11= _ecl_car(V12);
	{cl_object V15;
	V15= _ecl_cdr(V12);
	if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
	V12= V15;
	}
	{cl_object V15;
	{cl_object V16;
	V16= ecl_car(V11);
	{cl_object V17;
	V17= si_make_seq_iterator(2,V1,ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L31:;
	if((V17)!=ECL_NIL){
	goto L35;}
	T0= ECL_NIL;
	goto L27;
L35:;
	goto L33;
L33:;
	{cl_object V18;
	V18= si_seq_iterator_ref(V1,V17)          /*  SEQ-ITERATOR-REF */;
	if((LC99in_group_p(V16,V18)               /*  IN-GROUP-P      */)==ECL_NIL){
	goto L40;}
	T0= V18;
	goto L27;
L40:;
	goto L37;
	}
L37:;
	V17= si_seq_iterator_next(V1,V17)         /*  SEQ-ITERATOR-NEXT */;
	goto L31;
	}
	}
L27:;
	V15= cl_copy_list(T0)                     /*  COPY-LIST       */;
	if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
	T0= V14;
	(ECL_CONS_CDR(T0)=V15,T0);
	if((V15)==ECL_NIL){
	goto L24;}
	}
	T0= ecl_cdr(V14);
	V14= ecl_last(T0,1);
	goto L22;
L24:;
	goto L22;
L22:;
	goto L10;
L11:;
	V4= ecl_cdr(V13);
	goto L3;
	}
	}
L3:;
	{cl_object V11;
	cl_object V12;
	V11= ECL_NIL;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V12= V3;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(ECL_NIL);
	V14= V13;
L57:;
	if(!(ecl_endp(V12))){
	goto L61;}
	goto L58;
L61:;
	goto L59;
L59:;
	V11= _ecl_car(V12);
	{cl_object V15;
	V15= _ecl_cdr(V12);
	if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
	V12= V15;
	}
	if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
	T0= V14;
	T1= ecl_car(V11);
	V14= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V14,T0);
	goto L57;
L58:;
	V5= ecl_cdr(V13);
	goto L50;
	}
	}
L50:;
	V6= ECL_NIL;
	V7= V3;
	V8= ECL_NIL;
	V9= ECL_NIL;
	V10= V5;
	goto L83;
L82:;
	V6= ecl_car(ecl_symbol_value(VV[50]));
	{cl_object V11;
	V11= V1;
	goto L92;
L91:;
	{cl_object V12;                           /*  GROUP           */
	V12= ecl_car(V11);
	{cl_object V13;
	V13= LC99in_group_p(V6,V12)               /*  IN-GROUP-P      */;
	{bool V14;
	V14= ECL_SYMBOLP(V13);
	if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("SYMBOL",840),V13);}
	V9= V13;
	}
	if((V9)==ECL_NIL){
	goto L98;}
	V8= V12;
	goto L87;
L98:;
	goto L96;
L96:;
	}
	V11= ecl_cdr(V11);
L92:;
	if((V11)==ECL_NIL){
	goto L108;}
	goto L91;
L108:;
	goto L106;
L106:;
	goto L89;
L89:;
	}
L87:;
	if((V8)==ECL_NIL){
	goto L112;}
	if((ecl_memql(V9,V4))==ECL_NIL){
	goto L116;}
	if((ecl_memql(V9,V10))==ECL_NIL){
	goto L120;}
	T0= _ecl_static_65;
	goto L118;
L120:;
	T0= _ecl_static_66;
	goto L118;
L118:;
	L41loop_error(2,T0,V6)                    /*  LOOP-ERROR      */;
	goto L114;
L116:;
	goto L114;
L114:;
	if(!(ECL_LISTP(V8))){
	goto L125;}
	V10= ecl_append(V8,V10);
	goto L123;
L125:;
	V10= CONS(V8,V10);
	goto L123;
L123:;
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= cl_list(2,V9,T0)                      /*  LIST            */;
	V7= CONS(T1,V7);
	goto L110;
L112:;
	if((V2)==ECL_NIL){
	goto L130;}
	if((L15loop_tequal(V6,VV[162])            /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L130;}
	L49loop_pop_source()                      /*  LOOP-POP-SOURCE */;
	{cl_object V11;                           /*  LET335          */
	cl_object V12;                            /*  Z               */
	cl_object V13;                            /*  TEM             */
	V11= L49loop_pop_source()                 /*  LOOP-POP-SOURCE */;
	V12= V11;
	V13= ECL_NIL;
	goto L140;
L139:;
	if((ecl_cadr(V12))==ECL_NIL){
	goto L144;}
	T0= ecl_car(V12);
	V13= L16loop_tassoc(T0,ecl_symbol_value(VV[55])) /*  LOOP-TASSOC */;
	if((V13)==ECL_NIL){
	goto L147;}
	T0= ecl_car(V12);
	T1= ecl_cadr(V12);
	T2= ecl_cadr(V13);
	L41loop_error(4,_ecl_static_67,T0,T1,T2)  /*  LOOP-ERROR      */;
	goto L142;
L147:;
	T0= ecl_car(V12);
	T1= ecl_cadr(V12);
	T2= CONS(T0,T1);
	cl_set(VV[55],CONS(T2,ecl_symbol_value(VV[55])));
	goto L142;
L144:;
	goto L142;
L142:;
	if(ecl_symbol_value(VV[50])==ECL_NIL){
	goto L155;}
	T0= ecl_car(ecl_symbol_value(VV[50]));
	if(!(ECL_SYMBOLP(T0))){
	goto L153;}
	goto L154;
L155:;
L154:;
	goto L110;
L153:;
	goto L151;
L151:;
	V12= L49loop_pop_source()                 /*  LOOP-POP-SOURCE */;
L140:;
	goto L139;
	goto L110;
	}
L130:;
	value0=cl_nreverse(V7)                    /*  NREVERSE        */;
	return value0;
L110:;
	V8= ECL_NIL;
	V9= ECL_NIL;
L83:;
	if(ecl_symbol_value(VV[50])==ECL_NIL){
	goto L165;}
	goto L82;
L165:;
	goto L163;
L163:;
	goto L80;
L80:;
	value0=cl_nreverse(V7)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	local function IN-GROUP-P                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99in_group_p(cl_object V1, cl_object V2)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L17loop_tmember(V1,V2)                /*  LOOP-TMEMBER    */;
	value0=ecl_car(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-SEQUENCER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101loop_sequencer(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V11;                           /*  LET341          */
	cl_object V12;                            /*  ENDFORM         */
	cl_object V13;                            /*  SEQUENCEP       */
	cl_object V14;                            /*  TESTFN          */
	cl_object V15;                            /*  TEST            */
	cl_object V16;                            /*  STEPBY          */
	cl_object V17;                            /*  STEPBY-CONSTANTP */
	cl_object V18;                            /*  STEP            */
	cl_object V19;                            /*  DIR             */
	cl_object V20;                            /*  INCLUSIVE-ITERATION */
	cl_object V21;                            /*  START-GIVEN     */
	cl_object V22;                            /*  START-VALUE     */
	cl_object V23;                            /*  START-CONSTANTP */
	cl_object V24;                            /*  LIMIT-GIVEN     */
	cl_object V25;                            /*  LIMIT-CONSTANTP */
	cl_object V26;                            /*  LIMIT-VALUE     */
	value0=L59loop_typed_init(V2)             /*  LOOP-TYPED-INIT */;
	if((value0)!=ECL_NIL){
	goto L4;}
	T0= ecl_make_fixnum(0);
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V11= ecl_one_plus(T0);
	V12= ECL_NIL;
	V13= ECL_NIL;
	V14= ECL_NIL;
	V15= ECL_NIL;
	V16= V11;
	V17= ECL_T;
	V18= ECL_NIL;
	V19= ECL_NIL;
	V20= ECL_NIL;
	V21= ECL_NIL;
	V22= ECL_NIL;
	V23= ECL_NIL;
	V24= ECL_NIL;
	V25= ECL_NIL;
	V26= ECL_NIL;
	if((V4)==ECL_NIL){
	goto L23;}
	L66loop_make_iteration_variable(V4,ECL_NIL,V5) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L21;
L23:;
	goto L21;
L21:;
	{cl_object V27;                           /*  L               */
	cl_object V28;                            /*  PREP            */
	cl_object V29;                            /*  FORM            */
	cl_object V30;                            /*  ODIR            */
	V27= V10;
	V28= ECL_NIL;
	V29= ECL_NIL;
	V30= ECL_NIL;
	goto L33;
L32:;
	V28= ecl_caar(V27);
	V29= ecl_cadar(V27);
	if(!(ecl_eql(V28,VV[163]))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(ecl_eql(V28,VV[157]))){
	goto L41;}
	goto L42;
L43:;
L42:;
	V13= ECL_T;
	L65loop_make_variable(3,V6,V29,V7)        /*  LOOP-MAKE-VARIABLE */;
	goto L39;
L41:;
	if(!(ecl_eql(V28,VV[166]))){
	goto L57;}
	goto L54;
	goto L55;
L57:;
	goto L55;
L55:;
	if(!(ecl_eql(V28,VV[168]))){
	goto L61;}
	goto L54;
	goto L59;
L61:;
	goto L59;
L59:;
	if(!(ecl_eql(V28,VV[170]))){
	goto L52;}
	goto L53;
L54:;
L53:;
	V21= ECL_T;
	if(!((V28)==(VV[168]))){
	goto L68;}
	V19= VV[172];
	goto L66;
L68:;
	if(!((V28)==(VV[170]))){
	goto L72;}
	V19= ECL_SYM("UP",1322);
	goto L66;
L72:;
	goto L66;
L66:;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L77;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L78;
	V23= cl_env_copy->values[1];
	if (V31--<=0) goto L79;
	V22= cl_env_copy->values[2];
	goto L80;}
L77:;
	V29= ECL_NIL;
L78:;
	V23= ECL_NIL;
L79:;
	V22= ECL_NIL;
L80:;
	L66loop_make_iteration_variable(V1,V29,V2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L39;
L52:;
	if((ecl_memql(V28,VV[173]))==ECL_NIL){
	goto L82;}
	if((L15loop_tequal(V28,VV[174])           /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L86;}
	V19= ECL_SYM("UP",1322);
	V20= ECL_SYM("UP",1322);
	goto L84;
L86:;
	if((L15loop_tequal(V28,VV[175])           /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L91;}
	V20= ECL_T;
	goto L84;
L91:;
	if((L15loop_tequal(V28,VV[176])           /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L95;}
	V19= VV[172];
	V20= VV[172];
	goto L84;
L95:;
	if((L15loop_tequal(V28,VV[177])           /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L100;}
	V19= VV[172];
	goto L84;
L100:;
	if((L15loop_tequal(V28,VV[178])           /*  LOOP-TEQUAL     */)==ECL_NIL){
	goto L104;}
	V19= ECL_SYM("UP",1322);
	goto L84;
L104:;
	goto L84;
L84:;
	V24= ECL_T;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L111;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L112;
	V25= cl_env_copy->values[1];
	if (V31--<=0) goto L113;
	V26= cl_env_copy->values[2];
	goto L114;}
L111:;
	V29= ECL_NIL;
L112:;
	V25= ECL_NIL;
L113:;
	V26= ECL_NIL;
L114:;
	if((V25)==ECL_NIL){
	goto L117;}
	V12= cl_list(2,ECL_SYM("QUOTE",679),V26)  /*  LIST            */;
	goto L115;
L117:;
	T0= cl_gensym(1,_ecl_static_68)           /*  GENSYM          */;
	V12= L65loop_make_variable(3,T0,V29,V2)   /*  LOOP-MAKE-VARIABLE */;
	goto L115;
L115:;
	goto L39;
L82:;
	if(!(ecl_eql(V28,VV[143]))){
	goto L120;}
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L124;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L125;
	V17= cl_env_copy->values[1];
	if (V31--<=0) goto L126;
	V16= cl_env_copy->values[2];
	goto L127;}
L124:;
	V29= ECL_NIL;
L125:;
	V17= ECL_NIL;
L126:;
	V16= ECL_NIL;
L127:;
	if((V17)!=ECL_NIL){
	goto L129;}
	V16= cl_gensym(1,_ecl_static_69)          /*  GENSYM          */;
	L65loop_make_variable(3,V16,V29,V2)       /*  LOOP-MAKE-VARIABLE */;
	goto L39;
L129:;
	goto L39;
L120:;
	L41loop_error(2,_ecl_static_70,V28)       /*  LOOP-ERROR      */;
	goto L39;
L39:;
	if((V30)==ECL_NIL){
	goto L134;}
	if((V19)==ECL_NIL){
	goto L134;}
	if((V19)==(V30)){
	goto L134;}
	L41loop_error(1,_ecl_static_71)           /*  LOOP-ERROR      */;
	goto L132;
L134:;
	goto L132;
L132:;
	V30= V19;
	V27= ecl_cdr(V27);
L33:;
	if(V27==ECL_NIL){
	goto L144;}
	goto L32;
L144:;
	goto L142;
L142:;
	goto L30;
L30:;
	}
	if((V6)==ECL_NIL){
	goto L148;}
	if((V13)!=ECL_NIL){
	goto L148;}
	L41loop_error(1,_ecl_static_72)           /*  LOOP-ERROR      */;
	goto L146;
L148:;
	goto L146;
L146:;
	if((V21)!=ECL_NIL){
	goto L153;}
	V23= ECL_T;
	value0=L59loop_typed_init(V2)             /*  LOOP-TYPED-INIT */;
	if((value0)!=ECL_NIL){
	goto L159;}
	V22= ecl_make_fixnum(0);
	goto L157;
L159:;
	V22= value0;
	goto L157;
L157:;
	L66loop_make_iteration_variable(V1,V22,V2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L151;
L153:;
	goto L151;
L151:;
	if(!((V19)==(ECL_NIL))){
	goto L168;}
	goto L165;
	goto L166;
L168:;
	goto L166;
L166:;
	if(!(ecl_eql(V19,ECL_SYM("UP",1322)))){
	goto L163;}
	goto L164;
L165:;
L164:;
	if((V24)!=ECL_NIL){
	goto L175;}
	if((V9)==ECL_NIL){
	goto L173;}
	goto L174;
L175:;
L174:;
	if((V24)!=ECL_NIL){
	goto L179;}
	V12= cl_gensym(1,_ecl_static_73)          /*  GENSYM          */;
	L65loop_make_variable(3,V12,ECL_NIL,V2)   /*  LOOP-MAKE-VARIABLE */;
	T0= cl_list(3,ECL_SYM("SETQ",751),V12,V9) /*  LIST            */;
	cl_set(VV[63],CONS(T0,ecl_symbol_value(VV[63])));
	goto L177;
L179:;
	goto L177;
L177:;
	if((V20)==ECL_NIL){
	goto L186;}
	V14= ECL_SYM(">",75);
	goto L184;
L186:;
	V14= ECL_SYM(">=",76);
	goto L184;
L184:;
	goto L171;
L173:;
	goto L171;
L171:;
	if(!((V16)==(ecl_make_fixnum(1)))){
	goto L190;}
	V18= cl_list(2,ECL_SYM("1+",70),V1)       /*  LIST            */;
	goto L188;
L190:;
	V18= cl_list(3,ECL_SYM("+",14),V1,V16)    /*  LIST            */;
	goto L188;
L188:;
	goto L161;
L163:;
	if((V21)!=ECL_NIL){
	goto L194;}
	if((V9)!=ECL_NIL){
	goto L198;}
	L41loop_error(1,_ecl_static_74)           /*  LOOP-ERROR      */;
	goto L196;
L198:;
	goto L196;
L196:;
	T0= cl_list(2,ECL_SYM("1-",71),V9)        /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",751),V1,T0)  /*  LIST            */;
	cl_set(VV[63],CONS(T1,ecl_symbol_value(VV[63])));
	goto L192;
L194:;
	goto L192;
L192:;
	if((V9)==ECL_NIL){
	goto L203;}
	if((V12)!=ECL_NIL){
	goto L203;}
	V12= L59loop_typed_init(V2)               /*  LOOP-TYPED-INIT */;
	V20= ECL_T;
	goto L201;
L203:;
	goto L201;
L201:;
	if((V12)==ECL_NIL){
	goto L211;}
	if((V20)==ECL_NIL){
	goto L215;}
	V14= ECL_SYM("<",72);
	goto L213;
L215:;
	V14= ECL_SYM("<=",73);
	goto L213;
L213:;
	goto L209;
L211:;
	goto L209;
L209:;
	if(!((V16)==(ecl_make_fixnum(1)))){
	goto L219;}
	V18= cl_list(2,ECL_SYM("1-",71),V1)       /*  LIST            */;
	goto L217;
L219:;
	V18= cl_list(3,ECL_SYM("-",17),V1,V16)    /*  LIST            */;
	goto L217;
L217:;
	goto L161;
L161:;
	V18= cl_list(2,VV[1],V18)                 /*  LIST            */;
	if((V14)==ECL_NIL){
	goto L225;}
	T0= cl_list(3,V14,V1,V12)                 /*  LIST            */;
	V15= L5hide_variable_reference(ECL_T,V1,T0) /*  HIDE-VARIABLE-REFERENCE */;
	goto L223;
L225:;
	goto L223;
L223:;
	if((V8)==ECL_NIL){
	goto L230;}
	T0= L5hide_variable_reference(V3,V1,V8)   /*  HIDE-VARIABLE-REFERENCE */;
	V8= cl_list(2,V4,T0)                      /*  LIST            */;
	goto L228;
L230:;
	goto L228;
L228:;
	{cl_object V27;                           /*  FIRST-TEST      */
	cl_object V28;                            /*  REMAINING-TESTS */
	V27= V15;
	V28= V15;
	if((V17)==ECL_NIL){
	goto L237;}
	if((V23)==ECL_NIL){
	goto L237;}
	if((V25)==ECL_NIL){
	goto L237;}
	{cl_object V29;                           /*  NEW-TYPE        */
	{cl_object V30;
	T0= ecl_plus(V22,V16);
	V30= ecl_plus(T0,V26);
	if(!(ECL_FIXNUMP(V30)||ECL_BIGNUMP(V30))){
	goto L245;}
	if(!(ECL_FIXNUMP(V22))){
	goto L248;}
	if(!(ECL_FIXNUMP(V26))){
	goto L248;}
	V29= ECL_SYM("FIXNUM",372);
	goto L242;
L248:;
	V29= V2;
	goto L242;
L245:;
	if(!(ECL_SINGLE_FLOAT_P(V30))){
	goto L252;}
	V29= ECL_SYM("SINGLE-FLOAT",778);
	goto L242;
L252:;
	if(!(ECL_DOUBLE_FLOAT_P(V30))){
	goto L255;}
	V29= ECL_SYM("DOUBLE-FLOAT",315);
	goto L242;
L255:;
	if(!(ECL_LONG_FLOAT_P(V30))){
	goto L258;}
	V29= ECL_SYM("LONG-FLOAT",508);
	goto L242;
L258:;
	if(!(ECL_SINGLE_FLOAT_P(V30))){
	goto L261;}
	V29= ECL_SYM("SHORT-FLOAT",756);
	goto L242;
L261:;
	V29= V2;
	goto L242;
	}
L242:;
	if((cl_subtypep(2,V2,V29)                 /*  SUBTYPEP        */)!=ECL_NIL){
	goto L264;}
	L67loop_declare_variable(V1,V29)          /*  LOOP-DECLARE-VARIABLE */;
	goto L241;
L264:;
	goto L241;
	}
L241:;
	T0= cl_symbol_function(V14)               /*  SYMBOL-FUNCTION */;
	V27= ecl_function_dispatch(cl_env_copy,T0)(2,V22,V26);
	if((V27)==ECL_NIL){
	goto L267;}
	V28= ECL_T;
	goto L235;
L267:;
	goto L235;
L237:;
	goto L235;
L235:;
	T0= L5hide_variable_reference(ECL_T,V1,V18) /*  HIDE-VARIABLE-REFERENCE */;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	value0=cl_list(8,ECL_NIL,T1,V28,V8,ECL_NIL,ECL_NIL,V27,V8) /*  LIST */;
	return value0;
	}
	}
}}
/*	function definition for LOOP-FOR-ARITHMETIC                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102loop_for_arithmetic(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)!=ECL_NIL){
	goto L3;}
	V1= cl_gensym(0)                          /*  GENSYM          */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= L43loop_check_data_type(2,V3,ecl_symbol_value(VV[3])) /*  LOOP-CHECK-DATA-TYPE */;
	T1= cl_list(2,V4,V2)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= L100loop_collect_prepositional_phrases(3,VV[181],ECL_NIL,T2) /*  LOOP-COLLECT-PREPOSITIONAL-PHRASES */;
	value0=L101loop_sequencer(V1,T0,ECL_T,ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,ECL_NIL,T3) /*  LOOP-SEQUENCER */;
	return value0;
}}
/*	function definition for LOOP-HASH-TABLE-ITERATION-PATH        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103loop_hash_table_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,V3,narg,3);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L103loop_hash_table_iteration_pathkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V4= keyvars[0];
	}
	{cl_object V5;
	V5= V4;
	if(!((V5)==(VV[183]))){
	goto L9;}
	goto L5;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!((V5)==(VV[185]))){
	goto L12;}
	goto L5;
	goto L6;
L12:;
	goto L6;
L6:;
	V4= si_do_check_type(V5,VV[187],ECL_NIL,VV[188]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	if((ecl_cdr(V3))!=ECL_NIL){
	goto L19;}
	{cl_object V5;
	V5= ecl_caar(V3);
	if(!(ecl_eql(V5,VV[157]))){
	goto L24;}
	goto L17;
	goto L22;
L24:;
	goto L22;
L22:;
	if(!(ecl_eql(V5,VV[163]))){
	goto L27;}
	goto L17;
	goto L18;
L27:;
	goto L18;
	}
L19:;
L18:;
	L41loop_error(1,_ecl_static_75)           /*  LOOP-ERROR      */;
	goto L15;
L17:;
	if(!(V3==ECL_NIL)){
	goto L30;}
	L41loop_error(1,_ecl_static_76)           /*  LOOP-ERROR      */;
	goto L15;
L30:;
	goto L15;
L15:;
	{cl_object V5;                            /*  LET358          */
	cl_object V6;                             /*  LET359          */
	cl_object V7;                             /*  DUMMY-PREDICATE-VAR */
	cl_object V8;                             /*  POST-STEPS      */
	V5= cl_gensym(1,_ecl_static_77)           /*  GENSYM          */;
	V6= cl_gensym(1,_ecl_static_78)           /*  GENSYM          */;
	V7= ECL_NIL;
	V8= ECL_NIL;
	if(!((V4)==(VV[183]))){
	goto L39;}
	T0= VV[185];
	goto L37;
L39:;
	T0= VV[183];
	goto L37;
L37:;
	cl_env_copy->values[0]=L98named_variable(T0) /*  NAMED-VARIABLE */;
	{
	cl_object V10;                            /*  OTHER-VAR       */
	cl_object V11;                            /*  OTHER-P         */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L41;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L42;
	V11= cl_env_copy->values[1];
	goto L43;}
L41:;
	V10= ECL_NIL;
L42:;
	V11= ECL_NIL;
L43:;
	V11= ECL_T;
	V7= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	{cl_object V12;                           /*  KEY-VAR         */
	cl_object V13;                            /*  VAL-VAR         */
	cl_object V14;                            /*  TEMP-VAL-VAR    */
	cl_object V15;                            /*  TEMP-KEY-VAR    */
	cl_object V16;                            /*  TEMP-PREDICATE-VAR */
	cl_object V17;                            /*  VARIABLE        */
	cl_object V18;                            /*  BINDINGS        */
	V12= ECL_NIL;
	V13= ECL_NIL;
	V14= cl_gensym(1,_ecl_static_79)          /*  GENSYM          */;
	V15= cl_gensym(1,_ecl_static_80)          /*  GENSYM          */;
	V16= cl_gensym(1,_ecl_static_81)          /*  GENSYM          */;
	value0=V1;
	if((value0)!=ECL_NIL){
	goto L55;}
	V17= cl_gensym(0)                         /*  GENSYM          */;
	goto L53;
L55:;
	V17= value0;
	goto L53;
L53:;
	T0= cl_list(3,V17,ECL_NIL,V2)             /*  LIST            */;
	T1= ecl_cadar(V3);
	T2= cl_list(2,V5,T1)                      /*  LIST            */;
	if((V11)==ECL_NIL){
	goto L60;}
	if((V10)==ECL_NIL){
	goto L60;}
	T4= cl_list(2,V10,ECL_NIL)                /*  LIST            */;
	T3= ecl_list1(T4);
	goto L58;
L60:;
	T3= ECL_NIL;
	goto L58;
L58:;
	V18= cl_listX(3,T0,T2,T3)                 /*  LIST*           */;
	if(!((V4)==(VV[183]))){
	goto L65;}
	V12= V17;
	if((V11)==ECL_NIL){
	goto L71;}
	V13= V10;
	goto L69;
L71:;
	V13= ECL_NIL;
	goto L69;
L69:;
	goto L63;
L65:;
	if((V11)==ECL_NIL){
	goto L76;}
	V12= V10;
	goto L74;
L76:;
	V12= ECL_NIL;
	goto L74;
L74:;
	V13= V17;
	goto L63;
L63:;
	T0= cl_list(2,V6,V5)                      /*  LIST            */;
	T1= cl_list(2,ECL_SYM("WITH-HASH-TABLE-ITERATOR",909),T0) /*  LIST */;
	cl_set(VV[59],CONS(T1,ecl_symbol_value(VV[59])));
	if(!(ECL_CONSP(V12))){
	goto L83;}
	T0= V12;
	V12= cl_gensym(1,_ecl_static_80)          /*  GENSYM          */;
	V8= cl_listX(3,T0,V12,V8)                 /*  LIST*           */;
	T0= cl_list(2,V12,ECL_NIL)                /*  LIST            */;
	V18= CONS(T0,V18);
	goto L81;
L83:;
	goto L81;
L81:;
	if(!(ECL_CONSP(V13))){
	goto L91;}
	T0= V13;
	V13= cl_gensym(1,_ecl_static_79)          /*  GENSYM          */;
	V8= cl_listX(3,T0,V13,V8)                 /*  LIST*           */;
	T0= cl_list(2,V13,ECL_NIL)                /*  LIST            */;
	V18= CONS(T0,V18);
	goto L89;
L91:;
	goto L89;
L89:;
	T0= cl_list(3,V16,V15,V14)                /*  LIST            */;
	T1= ecl_list1(V6);
	T2= cl_list(3,ECL_SYM("SETQ",751),V13,V14) /*  LIST           */;
	T3= cl_list(3,ECL_SYM("SETQ",751),V12,V15) /*  LIST           */;
	T4= cl_list(4,ECL_SYM("WHEN",905),V16,T2,T3) /*  LIST         */;
	T5= cl_list(3,ECL_SYM("SETQ",751),V7,V16) /*  LIST            */;
	T6= cl_list(5,ECL_SYM("MULTIPLE-VALUE-BIND",572),T0,T1,T4,T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("NOT",584),T6)      /*  LIST            */;
	value0=cl_list(6,V18,ECL_NIL,ECL_NIL,ECL_NIL,T7,V8) /*  LIST  */;
	return value0;
	}}
	}
}}
/*	function definition for LOOP-PACKAGE-SYMBOLS-ITERATION-PATH   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104loop_package_symbols_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,V3,narg,3);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L104loop_package_symbols_iteration_pathkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V4= keyvars[0];
	}
	if((V3)==ECL_NIL){
	goto L3;}
	if((ecl_cdr(V3))==ECL_NIL){
	goto L3;}
	L41loop_error(1,_ecl_static_75)           /*  LOOP-ERROR      */;
	goto L1;
L3:;
	if((V3)==ECL_NIL){
	goto L7;}
	{cl_object V5;
	V5= ecl_caar(V3);
	if(!(ecl_eql(V5,VV[157]))){
	goto L13;}
	goto L7;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V5,VV[163]))){
	goto L16;}
	goto L7;
	goto L8;
L16:;
	goto L8;
	}
L8:;
	T0= ecl_caar(V3);
	L41loop_error(2,_ecl_static_82,T0)        /*  LOOP-ERROR      */;
	goto L1;
L7:;
	goto L1;
L1:;
	if(ECL_SYMBOLP(V1)){
	goto L20;}
	L41loop_error(1,_ecl_static_83)           /*  LOOP-ERROR      */;
	goto L18;
L20:;
	goto L18;
L18:;
	{cl_object V5;                            /*  LET362          */
	cl_object V6;                             /*  LET363          */
	cl_object V7;                             /*  LET364          */
	cl_object V8;                             /*  LET365          */
	V5= cl_gensym(1,_ecl_static_84)           /*  GENSYM          */;
	V6= cl_gensym(1,_ecl_static_85)           /*  GENSYM          */;
	value0=V1;
	if((value0)!=ECL_NIL){
	goto L26;}
	V7= cl_gensym(0)                          /*  GENSYM          */;
	goto L24;
L26:;
	V7= value0;
	goto L24;
L24:;
	value0=ecl_cadar(V3);
	if((value0)!=ECL_NIL){
	goto L30;}
	V8= ECL_SYM("*PACKAGE*",43);
	goto L28;
L30:;
	V8= value0;
	goto L28;
L28:;
	T0= cl_listX(3,V6,V5,V4)                  /*  LIST*           */;
	T1= cl_list(2,ECL_SYM("WITH-PACKAGE-ITERATOR",914),T0) /*  LIST */;
	cl_set(VV[59],CONS(T1,ecl_symbol_value(VV[59])));
	T0= cl_list(3,V7,ECL_NIL,V2)              /*  LIST            */;
	T1= cl_list(2,V5,V8)                      /*  LIST            */;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	T3= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	T4= cl_list(2,T3,V7)                      /*  LIST            */;
	T5= ecl_list1(V6);
	T6= cl_list(3,ECL_SYM("MULTIPLE-VALUE-SETQ",576),T4,T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("NOT",584),T6)      /*  LIST            */;
	value0=cl_list(6,T2,ECL_NIL,ECL_NIL,ECL_NIL,T7,ECL_NIL) /*  LIST */;
	return value0;
	}
}}
/*	function definition for MAKE-ANSI-LOOP-UNIVERSE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105make_ansi_loop_universe(cl_object V1)
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  W               */
	T0= cl_list(4,VV[127],ECL_SYM("COUNT",266),ecl_symbol_value(VV[3]),ECL_SYM("FIXNUM",372)) /*  LIST */;
	T1= cl_list(2,ECL_SYM("COUNT",266),T0)    /*  LIST            */;
	T2= cl_list(4,VV[127],ECL_SYM("COUNT",266),ecl_symbol_value(VV[3]),ECL_SYM("FIXNUM",372)) /*  LIST */;
	T3= cl_list(2,VV[205],T2)                 /*  LIST            */;
	T4= cl_listX(15,VV[193],VV[194],VV[195],VV[196],VV[197],VV[198],VV[199],VV[200],VV[201],VV[202],VV[203],VV[204],T1,T3,VV[206]) /*  LIST* */;
	if((V1)==ECL_NIL){
	goto L4;}
	T5= VV[34];
	goto L2;
L4:;
	T5= ECL_T;
	goto L2;
L2:;
	V2= L22make_standard_loop_universe(12,VV[38],T4,VV[39],VV[207],VV[40],VV[208],VV[45],VV[209],VV[44],ECL_NIL,VV[42],T5) /*  MAKE-STANDARD-LOOP-UNIVERSE */;
	L96add_loop_path(9,VV[210],VV[191],V2,VV[153],VV[211],VV[154],ECL_NIL,VV[152],VV[212]) /*  ADD-LOOP-PATH */;
	L96add_loop_path(9,VV[213],VV[191],V2,VV[153],VV[211],VV[154],ECL_NIL,VV[152],VV[214]) /*  ADD-LOOP-PATH */;
	L96add_loop_path(9,VV[215],VV[192],V2,VV[153],VV[211],VV[154],ECL_NIL,VV[152],VV[216]) /*  ADD-LOOP-PATH */;
	L96add_loop_path(9,VV[217],VV[192],V2,VV[153],VV[211],VV[154],ECL_NIL,VV[152],VV[218]) /*  ADD-LOOP-PATH */;
	L96add_loop_path(9,VV[219],VV[192],V2,VV[153],VV[211],VV[154],ECL_NIL,VV[152],VV[220]) /*  ADD-LOOP-PATH */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-STANDARD-EXPANSION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106loop_standard_expansion(cl_object V1, cl_object V2, cl_object V3)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==ECL_NIL){
	goto L2;}
	T0= ecl_car(V1);
	if(!(ECL_SYMBOLP(T0))){
	goto L2;}
	value0=L47loop_translate(V1,V2,V3)        /*  LOOP-TRANSLATE  */;
	return value0;
L2:;
	{cl_object V4;                            /*  TAG             */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	T0= CONS(ECL_SYM("PROGN",671),V1);
	T1= cl_list(2,ECL_SYM("GO",414),V4)       /*  LIST            */;
	T2= cl_list(4,ECL_SYM("TAGBODY",850),V4,T0,T1) /*  LIST       */;
	value0=cl_list(3,ECL_SYM("BLOCK",137),ECL_NIL,T2) /*  LIST    */;
	return value0;
	}
}}
/*	local function LOOP                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC107loop(cl_object V1, cl_object V2)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	value0=L106loop_standard_expansion(V3,V2,ecl_symbol_value(VV[221])) /*  LOOP-STANDARD-EXPANSION */;
	return value0;
	}
}}
	
#include "lsp/loop2.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4Y7b9al0l0sl9_sTlUUZ01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;LOOP2.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl4Y7b9al0l0sl9_sTlUUZ01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(_ecl_static_0)          /*  SELECT-PACKAGE  */;
	ecl_cmp_defmacro(VV[223]);                /*  LOOP-UNSAFE     */
	ecl_cmp_defmacro(VV[224]);                /*  LOOP-COPYLIST*  */
	si_Xmake_special(VV[3])                   /*  *MAKE-SPECIAL   */;
	cl_set(VV[3],ECL_SYM("REAL",703));
	(void)0; /* No entry created for LOOP-OPTIMIZATION-QUANTITIES */
	(void)0; /* No entry created for HIDE-VARIABLE-REFERENCES */
	(void)0; /* No entry created for HIDE-VARIABLE-REFERENCE */
	ecl_cmp_defmacro(VV[225]);                /*  WITH-LOOP-LIST-COLLECTION-HEAD */
	ecl_cmp_defmacro(VV[226]);                /*  LOOP-COLLECT-RPLACD */
	ecl_cmp_defmacro(VV[227]);                /*  LOOP-COLLECT-ANSWER */
	si_define_structure(15,VV[13],_ecl_static_1,ECL_SYM("VECTOR",898),ECL_NIL,VVtemp[0],VVtemp[1],VV[14],ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[2],ecl_make_fixnum(6),ECL_NIL,ECL_NIL,ECL_NIL) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[228]);                   /*  MAKE-LOOP-MINIMAX-INTERNAL */
	si_Xmake_special(VV[17])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[17],VVtemp[3]);
	(void)0; /* No entry created for MAKE-LOOP-MINIMAX */
	(void)0; /* No entry created for LOOP-NOTE-MINIMAX-OPERATION */
	ecl_cmp_defmacro(VV[237]);                /*  WITH-MINIMAX-VALUE */
	ecl_cmp_defmacro(VV[242]);                /*  LOOP-ACCUMULATE-MINIMAX-VALUE */
	(void)0; /* No entry created for LOOP-TEQUAL */
	(void)0; /* No entry created for LOOP-TASSOC */
	(void)0; /* No entry created for LOOP-TMEMBER */
	(void)0; /* No entry created for LOOP-LOOKUP-KEYWORD */
	ecl_cmp_defmacro(VV[243]);                /*  LOOP-STORE-TABLE-DATA */
	si_define_structure(15,VV[27],_ecl_static_4,ECL_SYM("VECTOR",898),ECL_NIL,VVtemp[4],VVtemp[5],VV[28],ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[6],ecl_make_fixnum(8),ECL_NIL,ECL_NIL,ECL_NIL) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[244]);                   /*  MAKE-LOOP-UNIVERSE */
	si_Xmake_special(VV[31])                  /*  *MAKE-SPECIAL   */;
	(void)0; /* No entry created for MAKE-STANDARD-LOOP-UNIVERSE */
	si_Xmake_special(VV[46])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[46],ECL_NIL);
	(void)0; /* No entry created for LOOP-MAKE-PSETQ */
	(void)0; /* No entry created for LOOP-MAKE-DESETQ */
	si_Xmake_special(VV[48])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[48],cl_make_symbol(_ecl_static_5) /*  MAKE-SYMBOL   */);
	ecl_cmp_defmacro(VV[260]);                /*  LOOP-REALLY-DESETQ */
	si_Xmake_special(VV[50])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[51])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[52])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[53])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[54])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[55])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[56])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[57])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[58])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[59])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[60])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[61])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[62])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[63])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[64])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[65])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[66])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[67])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[68])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[69])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[70])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[71])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[72])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[73])                  /*  *MAKE-SPECIAL   */;
	si_Xmake_special(VV[74])                  /*  *MAKE-SPECIAL   */;
	(void)0; /* No entry created for LOOP-CONSTANT-FOLD-IF-POSSIBLE */
	ecl_cmp_defun(VV[261]);                   /*  LOOP-CONSTANTP  */
	si_Xmake_special(VV[76])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[76],ECL_NIL);
	si_Xmake_special(VV[77])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[77],cl_make_symbol(_ecl_static_7) /*  MAKE-SYMBOL   */);
	(void)0; /* No entry created for LOOP-CODE-DUPLICATION-THRESHOLD */
	ecl_cmp_defmacro(VV[262]);                /*  LOOP-BODY       */
	(void)0; /* No entry created for DUPLICATABLE-CODE-P */
	si_Xmake_special(VV[85])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[85],VVtemp[7]);
	si_Xmake_special(VV[86])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[86],VVtemp[8]);
	(void)0; /* No entry created for DESTRUCTURING-SIZE */
	(void)0; /* No entry created for ESTIMATE-CODE-SIZE */
	(void)0; /* No entry created for ESTIMATE-CODE-SIZE-1 */
	(void)0; /* No entry created for LOOP-CONTEXT */
	(void)0; /* No entry created for LOOP-ERROR */
	(void)0; /* No entry created for LOOP-WARN */
	(void)0; /* No entry created for LOOP-CHECK-DATA-TYPE */
	ecl_cmp_defmacro(VV[263]);                /*  LOOP-FINISH     */
	ecl_cmp_defun(VV[264]);                   /*  SUBST-GENSYMS-FOR-NIL */
	ecl_cmp_defun(VV[265]);                   /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */
	(void)0; /* No entry created for LOOP-TRANSLATE */
	(void)0; /* No entry created for LOOP-ITERATION-DRIVER */
	(void)0; /* No entry created for LOOP-POP-SOURCE */
	(void)0; /* No entry created for LOOP-GET-COMPOUND-FORM */
	(void)0; /* No entry created for LOOP-GET-PROGN */
	(void)0; /* No entry created for LOOP-GET-FORM */
	(void)0; /* No entry created for LOOP-CONSTRUCT-RETURN */
	(void)0; /* No entry created for LOOP-EMIT-BODY */
	(void)0; /* No entry created for LOOP-EMIT-FINAL-VALUE */
	(void)0; /* No entry created for LOOP-DISALLOW-CONDITIONAL */
	ecl_cmp_defun(VV[268]);                   /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */
	ecl_cmp_defun(VV[269]);                   /*  LOOP-DISALLOW-AGGREGATE-BOOLEANS */
	(void)0; /* No entry created for LOOP-TYPED-INIT */
	(void)0; /* No entry created for LOOP-OPTIONAL-TYPE */
	(void)0; /* No entry created for LOOP-BIND-BLOCK */
	ecl_cmp_defun(VV[272]);                   /*  LOOP-VARIABLE-P */
	(void)0; /* No entry created for LOOP-MAKE-VARIABLE */
	(void)0; /* No entry created for LOOP-MAKE-ITERATION-VARIABLE */
	(void)0; /* No entry created for LOOP-DECLARE-VARIABLE */
	(void)0; /* No entry created for LOOP-MAYBE-BIND-FORM */
	ecl_cmp_defun(VV[273]);                   /*  LOOP-DO-IF      */
	ecl_cmp_defun(VV[274]);                   /*  LOOP-DO-INITIALLY */
	ecl_cmp_defun(VV[275]);                   /*  LOOP-DO-FINALLY */
	ecl_cmp_defun(VV[276]);                   /*  LOOP-DO-DO      */
	ecl_cmp_defun(VV[277]);                   /*  LOOP-DO-NAMED   */
	ecl_cmp_defun(VV[278]);                   /*  LOOP-DO-RETURN  */
	si_define_structure(15,VV[117],_ecl_static_38,ECL_SYM("VECTOR",898),ECL_NIL,VVtemp[9],VVtemp[10],VV[118],ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[11],ecl_make_fixnum(6),ECL_NIL,ECL_NIL,ECL_NIL) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[279]);                   /*  MAKE-LOOP-COLLECTOR */
	(void)0; /* No entry created for LOOP-GET-COLLECTION-INFO */
	ecl_cmp_defun(VV[290]);                   /*  LOOP-LIST-COLLECTION */
	ecl_cmp_defun(VV[292]);                   /*  LOOP-SUM-COLLECTION */
	ecl_cmp_defun(VV[293]);                   /*  LOOP-MAXMIN-COLLECTION */
	ecl_cmp_defun(VV[295]);                   /*  LOOP-DO-ALWAYS  */
	ecl_cmp_defun(VV[296]);                   /*  LOOP-DO-THEREIS */
	ecl_cmp_defun(VV[297]);                   /*  LOOP-DO-WHILE   */
	ecl_cmp_defun(VV[298]);                   /*  LOOP-DO-WITH    */
	(void)0; /* No entry created for LOOP-HACK-ITERATION */
	ecl_cmp_defun(VV[300]);                   /*  LOOP-DO-FOR     */
	ecl_cmp_defun(VV[302]);                   /*  LOOP-DO-REPEAT  */
	(void)0; /* No entry created for LOOP-WHEN-IT-VARIABLE */
	ecl_cmp_defun(VV[303]);                   /*  LOOP-ANSI-FOR-EQUALS */
	ecl_cmp_defun(VV[304]);                   /*  LOOP-FOR-ACROSS */
	(void)0; /* No entry created for LOOP-LIST-STEP */
	ecl_cmp_defun(VV[305]);                   /*  LOOP-FOR-ON     */
	ecl_cmp_defun(VV[306]);                   /*  LOOP-FOR-IN     */
	si_define_structure(15,VV[147],_ecl_static_57,ECL_SYM("VECTOR",898),ECL_NIL,VVtemp[12],VVtemp[13],VV[148],ECL_NIL,ECL_NIL,ECL_NIL,VVtemp[14],ecl_make_fixnum(5),ECL_NIL,ECL_NIL,ECL_NIL) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[307]);                   /*  MAKE-LOOP-PATH  */
	(void)0; /* No entry created for ADD-LOOP-PATH */
	ecl_cmp_defun(VV[317]);                   /*  LOOP-FOR-BEING  */
	(void)0; /* No entry created for NAMED-VARIABLE */
	(void)0; /* No entry created for LOOP-COLLECT-PREPOSITIONAL-PHRASES */
	(void)0; /* No entry created for LOOP-SEQUENCER */
	ecl_cmp_defun(VV[322]);                   /*  LOOP-FOR-ARITHMETIC */
	ecl_cmp_defun(VV[323]);                   /*  LOOP-HASH-TABLE-ITERATION-PATH */
	ecl_cmp_defun(VV[325]);                   /*  LOOP-PACKAGE-SYMBOLS-ITERATION-PATH */
	(void)0; /* No entry created for MAKE-ANSI-LOOP-UNIVERSE */
	si_Xmake_special(VV[221])                 /*  *MAKE-SPECIAL   */;
	cl_set(VV[221],L105make_ansi_loop_universe(ECL_NIL) /*  MAKE-ANSI-LOOP-UNIVERSE */);
	(void)0; /* No entry created for LOOP-STANDARD-EXPANSION */
	ecl_cmp_defmacro(VV[327]);                /*  LOOP            */
}
